2016-07-25	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.4

2016-07-22	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #15653 - CVE-2016-5390 fix permissions for host API
	* Fixes #15527 - api/v2/hosts is slow loading permissions

2016-07-22	David Davis <daviddavis@redhat.com>
	* Fixes #15712 - Pinning rabl to less than 0.13

2016-07-22	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #15490 - adding view_host filter and better msg

2016-07-22	Klaas Demter <Klaas-@users.noreply.github.com>
	* Fixes #15570 - Fixed query syntax in ForemanTrend#find_hosts

2016-07-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #15268 - limit user taxonomies using my scopes

2016-06-21	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.3
	* fixes #15363 - construct correct templates query for new hosts

2016-06-21	Ohad Levy <ohadlevy@gmail.com>
	* fixes #15223 - query parameters are now correct.

2016-06-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #14481 - make bootable radio button checkable
	* Fixes #15238 - ignore empty NIC identifiers
	* Fixes #15182 - limit user taxonomies in API (CVE-2016-4451)

2016-06-16	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #15225 - correct permission mapping for api puppet import
	* Fixes #15166 - correct layout of dashboard when zoomed
	* Fixes #15090 - Add scrolling to taxonomy selection

2016-06-16	Ori Rabin <orabin@redhat.com>
	* Fixes #15246 - correctly override array params

2016-06-16	Shimon Shtein <sshtein@redhat.com>
	* Fixes #14879 - Fixed query syntax in FactTrend#find_hosts

2016-06-16	Dominic Cleal <dominic@cleal.org>
	* fixes #14905 - enable DHCP orchestration with any boot mode

2016-06-16	John Mitsch <jomitsch@redhat.com>
	* Fixes #15050 - Scoped search hostname w/o field no longer ISEs

2016-06-16	Ivan Nečas <inecas@redhat.com>
	* Fixes #15174 - make sure to return 404 when taxonomy not found

2016-06-16	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #15077 - Error HTML tags are shown

2016-05-18	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.2

2016-05-16	Dominic Cleal <dominic@cleal.org>
	* i18n - extracting new, pulling from tx
	* refs #14927 - revert string change
	* templates - sync from community-templates
	* refs #14482 - use correct 1.11 test helper
	* fixes #14866 - prod2dev Rails 4 compatibility
	* fixes #14855 - hide template type dropdown when snippet checked
	* fixes #14820 - override Rails log level with Foreman
	* fixes #14810 - change duplicate test class name
	* refs #14691 - user editing self should not change User.current

2016-05-16	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #14957 - Use a temporary status file to store exit status

2016-05-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #15020 - display only selected oVirt network
	* Fixes #14735 - avoid double sweeping of User topbar cache
	* Fixes #14769 - avoid template comments because of deface
	* Fixes #13819 - avoid facts mismatches on import

2016-05-16	Vincent Lequertier <sky@riseup.net>
	* Fixes #15009 - Make the method boot_files_uris public

2016-05-16	Timo Goebel <timo.goebel@dm.de>
	* fixes #14874 - do not run path replace during vmware clone

2016-05-16	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #14981 - use root_object for host RABL

2016-05-16	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #14965 - turn off auditing during DB migrations

2016-05-16	Guido Günther <agx@sigxcpu.org>
	* Fixes #14701: Mention image password in API docs and tests

2016-05-16	Ori Rabin <orabin@redhat.com>
	* Fixes #14927 - correct override value requirment
	* Fixes #14726 - disabled delete button in interfaces doesn't delete
	* Fixes #14790 - reloads puppetclass parameters when choosing os and domain

2016-05-16	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #14795 - User w/o edit_params permission can save host
	* Fixes #11079 - Handle oVirt with missing template version name
	* Fixes #14679 - Fix tabbing of puppet CA in proxy
	* Fixes #14730 - Only search host proxies explicitly

2016-05-16	Luis Fernandez Alvarez <luis.fernandezalvarez@epfl.ch>
	* Fixes #14778 - Ensure parsing complex types keep target type

2016-05-16	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #14768 - Ellipsis for smart proxy name in table on index page

2016-05-16	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #14748 - latest_events should use filters
	* Fixes #14744 - Adds auto_complete_search route to compute_profiles
	* Fixes #14072 - Use to_hash when requesting session original_uri
	* Fixes #14376 - Cut long bookmark names
	* Fixes #14691 - User #to_label should show persisted name

2016-05-16	Andrew Kofink <akofink@redhat.com>
	* Fixes #14686 - Allow scoped search on ID for organizations

2016-04-19	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.1
	* i18n - extracting new, pulling from tx
	* templates - sync from community-templates

2016-04-18	Ivan Nečas <inecas@redhat.com>
	* Fixes #14635 - bump safemode version to fix the unwanted inspect issue
	* Fixes #14572 - fix updating storage in compute profiles based on template
	* Fixes #13986 - don't use image unless in image provisioning method
	* Fixes #10978 - fix possibility to assign networks in compute profile for ovirt
	* Fixes #14038 - pass corespersocket in VMWare image-based provisioning
	* Fixes #5859 - don't rely on a mac address being present when overriding the conflicts
	* Fixes #13984 - inherit subnet from hostgroup even for image-based provisioning

2016-04-18	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #9584 - User email address length can be longer than 60

2016-04-18	Walden Raines <walden@redhat.com>
	* Fixes #14645: fix production images for plugins.

2016-04-18	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #14636 - correctly search puppet class on host form
	* Fixes #14476 - Correctly handle casting of invalid real param values
	* Fixes #14505 - Correct authorization of broken smart proxy actions
	* Fixes #14451 - Allow plugins to add menus to top menu without breaking the second menu
	* Fixes #12560 - Correct popover behaviour for reports table
	* Refs #7726 - Improve select all for filtered multi-select

2016-04-18	Marek Hulan <mhulan@redhat.com>
	* Fixes #14586 - Associate default templates to Orgs and Locs during seed
	* Fixes #12318 - support preview for deb-based distros
	* Fixes #14458 - use a base class for STI taxable objects
	* Fixes #14264 - improve primary interface selection
	* Fixes #14182 - authorize role index
	* Fixes #14184 - allow filter creation for users with taxonomies
	* Fixes #9932 - fix preallocate attribute mapping
	* Fixes #14113 - run dhcp orchestration only on DHCP subnets

2016-04-18	Dominique Quatravaux <dominique@quatravaux.org>
	* Fixes #14508 - foreman-rake console can take arguments

2016-04-18	Evgeni Golov <egolov@redhat.com>
	* fixes #14502 - fix documentation of the hosts controller for puppetclass_ids

2016-04-18	Ranjan Kumar <ranjankumar188@gmail.com>
	* Fixes #14173 - Puppet Summary Report host listing should be alphabetically sorted.

2016-04-18	Ohad Levy <ohadlevy@gmail.com>
	* fixes #14511 - bookmark editing ensures the query field is populated

2016-04-18	Dominic Cleal <dominic@cleal.org>
	* fixes #14482 - close two-pane when saving compute profile attributes
	* fixes #14338 - move session store configuration earlier
	* fixes #14253 - add attr_accessible to Widget
	* fixes #13939 - call non-deprecated status method from API rabl

2016-04-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #14504 - Moves Report scoped search into inherited method

2016-04-18	Sean O'Keeffe <seanokeeffe797@gmail.com>
	* Fixes #14417 - Update Doc link

2016-04-18	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #14393 - Using patternfly icons instead of glyphicons
	* Fixes #14237 - Missing tag for hosts/welcome.html.erb
	* Fixes #7726 - Filtered out items no longer added when 'Select all' clicked
	* Fixes #13662 - Host configuration chart links work when host configuration status table not present
	* Fixes #12936 - Host inherits attributes when hostgroup is AR object

2016-04-18	Michael Moll <kvedulv@kvedulv.de>
	* fixes #9782 - implement mediapath for suse/yast

2016-04-18	Partha Aji <paji@redhat.com>
	* Fixes #14166 - Host facet attributes handling updated

2016-04-18	Shimon Shtein <sshtein@redhat.com>
	* Fixes #14286 - added :groups_base field to auth_source_ldaps API
	* Fixes #14240 - added :server_type attribute to API rabl
	* Fixes #13849 - Now the facets will not require id attribute for update
	* Fixes #7494 - added search parameter to index action of usergroups

2016-04-18	Ori Rabin <orabin@redhat.com>
	* Fixes #14183 - showing whitespace validation in smart variables
	* Fixes #14129 - remove duplicate declaration of KEY_DELM
	* Fixes #13937 - search by domain parameters searches on primary_interface
	* Fixes #13976 - override checkbox in smart class parameter doesn't uncheck other checkboxes

2016-04-18	Tom Caspy <tcaspy@gmail.com>
	* fixes #14239 - when creating host from API, set first interface as primary if none set

2016-04-18	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #14221: Use Sass Rails template when compiling plugin assets

2016-04-18	Karli Sjoberg <karli.sjoberg@gmail.com>
	* fixes #14131 Changed bash to sh

2016-04-18	Robert Sanders <rob@sandersmail.eu>
	* fixes #14096 - handle MiB style memory units on statistics page

2016-04-18	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #13725 - DHCP MAC conflicts are reported

2016-04-18	amirfefer <amirfefer@gmail.com>
	* Fixes #6858 - escape HTML tags when update a parameter value in settings

2016-03-31	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.0
	* i18n - extracting new, pulling from tx
	* fixes #14344 - add region to permitted Rackspace CR attributes

2016-03-22	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.0-RC3
	* fixes #14041 - don't call select2 on CR form templates
	* fixes #13980 - don't merge NIC compute attrs on New Host form
	* i18n - extracting new, pulling from tx
	* fixes #13352 - order dashboard widgets by ID for consistency
	* fixes #14179 - don't merge NIC compute attrs in ComputeProfileMerge
	* fixes #14170 - permit 'zone' parameter for GCE CR creation

2016-03-22	Tom Caspy <tcaspy@gmail.com>
	* fixes #13066 - Improve readability of blank slate pages

2016-03-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #14154 - fix adrift reports show page

2016-03-11	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.0-RC2
	* i18n - extracting new, pulling from tx

2016-03-10	Dominic Cleal <dominic@cleal.org>
	* templates - sync from community-templates
	* fixes #14028 - use image-url for data table asset URLs
	* fixes #13883 - replace :order association option with block
	* fixes #14114 - pin rake to avoid rubocop/rake 11.x incompatibility
	* fixes #14000 - respect custom controller permissions
	* fixes #13803 - change activated SCL to 'tfm'

2016-03-10	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #14071 - Using Sprockets directive to require host_edit_interfaces.js

2016-03-10	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13068 - Adds options to documentation_button and remove css float

2016-03-10	cyrus-mc <cyrus-mc@users.noreply.github.com>
	* fixes #13817 - test certificate.subject_alternative_names for presence

2016-03-10	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #13964 - include installer scenarios in foreman-debug

2016-03-10	Marek Hulan <ares@igloonet.cz>
	* Fixes #13711 - fix subnet/domain validation during creation

2016-03-10	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #13977 - Upgrade Rails to 4.1.14.2 to address 2 CVEs
	* Fixes #14078 - Correct provision template permission names in seeds and fixtures
	* Fixes #13929 - Pin test_after_commit to version supporting Ruby 1.9

2016-03-10	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #13417: Provide facet registration through plugin API

2016-03-10	Ori Rabin <orabin@redhat.com>
	* Fixes #13899 - Can update smart class parameter type from API
	* Fixes #14045 - resizing select2 to match inherit button

2016-03-10	Justin Sherrill <jsherril@redhat.com>
	* Fixes #13545 - STI permission checking always using base class

2016-03-10	Tom Caspy <tcaspy@gmail.com>
	* fixes #13828 - CVE-2016-2100 - only showing relevant bookmarks

2016-02-24	Dominic Cleal <dominic@cleal.org>
	* Release 1.11.0-RC1
	* templates - sync from community-templates
	* i18n - extracting new, pulling from tx
	* fixes #13866 - pin jwt for Ruby 1.9.3 compatibility
	* fixes #13804 - set enforce_available_locales in app config
	* fixes #10662 - set default_locale to 'en'
	* refs #13348 - use proxies with expected features for search tests
	* refs #12718 - change capitalisation, extract more strings

2016-02-24	Marek Hulan <ares@igloonet.cz>
	* Fixes #13834 - associate puppet proxies only for puppet imports

2016-02-24	Tom Caspy <tcaspy@gmail.com>
	* fixes #12187 - checking if OpenStack is defined before calling that constant

2016-02-24	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #13852 - add user_data to images api docs

2016-02-24	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13232 - Reword 'ACK' buttons texts
	* Fixes #13519 - Alias lookupkey key to parameter

2016-02-24	Daniel Lobato <elobatocs@gmail.com>
	* Refs #12720 - Typo in PuppetCA certificates page

2016-02-19	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #13348 - Allow searching of all hosts managed by a smart proxy

2016-02-19	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13664 - rescue smtp errors if mail failed on host built

2016-02-19	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #6241 - Validations for associations with proxies

2016-02-19	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6342 - merge compute profile when attributes in api host#create

2016-02-18	Tom Caspy <tcaspy@gmail.com>
	* fixes #11059 - removing unused regexp_extensions file
	* fixes #12621 - adding cache for template kinds to prevent multiple queries

2016-02-18	Daniel Lobato <elobatocs@gmail.com>
	* Revert "Fixes #13424 - Add Patternfly Donut Chart React component"
	* Fixes #13424 - Add Patternfly Donut Chart React component

2016-02-17	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #13084 - compute resource IP orchestration fixed

2016-02-17	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12380 - Added the ability to select pagination mechanism in /filters

2016-02-17	Trey Dockendorf <treydock@gmail.com>
	* fixes #13745 - Fix usage of primary_interface when migrating interfaces from < 1.8 to >= 1.8

2016-02-17	Marek Hulan <ares@igloonet.cz>
	* Fixes #13755 - allow reading of AR collections with safe mode enabled

2016-02-17	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13726 - rename delete button on pending certs

2016-02-17	Tom Caspy <tcaspy@gmail.com>
	* fixes #13157 - adding padding to icons in hosts#show
	* fixes #13709 - fullscreen editor doesn't need padding in parent element

2016-02-17	Michael Moll <kvedulv@kvedulv.de>
	* refs #2445 -  move back FreeBSD icon
	* fixes #12791 - allow access to boot_files_uri and medium in safe_mode

2016-02-17	Ori Rabin <orabin@redhat.com>
	* Fixes #13257 - nested locations can be created via api

2016-02-17	Sean O'Keeffe <seanokeeffe797@gmail.com>
	* Fixes #13721 - Some settings should dispaly a drop down list

2016-02-17	Dominic Cleal <dominic@cleal.org>
	* templates - sync from community-templates
	* i18n - extracting new, pulling from tx

2016-02-16	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13730 - change closing tfoot

2016-02-16	Marek Hulan <ares@igloonet.cz>
	* Fixes #3951 - reverting compatibility with newer jQuery

2016-02-16	Tom Caspy <tcaspy@gmail.com>
	* fixes #13567 - fixing locale:pack

2016-02-16	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12393 - Clarify parameter override count column header

2016-02-16	Michael Moll <kvedulv@kvedulv.de>
	* fixes #13729 - fix typo in images header HTML

2016-02-16	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13426 - Change status colors to adapt to Patternfly palette
	* Fixes #13557 - Rubocop enforce specifying a timezone

2016-02-15	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #13697 - Remove json from gemfile
	* Fixes #13353 - Correctly handle widget dragging in dashboard
	* Fixes #9553 - Remove workaround for older json version

2016-02-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #13409 - remove early initialisation of test DB
	* fixes #12873 - update Rails to 4.1.14.1

2016-02-12	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13356 - OpenStack volumes API v2 needs :name

2016-02-12	Timo Goebel <timo.goebel@dm.de>
	* fixes #13647 - change puppet ca proxy for several hosts at once

2016-02-12	Sean O'Keeffe <seanokeeffe797@gmail.com>
	* Fixes #13554 - Setting releated to taxonomies shouldn't be shown if they are disabled

2016-02-11	Bryan Kearney <bkearney@redhat.com>
	* Fixes #2445 - Fix some Operating systems icons.

2016-02-10	Timo Goebel <timo.goebel@dm.de>
	* fixes #12436 - as a user I want to deploy vSphere vms on a storage pool
	* fixes #13494 - change puppet proxy for several hosts at once

2016-02-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #13311 - improve English and link full sentence to docs

2016-02-10	Justin Sherrill <jsherril@redhat.com>
	* Fixes #13639 - add host permissions to host show api

2016-02-10	Stephen Benjamin <stbenjam@redhat.com>
	* templates - sync from community-templates

2016-02-09	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12909 - Keep 'reset zoom' buttom on the left
	* Fixes #13386 - Adds taxonomy parameters objects
	* Fixes #13378 - Ensure taxonomy name length validation is called once

2016-02-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #13440 - rename Host#model_name to #hardware_model_name

2016-02-08	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13428 - Temporarily thin flot_pie width to make it look like Patternfly

2016-02-08	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13594 - Pin parser gem to 2.3
	* Fixes #13245 - Remove duplicate apipie description from compute_resources

2016-02-08	Tom Caspy <tcaspy@gmail.com>
	* fixes #12669 - making sure that code which requires a new attribute doesn't break migrations

2016-02-08	Daniel Helgenberger <daniel.helgenberger@m-box.de>
	* Fixes #13584 - Rename 'DNS Proxy' > 'Reverse DNS Proxy'

2016-02-08	Imri Zvik <imrizvik@gmail.com>
	* Fixes #12949 - Allow selection of external networks as main network in Openstack

2016-02-08	Dominic Cleal <dcleal@redhat.com>
	* fixes #13574 - remove DB access from Setting class scope

2016-02-05	Tom Caspy <tcaspy@gmail.com>
	* fixes #13077 - setting width of number of days by what is needed
	* fixes #13083 - error pages alert box is no longer dismissable
	* fixes #12920 - allowing os parameters to be set via API
	* fixes #11346 - on new host, nic shouldn't try to call matcher

2016-02-05	Sean O'Keeffe <seanokeeffe797@gmail.com>
	* Fixes #13444 - Don't show empty properties

2016-02-04	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #13442 - foreman-debug exits with 0 on success

2016-02-04	David Davis <daviddavis@redhat.com>
	* Refs #12911 - Fixing colon method calls

2016-02-04	Timo Goebel <timo.goebel@dm.de>
	* fixes #13430 - add missing actions to virt power manager

2016-02-03	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #12718 - smart proxy log table

2016-02-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #8874 - rework POT/PO updates for gettext 3's edit.po
	* fixes #13533 - pin patternfly-sass to < 2.10.0

2016-02-03	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13340 - Seed Fedora Atomic installation media

2016-02-02	Tom Caspy <tcaspy@gmail.com>
	* fixes #13067 - dropdown menu alignment fix

2016-01-28	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #13379 - Clear host.last_report when switching to build mode

2016-01-28	Guido Günther <agx@sigxcpu.org>
	* Fixes 13401 - ssh_provision: safe stderr as well

2016-01-28	Timo Goebel <timo.goebel@dm.de>
	* fixes #13236 - apply power operations to several hosts at once

2016-01-28	Sean OKeeffe <seanokeeffe797@gmail.com>
	* Fixes #13411 - Display hostgroup name to the user when deleting a hostgroup

2016-01-27	Guido Günther <agx@sigxcpu.org>
	* fixes #13298 - ssh_provision: Don't use /tmp

2016-01-27	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13115 - Adds locations and organizations in smart_proxies#index

2016-01-27	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #13370 - Clip long fingerprints on puppetca proxy page

2016-01-27	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #13404 - Removed double closing of a div in proxy show page

2016-01-27	Tom Caspy <tcaspy@gmail.com>
	* fixes #13355 - facet test tables get created when tests run

2016-01-26	Tom Caspy <tcaspy@gmail.com>
	* fixes #13292 - replacing the turbolinks progress bar with a spinner

2016-01-26	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #13354 - Correctly show certificates even if some are pending
	* Refs #12720 - Allow puppet CA cache to work for https proxies

2016-01-25	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13341 - Seeded Fedora installation media URL is wrong

2016-01-25	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #13107 - compute attributes has indifferent access again

2016-01-25	Andrew Schofield <aas@ourhavens.co.uk>
	* fixes #13265 - Any Context menu permissions

2016-01-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13294 - Add qoutes to search parameter in generate_links_for helper method

2016-01-25	amirfefer <amirfefer@gmail.com>
	* Fixes #11631 - Adds a link to foreman inpuppet error state mail report

2016-01-25	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12720 - Add tabs for puppet on proxy show page

2016-01-24	alongoldboim <alongoldboim@gmail.com>
	* Fixes #13307 - Add ids to enable theme plugin overrides easier jquery selection

2016-01-24	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #13079 - Conditionally hide the pagelets

2016-01-24	Daniel Lobato <elobatocs@gmail.com>
	* Refs #13279 - Fix template for host in build mode alert
	* Fixes #13343 - Compute resource network modal is misaligned

2016-01-22	alongoldboim <alongoldboim@gmail.com>
	* Fixes #13309 - Added string extraction for host test

2016-01-21	Guido Günther <agx@sigxcpu.org>
	* fixes #13297 - ssh_provision: try keyboard-interactive as well

2016-01-21	Daniel Lobato <elobatocs@gmail.com>
	* Refs #13279 - checked_icon should use fa-check not png
	* Fixes #13279 - Adapt alerts to Patternfly

2016-01-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #13168 - permit safemode templates read-only access to AR relations

2016-01-21	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #13171: Prevent frozen array error when plugins have assets

2016-01-21	Stephen Benjamin <stephen@bitbin.de>
	* fixes #13033 - require new location of gettext_i18n_rails_js tasks

2016-01-21	Tom Caspy <tcaspy@gmail.com>
	* fixes #13247 - make sure Ace editor resizes on fullscreen

2016-01-20	Shimon Shtein <sshtein@redhat.com>
	* Fixes #13216 - Added ability to extend API by creating facet subnode This commit adds the ability for plugins to extend Host model with custom data that will be stored in a facet model. In order to show this data an extension point is added to Host's view API, so the properties list can be extended by the facet. Parts that are contained in this PR: 1. Added extension point to API V2: Now each facet will be able to add facet's properties to host's details 2. Added model extensions, now you can enumerate all active facets using Host#facets and Host#facets_with_definitions methods 3. Host#attributes will include the facets by default 4. Includes facets in Host#clone

2016-01-20	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #13235 - content from application layout extracted into a partial

2016-01-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #13111 - use negated Capybara lookups to wait for JS handlers
	* refs #13177 - fix usage of WrappedException constructor

2016-01-20	Ori Rabin <orabin@redhat.com>
	* Fixes #13126 - Corrects smart variable matcher length
	* Fixes #13258 - Use patternfly icons for parameters
	* Fixes #12843 - lookup values are hidden when creating them if lookup key is hidden

2016-01-20	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #13272 - use instance variable for basic_edit_test test helper

2016-01-20	Stefan - Zipkid - Goethals <stefan.goethals@vrt.be>
	* fixes #6535 - EC2 Security Groups show empty box

2016-01-20	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #13177, #13255 - Extend ProxyStatus to a base class, handle ProxyAPI errors

2016-01-19	Dominic Cleal <dcleal@redhat.com>
	* fixes #13256 - unpin i18n gem to get 0.7.x

2016-01-19	Ohad Levy <ohadlevy@gmail.com>
	* refs #13124 - set OS icons in the host list to match status icon size

2016-01-19	Ori Rabin <orabin@redhat.com>
	* Fixes #13070 - making actions column consistent

2016-01-18	Ohad Levy <ohadlevy@gmail.com>
	* fixes #13124 - use patternfly icons for status

2016-01-15	John Mitsch <jomitsch@redhat.com>
	* Fixes #13230 - Oauth headers change in rails 4

2016-01-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #13004 - inherit compute profile from parent host groups

2016-01-15	Ori Rabin <orabin@redhat.com>
	* Fixes #13146 - Removes table-condensed class

2016-01-15	Tomer Brisker <tbrisker@gmail.com>
	* Refs #13076 - correct spacing under tabs

2016-01-14	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13095 - Center Patternfly alerts icon

2016-01-14	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #12566 - host_parameters_attributes accepts nested flag

2016-01-14	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12630 - Facets registration

2016-01-14	Ori Rabin <orabin@redhat.com>
	* Fixes #12996 - Tests run without errors after removing a plugin

2016-01-14	Dominic Cleal <dcleal@redhat.com>
	* fixes #12271 - update ace editor usage, remove unused JS
	* refs #12716 - fix usage of N_() and exception constructor
	* fixes #13180 - correct closing tbody HTML tag
	* fixes #13144 - enable missing precompiled asset errors in test env

2016-01-14	alongoldboim <alongoldboim@gmail.com>
	* Fixes #13076 - Reduced host#show tab headings font size

2016-01-13	Justin Sherrill <jsherril@redhat.com>
	* Fixes #12130 - reference parent name in fact helptip

2016-01-13	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #13160 - pagelet tab names gets translated

2016-01-13	julien IPPOLITO <stuxboulot@gmail.com>
	* fixes #13113 - Add roles name in the title of the filters page

2016-01-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #13112 - add options to HostStatus#relevant? to optimise reports

2016-01-13	Marek Hulan <mhulan@redhat.com>
	* Fixes #13136 - align children fields from right
	* Fixes #13109 - seed bookmarks scoped per controller

2016-01-13	Timo Goebel <timo.goebel@dm.de>
	* fixes #5510 - Set network as first boot device for VMs in VMware compute resources

2016-01-13	Tom Caspy <tcaspy@gmail.com>
	* fixes #13131 - plugin tests to skip is back

2016-01-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11618 - Replace validation tests by shoulda-matchers

2016-01-12	Tom Caspy <tcaspy@gmail.com>
	* fixes #12805 - nested LV in puppetclass form are now validated

2016-01-12	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #12716 - Extensible pages for smart proxy with mount points
	* Fixes #10357 - Realms for organizations and locations can be retrieved through API

2016-01-12	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13074 - sprockets-rails should be in Gemfile
	* Fixes #13050 - Do not pass paths with /assets to helpers

2016-01-12	amirfefer <amirfefer@gmail.com>
	* Fixes #8801 - Adds a scrollbar to the search bar auto completer

2016-01-12	Timo Goebel <timo.goebel@dm.de>
	* fixes #12612 - Update fog to 1.37.0

2016-01-12	imriz <imrizvik@gmail.com>
	* Fixes #12946 - Do not fail miserably when compute instance is not found.

2016-01-12	Ori Rabin <orabin@redhat.com>
	* Fixes #12577 - Smart variable key should not contain space
	* Fixes #13101 - Smart class parameters show puppetclass in api
	* Fixes #12957 - removing current_parameters from hostgroup

2016-01-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #12959 - escape % in fact search values, auto-add wildcards
	* fixes #13039 - remove TemplateKind DB calls from UnattendedCtlr

2016-01-12	Marek Hulan <mhulan@redhat.com>
	* Fixes #12859 - trigger autosuggesting even when the IP is set

2016-01-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #13110 - add initializer name to plugin registration deprecation
	* fixes #12954 - config status is relevant if reports exist or via setting

2016-01-11	alongoldboim <alongoldboim@gmail.com>
	* Fixes #13075 - Add padding host#show status icon and caption
	* Fixes #13065 - Improved documentation link text
	* Fixes #13069 - Center documentation icon

2016-01-11	julien IPPOLITO <stuxboulot@gmail.com>
	* fixes #9359 - display puppetca in yaml always when a puppetca is configured

2016-01-11	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #13098: Set assets environment the same as core assets

2016-01-11	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #13054 - make proxy action buttons consistent

2016-01-11	Ori Rabin <orabin@redhat.com>
	* Fixes #12958 - calling update_capabilities only from host
	* Fixes #12965 - provisioning/config templates are shown under OS API
	* Fixes #13090 - fixing alignments on Puppet class edit form

2016-01-11	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12870 - FactName compose should be an attr_accessible
	* Fixes #12245 - Remove Nic

2016-01-10	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #13097 - Vertically center select2 option text

2016-01-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #12754 - adds permission name to 403 page

2016-01-08	Timo Goebel <timo.goebel@dm.de>
	* fixes #12830 - Support rebooting hosts when building multiple hosts

2016-01-08	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #13059 - pin net-ldap to less than 0.13 on ruby 1.9.x

2016-01-07	Ori Rabin <orabin@redhat.com>
	* Fixes #12919 - allows mass assignment of provisioning_template from os
	* Fixes #12931 - Nested taxonomies show parent parameters

2016-01-07	Ohad Levy <ohadlevy@gmail.com>
	* fixes #12914 - update configurations to rails 4.1 structure

2016-01-07	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #13040 - oVirt now autoloads SSL certificate

2016-01-07	alongoldboim <alongoldboim@gmail.com>
	* Fixes #4629 - Migrate UI to Patternfly

2016-01-07	Pavel Moravec <pmoravec@redhat.com>
	* Fixes #12978 - foreman-debug -m 0 to collect all files

2016-01-06	Dominic Cleal <dcleal@redhat.com>
	* fixes #13005 - enable CSS compression in plugin precompilation

2016-01-05	Dominic Cleal <dcleal@redhat.com>
	* refs #12977 - set max version of sprockets-rails

2016-01-04	Dominic Cleal <dcleal@redhat.com>
	* fixes #7517 - remove overridden class parameters from envs on import
	* refs #12714 - i18n extraction and interpolation fixes
	* fixes #12977 - set minimum sprockets-rails to 2.2.2

2016-01-04	Ori Rabin <orabin@redhat.com>
	* Fixes #12956 - turned ajax calls to post

2015-12-31	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12963 - correctly show status on proxy list after adding proxy
	* Refs #12714 - Improve proxy services tab
	* Fixes #12964 - Show proxy features version for proxy<1.11

2015-12-30	Ori Rabin <orabin@redhat.com>
	* Fixes #12947 - changes puppetclass_lookup_key factory to use puppetclass_lookup_key_id

2015-12-30	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #12714 - Show proxy status in index, and create a show page for proxy

2015-12-28	Ori Rabin <orabin@redhat.com>
	* Fixes #12934 - Unhiding paramter values does not clear their value
	* Fixes #12937 - All parameters can be hidden

2015-12-28	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12884 - Allow importing subnets from smart proxy

2015-12-28	David Davis <daviddavis@redhat.com>
	* Fixes #12911 - Turning on 0.35.1 cops

2015-12-28	Brandon Weeks <weeks@squareup.com>
	* Fixes #12514 - update guest types from vSphere API 6.0

2015-12-24	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12834 - Avoid select2 integration test deadlock

2015-12-22	Ori Rabin <orabin@redhat.com>
	* Fixes #12860 - Moves new_child_fields_template to LayoutHelper and connect new child to parent

2015-12-22	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12793 - reverted field filtration to enabled fields only
	* Fixes #12794 - Defined logic when properties should be sent to server

2015-12-22	Ohad Levy <ohadlevy@gmail.com>
	* fixes #12893 - ensure constants are set only once

2015-12-21	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #12219: Pin pg to 0.15.X

2015-12-21	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12083 - Set nic domain only on full match of fqdn domain

2015-12-21	Ori Rabin <orabin@redhat.com>
	* Fixes #12891 - search_by_params and search_by_user for host return correct results

2015-12-21	Ohad Levy <ohadlevy@gmail.com>
	* fixes #12892 - moves rails binaries to Rails.root/bin

2015-12-18	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7230, #12021 - Upgrade to Rails 4.1.5

2015-12-17	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12748 - "Add Smart Variable" button does not change color on click

2015-12-17	Ori Rabin <orabin@redhat.com>
	* Fixes #12852 - override checkbox always enables default value when use_puppet_default is false
	* Fixes #12842 - Adding padding below use puppet default checkbox in puppetclass edit form
	* Refs #6007 - fixing safe_value for lookup key

2015-12-16	Ori Rabin <orabin@redhat.com>
	* Fixes #12828 - Hidden value checkbox enabled after override button is checked

2015-12-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #12827 - deconstantize resource only when needed

2015-12-15	Ori Rabin <orabin@redhat.com>
	* Fixes #12806 - adding merge_default to attr_accessible in lookup_key

2015-12-15	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12799 - Add uuid to Compute Resource attr_accessible

2015-12-15	amirfefer <amirfefer@gmail.com>
	* Fixes #12180 - lookup_value presence validation moved from lookup_key

2015-12-14	Tom Caspy <tcaspy@gmail.com>
	* fixes #11862 - validating that casted hash is valid

2015-12-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #12278 - make sure permission set is uniq for role

2015-12-11	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12698 - Insufficient URL validation Smart Proxy and Medium.

2015-12-11	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12659 - Fixed "inherit" behavior
	* Fixes #12618 - Now calls for compute attributes are explicit.

2015-12-10	Ori Rabin <orabin@redhat.com>
	* Fixes #12752 - Host and hostgroup clone should copy smart class parameters overrides
	* Fixes #6007 - Allowing to hide smart class parameters

2015-12-10	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12691 - Small Rails 4 backwards compatible changes

2015-12-09	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12644, #12643 - Correctly authorize in lookup key index
	* Fixes #12611 - CVE-2015-7518 prevent XSS on host edit form

2015-12-09	Timo Goebel <timo.goebel@dm.de>
	* fixes #1584 - bulk owner change

2015-12-09	Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
	* i18n - add Catalan Language

2015-12-09	amirfefer <amirfefer@gmail.com>
	* Fixes #12508 - Test_email subscriptable field changed to false

2015-12-08	Tom Caspy <tcaspy@gmail.com>
	* fixes #12730 - removing the fakeFS gem

2015-12-08	alongoldboim <alongoldboim@gmail.com>
	* Fixes #12452 - Enable non admin users to do bulk actions on hosts

2015-12-08	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12728 - Add attr_accessible to Report

2015-12-07	Timo Goebel <timo.goebel@dm.de>
	* fixes #12624 - add plugin interface to add provision methods

2015-12-07	oshtaier <alexshtayer@yahoo.com>
	* Fixes #12554 - Change OS name column heading to match contents

2015-12-07	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12676 - Filter contains two attr_accessible declarations

2015-12-07	Ori Rabin <orabin@redhat.com>
	* Fixes #12660 - adding no-stretch class to host parameters textarea after unhiding the value
	* refs #12179 - refactoring extracted strings for host parameters

2015-12-06	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12677 - Nic

2015-12-04	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12642 - Show overriden values before type cast on host edit form

2015-12-03	Timo Goebel <timo.goebel@dm.de>
	* fixes #7548 - cannot use UTF8 characters from ldap auth source

2015-12-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #12615 - remove unused term-ansicolor dependency
	* fixes #12632 - remove hardcoded SSH compression algorithm

2015-12-02	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #12666 - add locked to attr_accessible for templates

2015-12-02	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12523 - Openstack does not work with Fog 1.36

2015-12-01	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7568 - Use attr_accessible for Rails 4 upgrade

2015-12-01	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12506 - Show smart proxies version in about page

2015-12-01	Ori Rabin <orabin@redhat.com>
	* Fixes #12179 - extracting strings in  host_inherited_params correctly

2015-12-01	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #12637 - improved discovered lease test

2015-11-30	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12609 - correctly display boolean parameters on host edit form
	* Fixes #8799 - Show override button when removing overriden global param

2015-11-30	Timo Goebel <timo.goebel@dm.de>
	* fixes #12594 - vSphere: resource pools are updated when cluster is changed in the gui for new hosts
	* fixes #12517 - VMWare VM should be created network based only if it is selected in the gui

2015-11-30	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7192 - Allow compute resources to have spaces in the name

2015-11-30	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12617 - Created new concern: SelectiveClone

2015-11-30	Dominic Cleal <dcleal@redhat.com>
	* fixes #12623 - convert VM IDs to strings for DB lookup

2015-11-27	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #7463 - Add basic support for bridges

2015-11-25	Fabien Culpo <fabien.culpo@gmail.com>
	* fixes #12575 - zerombr does not take any argument

2015-11-23	David Davis <daviddavis@redhat.com>
	* Fixes #12530 - Upgrade rubocop

2015-11-23	Timo Goebel <timo.goebel@dm.de>
	* fixes #8295 - add vsphere memory and cpu hot add

2015-11-23	Marek Hulan <mhulan@redhat.com>
	* Fixes #11834 - improve host status migration performance

2015-11-22	Ori Rabin <orabin@redhat.com>
	* Refs #11458 - adding missing </td> tag

2015-11-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #12512 - always install fog-core/net-* dependencies

2015-11-20	Tomer Brisker <tbrisker@redhat.com>
	* Fixes #11458 - Override inline for class parameters

2015-11-19	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12461 - Compute profile is properly selected.

2015-11-19	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11643 - [API] Add preview template to host

2015-11-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11307 - Add host count to hostgroups

2015-11-17	Brandon Weeks <weeks@squareup.com>
	* Fixes #12478 - don't update :attached_to if parsed :attached_to is nil

2015-11-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #12494 - update fog to 1.36.0

2015-11-16	Brandon Weeks <weeks@squareup.com>
	* Fixes #12477 - remove duplicate ALT Linux logo

2015-11-16	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12424 - Labels in chart legends are aligned to left

2015-11-16	Tom Caspy <tcaspy@gmail.com>
	* fixes #12342 - unsaved (new or cloned) hostgroups keep their puppetclasses

2015-11-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #12194 - join fact tables multiple times for each search term

2015-11-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12457 - Use .exists? to check subnet exists on Rails 4

2015-11-13	amirfefer <amirfefer@gmail.com>
	* Fixes #10649 - Adds Test email button to user's mail preferences

2015-11-13	Brandon Weeks <weeks@squareup.com>
	* Fixes #12441 - validate uniqueness for nic identifier and host

2015-11-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #12458 - escape values in fact searches to prevent SQL injection

2015-11-12	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #11943 - only send built mail when host is installed

2015-11-12	alongoldboim <alongoldboim@gmail.com>
	* Fixes #12303 - Added a correct url to ptables 'Useful template functions and macros'.

2015-11-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #12431 - pin tins for Ruby 1.9.3 compatibility

2015-11-12	Baptiste Agasse <baptiste.agasse@lyra-network.com>
	* Fixes #12212 - Import addtitionnal informations from DHCP smart proxy

2015-11-12	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12418 - Correct dashboard behaviour for updated gridster

2015-11-11	alongoldboim <alongoldboim@gmail.com>
	* Fixes #12432 - Changed roles model so admin could see/attach all permissions

2015-11-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #11771 - ensure created HostStatuses are saved correctly

2015-11-11	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12325 - Add to_utf8 method and ensure avatar_path returns in utf-8

2015-11-11	amirfefer <amirfefer@gmail.com>
	* Fixes #4133 - compute resource test connection provides positive feedback

2015-11-10	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #11309 - allow bulk hosts tool to open in new page

2015-11-09	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11444 - Correctly count hosts in domain

2015-11-09	Tom Caspy <tcaspy@gmail.com>
	* refs #12147 - making sure that rails4 seeds think they are in rake

2015-11-09	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11983 - Added the ability to preview a new template

2015-11-09	amirfefer <amirfefer@gmail.com>
	* Fixes #7537 - Adds test connection button to LDAP form

2015-11-09	Ori Rabin <orabin@redhat.com>
	* Fixes #11464 - use host inherited views for hostgroup parent parameters

2015-11-09	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12201 - Made parent associations finder less dependent on association name

2015-11-06	josh <josh@yosemite.edu>
	* fixes #12416 - Add support for esxi 6 hw 11 profile

2015-11-06	Tom Caspy <tcaspy@gmail.com>
	* fixes #12404 - rake console now works

2015-11-05	Phirince Philip <phirince@gmail.com>
	* fixes #12345 - fix sparc host creation

2015-11-04	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11828 - Use mail_to function to create email link

2015-11-03	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12371 - Initialize select2 on virtual machine tab for new hosts
	* Fixes #12231 - Allow editing smart variables with periods in puppetclass form

2015-11-03	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #12365 - Recognize virtual interfaces with alphanum aliases as such

2015-11-02	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12344 - Use Rails 4 update_all syntax in migrations
	* Refs #12089 - Revert fix using unwrapped parameters in config templates API controller

2015-11-02	Ori Rabin <orabin@redhat.com>
	* Fixes #12249 - Use puppet default on specific matchers does not send default value to puppet

2015-11-02	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #10889 - Allow selection of resource pool

2015-10-30	amirfefer <amirfefer@gmail.com>
	* Fixes #11460 - cleaner layout in  Host/Hostgroup parameters

2015-10-30	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12204 - Show interface form helptext in popovers

2015-10-30	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #12346 - foreman-debug filters compressed files
	* Refs #8800 - Avoid clipping on About - Plugins page

2015-10-29	Ori Rabin <orabin@redhat.com>
	* Fixes #12343 - Fixing parameters caster for boolean values

2015-10-29	Marek Hulan <mhulan@redhat.com>
	* Fixes #12328 - host STI loads subclasses
	* Fixes #12280 - fix label for field helper
	* Fixes #12279 - add default order to roles

2015-10-29	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12222 - prevent resizing textarea to under one line on FF

2015-10-28	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #4151 - enable reports STI
	* Fixes #11953 - Add STI controllers to bookmark via permissions

2015-10-28	Timo Goebel <timo.goebel@dm.de>
	* fixes #12127 - verify x509 subject alternative names when authenticating a smart proxy

2015-10-28	Christine Fouant <cfouant@redhat.com>
	* Fixes #12333 - adds search capabilities to bookmarks

2015-10-27	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12132 - [API] Host all parameters should include host parameters

2015-10-27	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11986 - Specify PUT method on form_for tags

2015-10-27	Chris Peters <chrispeters.psu@gmail.com>
	* Fixes #12311 - Fix issue with failed initialization of rack openid middleware.

2015-10-27	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12106 - Show popovers correctly on interface modal

2015-10-26	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12241 - Correct counter_cache deadlock fix

2015-10-26	Tom Caspy <tcaspy@gmail.com>
	* fixes #11965 - hostgroup with config group - clone should not run validations more than once
	* fixes #9981 - making sure lookup_keys with errors get displayed if they're broken
	* refs #12147 - compatible test updates for api fact value controller

2015-10-26	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11924 - Substitute .scoped by .where(nil) to force return relation
	* Fixes #12099 - Template locked? relying on rake makes tests fail
	* Refs #12147 - Remove trends output from tests

2015-10-23	Timo Goebel <timo.goebel@dm.de>
	* fixes #11124 - Interface compute attributes not merged from API request over compute profile

2015-10-23	Tom Caspy <tcaspy@gmail.com>
	* fixes #12109 - removing owner_id presence validation

2015-10-23	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #12089 - fix using unwrapped parameters in config templates API controller

2015-10-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #11921 - load dynamic features during runtime
	* Fixes #12185 - host created via reports has downcased name

2015-10-22	Daniel Lobato <elobatocs@gmail.com>
	* Refs #12155 - Use Proc instead of lambda on mailer for Rails 4

2015-10-22	Tom Caspy <tcaspy@gmail.com>
	* fixes #12207 - objects with ancestors should not call ancestors if cached
	* Fixes #12252 - Refactor of long line in templates form

2015-10-21	Tomas Strachota <tstrachota@redhat.com>
	* Refs #12089 - tests for config templates controller param wrapping

2015-10-21	Timo Goebel <timo.goebel@dm.de>
	* fixes #11345 - API GET request available_clusters sends empty hash

2015-10-21	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12098 - Dangling Fog.mock! makes compute_resource_vms test fail
	* Refs #11813 - Use new engines listing syntax in initializers

2015-10-21	Marek Hulan <mhulan@redhat.com>
	* Fixes #12043 - introduces interface for background support of importers

2015-10-21	Ranjan <rankumar@redhat.com>
	* fixes #12151 - return empty classes hash when missing environment

2015-10-21	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #12004, #11999 - Remove reserved words from Environment friendly_id

2015-10-21	Tom Caspy <tcaspy@gmail.com>
	* refs #12147 - adding permissions setter to roles
	* refs #12147 - adding safety guards to method_missing on compute attributes

2015-10-20	Michael Moll <kvedulv@kvedulv.de>
	* fixes #12215 - "`ruby_22` is not a valid platform"

2015-10-20	Tom Caspy <tcaspy@gmail.com>
	* refs #12147 - correcting route for unattended controller
	* refs #12147 - task#as_json should return hash

2015-10-19	amirfefer <amirfefer@gmail.com>
	* Fixes #12102 - Adds socket errors catching to rackspace test connection

2015-10-19	Tomer Brisker <tbrisker@gmail.com>
	* Refs #8800 - Fix clipping on global parameter table

2015-10-19	Marek Hulan <mhulan@redhat.com>
	* Fixes #11972 - ignore specific interfaces via settings

2015-10-16	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12104 - prevent overflow in host list for various locales

2015-10-16	Jiri Machalek <jiri.machalek@tieto.com>
	* Fixes #11987 - Check exit code of deployment scripts

2015-10-16	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #11016: added test-unit gem for ruby 2.2.x

2015-10-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #12095 - prevent escaping of lookup key default value with ERB

2015-10-15	Tom Caspy <tcaspy@gmail.com>
	* refs #12147 - fixing dhcp test to work properly with rails 4
	* refs #12147 - removing informational print from rake task in tests
	* refs #12147 - factory updates for medium - rails4 compatibility
	* refs #12147 - updating cycle test to comply with rails4

2015-10-15	Stephen Benjamin <stbenjam@redhat.com>
	* Fixes #12155 - register changes in reply address without restart

2015-10-14	Ohad Levy <ohadlevy@gmail.com>
	* Fixes #12162 - Sort operating systems in host list by title

2015-10-14	Kamjar Gerami <kami.gerami@gmail.com>
	* fixes #11881 - Searching for "puppet" in Puppet Classes takes long - Set only_explicit to host and config groups definitions in puppetclasses

2015-10-14	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11908 - removed the close button from the loading alert

2015-10-12	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #12118 - query model for alternative permission names

2015-10-12	amirfefer <amirfefer@gmail.com>
	* Fixes #11949 - In new forms password's placeholder should be empty

2015-10-12	Ori Rabin <orabin@redhat.com>
	* Fixes #11237 - documenting hostgroup association to compute profile

2015-10-12	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10988 - Remove 1.11 deprecations

2015-10-12	Marek Hulan <mhulan@redhat.com>
	* Fixes #12120 - drops ptables table

2015-10-12	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #12131 - long strings in reports are hard-wrapped

2015-10-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #12068 - Prepend puppetclass or variable to lookup_key_id
	* Fixes #12059 - AuthSourceLdap allow_nil should be removed
	* Fixes #12011 - Replace .includes(table).where(table) by .eager_load

2015-10-09	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #12028 - Put multiselects out of select2 control

2015-10-09	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #12055 - select initialization breaks nic table refresh

2015-10-08	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #12096 - Fix layout when removing class parameter override

2015-10-08	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #12071 - race condition in loading of providerSpecificNICInfo

2015-10-08	Ori Rabin <orabin@redhat.com>
	* Fixes #12078 - list validator in smart class parameters validates any string coercible value

2015-10-07	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8800 - Clip table cells only when needed

2015-10-07	Shimon Shtein <sshtein@redhat.com>
	* Fixes #12079 - Shows the correct error near the password field

2015-10-07	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.11-develop
	* i18n - extracting new, pulling from tx
	* templates - sync from community-templates

2015-10-07	Daniel Lobato <elobatocs@gmail.com>
	* Refs #10409 - Rails 4 compatible changes with Rails 3
	* Refs #12067 - Delegated method to_ip_address should be public
	* Fixes #12067 - Delegated methods need to be public, not protected

2015-10-07	Tom Caspy <tcaspy@gmail.com>
	* fixes #12082 - moving modules outside setup blocks in orchestration test

2015-10-07	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #12074: Pin rack-cache to less than 1.3.0

2015-10-05	Marek Hulan <mhulan@redhat.com>
	* Fixes #10993 - handle no interfaces in facts correctly

2015-10-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #12034 - scope nics to validate uniqueness against
	* Fixes #12013 - ignore all macvtap interfaces

2015-10-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #11375, #11782 - validate a host's lookup_values
	* fixes #11964 - mark existing parameters as overridden during clone
	* fixes #11945 - fix undefined variable in param_true/false helpers

2015-10-01	Julien Pivotto <roidelapluie@inuits.eu>
	* fixes #11990 - improve virtual interfaces discovery in fact parser

2015-10-01	David Davis <daviddavis@redhat.com>
	* Fixes #12015 - Pin version of fog-google

2015-09-30	Dominic Cleal <dcleal@redhat.com>
	* fixes #11996 - use preload to avoid multiple fact/host table joins

2015-09-30	Marek Hulan <mhulan@redhat.com>
	* Fixes #12005 - align host selector for template preview

2015-09-29	Dominic Cleal <dcleal@redhat.com>
	* fixes #11980 - pin net-ssh to 2.x on Ruby 1.9.3

2015-09-25	Marek Hulan <mhulan@redhat.com>
	* Fixes #11767 - avoid cleaning of interface attributes

2015-09-25	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7567 - Substitute find_or_create_by by first_or_create

2015-09-24	Dominic Cleal <dcleal@redhat.com>
	* fixes #11885 - exclude lookup_value_matcher on clone

2015-09-24	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #11764 - Taxonomy parameters can be accessed through API

2015-09-24	Daniel Lobato <elobatocs@gmail.com>
	* Refs #11846 - Specify join_tables for taxonomies
	* Fixes #11912 - Remove deprecated assert_present assert_blank
	* Fixes #11863 - Rewrite except_hidden user scope for Rails 4 compatibility

2015-09-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #11883 - fix classes accessors when cloning host groups

2015-09-22	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11848 - Align 'Host parameters' table with 'Global parameters' table sizes

2015-09-21	amirfefer <amirfefer@gmail.com>
	* Fixes #2943,#11387 - Add unset option to password_f in layout helper, added in Host and hostgroup root_pass, LDAP acount password, BMC password and compute resources password
	* Fixes #9267 - overridden smart class parameters large names are truncated with tooltip
	* Fixes #11893 - extract test connection string in compute resource vmware form

2015-09-21	Dominic Cleal <dcleal@redhat.com>
	* refs #11807 - change nested lookup_values destroy test params to match UI

2015-09-21	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11847 - find overridable global parameters by .fields selector
	* Fixes #11851 - include ActiveRecord
	* Fixes #11859 - handle HTML in parameters safely when hiding values (CVE-2015-5282)

2015-09-21	Ori Rabin <orabin@redhat.com>
	* Fixes #11861 - Smart variables can be removed and deleted

2015-09-18	Christine Fouant <cfouant@redhat.com>
	* fixes #9815 - Corrects group parameter cloning on hostgroup

2015-09-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #11835 - increase host_status.status field length to store metrics

2015-09-17	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #11858 - DRY get ancestry parameters
	* Fixes #11763 - Add inherited parameters to Host view api

2015-09-17	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11850 - improved DNS error message

2015-09-17	Dominic Cleal <dcleal@redhat.com>
	* refs #11833, #11791 - fix N+1 query during config status applicability check

2015-09-17	Walden Raines <walden@redhat.com>
	* Fixes #11692: update ace-rails-ap to 4.x.
	* Fixes #11845: handle case of hidden textarea that is not an editor.

2015-09-17	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #11833 - remove puppet references from config status

2015-09-17	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11813 - Use new engines listing syntax
	* Fixes #11812 - Remove whiny nils and add eager load
	* Fixes #11817 - Do not allow multi-line URL validations
	* Fixes #11814 - model_name needs to be stringified on Rails 4
	* Fixes #11818 - Update match routes to get
	* Fixes #11844 - Remove duplicate scope in FactValue
	* Fixes #11846 - Specify join_table and foreign keys for habtm associations

2015-09-16	Ori Rabin <orabin@redhat.com>
	* Fixes #11468 - separate global and class parameters on host/hostgroup form
	* Fixes #11188 - EnsureNotUsedBy checks for unscoped associations before destroying

2015-09-16	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11709 - better error for DNS conflict timeouts

2015-09-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #11034 - custom uniqueness validations for interface attributes

2015-09-16	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11816 - Remove whitelist_attributes as it's deprecated

2015-09-15	Tom McKay <thomasmckay@redhat.com>
	* fixes #11766 - differentiate between puppet facts and those from plugins

2015-09-15	Marek Hulan <mhulan@redhat.com>
	* Fixes #11791 - avoid N+1 query caused by configuration status
	* Fixes #11761 - support hostgroup form push through AJAX

2015-09-15	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11242 - Add operatingsystem_id to os_default_templates in API
	* fixes #11037 - Add ByIdName to environment model
	* Fixes #11401 - Add scoped search to auth_source on name

2015-09-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #11807 - update existing lookup value when changed from nested host form

2015-09-15	Walden Raines <walden@redhat.com>
	* Fixes #11689: hide editor container when hidden value.

2015-09-14	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #2267 - general rebuild of TFTP, DNS, DHCP

2015-09-14	Daniel Lobato <elobatocs@gmail.com>
	* Refs #11693 - APIv1 returns message when attempting deletion of Smart class parameter

2015-09-14	Phirince Philip <phirince@gmail.com>
	* Fixes #11745 - set_diff/edit_mode only if editor exists
	* fixes #11723 - foreman_url usable from default PXE template

2015-09-14	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11130 - Use self.table_name instead of deprecated set_table_name

2015-09-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #10805 - match vlans attached to bonds correctly

2015-09-12	Alves Lobo Michael <michael.alveslobo@coreye.fr>
	* Fixes #3650, #11600 - Compute Resource availability_zones, flavors, security_groups API v2 endpoints

2015-09-11	Tom Caspy <tcaspy@gmail.com>
	* fixes #11715 - base64 encoded passwords must not be reencoded

2015-09-11	Marek Hulan <mhulan@redhat.com>
	* Fixes #11704 - consider no reports as warning if reports are expected

2015-09-11	Stephen Benjamin <stbenjam@redhat.com>
	* refs #11776 - do not set default taxonomy settings by default

2015-09-10	Walden Raines <walden@redhat.com>
	* Fixes #11688: default text editor to ruby.

2015-09-10	Tom Caspy <tcaspy@gmail.com>
	* fixes #11610 - removing a bunch of N+1 queries from the migration

2015-09-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #11473 - remove re-init of domain select2 on env selection
	* fixes #8521 - fix classes accessors, copy overrides on host clone

2015-09-09	Tom Caspy <tcaspy@gmail.com>
	* fixes #10589 - removing N+1 queries from after_save callbacks when changing hostgroup

2015-09-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10106 - Make tests run in parallel

2015-09-09	Dominic Cleal <dcleal@redhat.com>
	* refs #11738 - fix incorrect capitalisation and host group wording

2015-09-09	Brad Buckingham <bbuckingham@redhat.com>
	* fixes #11738 - add missing punctuation to provisioning template view

2015-09-08	Shimon Shtein <sshtein@redhat.com>
	* Fixes #11727 - Added proper human readable description to User#mail_enabled field

2015-09-08	Dominic Cleal <dcleal@redhat.com>
	* refs #11719 - change pg/sqlite3 deps to match ActiveRecord
	* fixes #11341 - update fog to 1.34.0
	* fixes #11719 - mysql2 dep must match ActiveRecord's runtime dep

2015-09-08	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11621 - n+1 query on User Groups index

2015-09-08	Tom Caspy <tcaspy@gmail.com>
	* fixes #9108 - parent parameters are now overrideable

2015-09-07	Tom Caspy <tcaspy@gmail.com>
	* fixes #11415 - using the correct method for classification caster
	* fixes #3145 - host with a lot of parameters quicker

2015-09-07	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #11683 - Fixed Hostgroup#new parameters spinner when Lifecycle selected
	* Fixes #11693 - removed 'destroy' for smart class parameter from API controllers

2015-09-07	Marek Hulan <mhulan@redhat.com>
	* Fixes #11707 - skip irrelevant states in host overview

2015-09-07	Shimon Shtein <sshtein@redhat.com>
	* Fixes #11665 - Removed to_s function from OpenStruct instance

2015-09-07	Ori Rabin <orabin@redhat.com>
	* Fixes #11663 - Empty lookup value not validated when use_puppet_default is checked

2015-09-04	Marek Hulan <mhulan@redhat.com>
	* Fixes #11696 - remove unused code
	* Fixes #10782 - global host status
	* Fixes #11263 - set newly seeded partition tables default

2015-09-04	Pavel Moravec <pmoravec@redhat.com>
	* Fixes #11677 - foreman-debug: netstat to print all connections

2015-09-04	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11407 - Uppercase logins from LDAP break external user group sync

2015-09-04	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #11426 - remove puppet class paremeters no longer possible during edit in UI

2015-09-04	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #9654 - mark seeded org/loc as default

2015-09-04	Walden Raines <walden@redhat.com>
	* Fixes #11625:  refactor the ace editor to make it reusable.

2015-09-03	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11428 - External user groups refresh shouldn't be case sensitive

2015-09-03	Ivan Nečas <inecas@redhat.com>
	* Fixes #11673 - accept integer value when setting the integer via API

2015-09-03	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #1477 - Hostgroup no longer looses puppet classes when environment changed during hostgroup editing

2015-09-03	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11650 - show global parameter value inherited from parent taxonomy

2015-09-03	Michael Moll <kvedulv@kvedulv.de>
	* refs #11449 - move therubyracer to its own bundler group

2015-09-03	Brad Buckingham <bbuckingham@redhat.com>
	* fixes #11649 - taxonomies api - add description to base.json.rabl

2015-09-03	Ori Rabin <orabin@redhat.com>
	* fixes #10832 - separating lookup keys into puppet and variable

2015-09-02	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11466, #11462 - Improve layout of textareas

2015-09-02	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Enable Rails delegate cop
	* Refs #3809 - Stabby lambda syntax for oneliners

2015-09-02	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #11630 - Enable management of nics in compute profiles without libvirt network

2015-09-01	Tom Caspy <tcaspy@gmail.com>
	* fixes #11570 - returning 'dependent destroy' to lookup values

2015-09-01	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11579 - Reports show/destroy restricted by host authorization (CVE-2015-5233)

2015-09-01	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #11619 - only check template changes when persisted

2015-08-31	Marek Hulan <mhulan@redhat.com>
	* Fixes #11031 - ignore identifiers of interfaces being destroyed

2015-08-31	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11284 - clear cache during websocket setting migration

2015-08-31	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #11427 - puppetclass edit text under optional input validator is now alert-info
	* Fixes #11467 - Textareas in form may be resized only vertically

2015-08-31	Shimon Shtein <sshtein@redhat.com>
	* Fixes #11596 - Changed the javascript to put the error near te ip field, not inside it.

2015-08-31	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11388 - Popovers display with correct size and dismiss on next click

2015-08-28	amirfefer <amirfefer@gmail.com>
	* Fixes #10408 - adding checkbox in hosts-index page for keeping selected hosts
	* Fixes #11461 - Remove 'global scope' column in host/hostgroup parameters form

2015-08-28	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #11437 - do not modify frozen arrays in select_f helper

2015-08-28	Ori Rabin <orabin@redhat.com>
	* Fixes #10731 - Allow matches to merge with default values

2015-08-28	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9453 - improve tooltips on puppetclass selection forms

2015-08-27	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11560 - foreman-debug counts denials correctly

2015-08-27	amirfefer <amirfefer@gmail.com>
	* Fixes #11581 - Headlines extracted in the selected hosts modal

2015-08-27	Tom Caspy <tcaspy@gmail.com>
	* fixes #11571 - resetting column information in migration

2015-08-26	Amir Feferkuchen <afeferku@dhcp-4-115.tlv.redhat.com>
	* Fixes #11006, #11004 - Facts % is now in the center of the graph

2015-08-26	Tom Caspy <tcaspy@gmail.com>
	* fixes #11425 - adding lookup_value_matcher to host and hostgroup to make db schema more logical
	* fixes #9058 - interfaces should not be affected when changing loc/org

2015-08-26	Ivan Nečas <inecas@redhat.com>
	* Fixes #9704,#9705 - ability to customize vmware VM on image-based provisioning

2015-08-25	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11451 - Changed bookmark name to be unique per controller.

2015-08-25	Tom Caspy <tcaspy@gmail.com>
	* fixes #10130 - availability zones should be available in open stack

2015-08-24	imriz <imrizvik@gmail.com>
	* Fixes #11282 - Search on numeric facts is broken if using "~"

2015-08-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11450 - Improve hidden parameter handling
	* Fixes #11413 - disable SQL logging by default

2015-08-24	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11379 - Audit search for hostgroup/OS title

2015-08-24	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #11303: Allow scoped search by name for permissions.

2015-08-20	amirfefer <amirfefer@gmail.com>
	* Fixes #11174 - Don't show password placeholder when empty

2015-08-19	Julien Pivotto <roidelapluie@inuits.eu>
	* fixes #11385 - Enable management of nics in compute profiles without libvirt network

2015-08-19	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11374 - re-initialize select2 on smart vars

2015-08-19	Dominic Cleal <dcleal@redhat.com>
	* fixes #11170 - pass quoted args through foreman-rake

2015-08-19	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11432 - Allow copying from ACE editor

2015-08-19	Avi Tal <avi3tal@gmail.com>
	* fixes #11220 - column ambiguity for non-admin host creation

2015-08-19	Tom Caspy <tcaspy@gmail.com>
	* fixes #10232 - moving validations and casting out of lookup key and value

2015-08-18	slivik <jakub.sliva@gmail.com>
	* fixes #11274 - Unable to get resourcePoo

2015-08-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #10997 - update fog to 1.33.0

2015-08-17	amirfefer <amirfefer@gmail.com>
	* Fixes #11371,#4410 - puppet parameters truncated and tooltip added

2015-08-17	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11240 - Add api docs to hostgroup params

2015-08-17	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11372 - Formalize assets names.

2015-08-17	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11376 - show location tab in organization editor

2015-08-14	Justin Sherrill <jsherril@redhat.com>
	* Fixes #11339 - ensure unique parameters before adding uniq index

2015-08-13	Marek Hulan <mhulan@redhat.com>
	* Fixes #11187 - explicitly pass resource_type and permission to check

2015-08-13	Shimon Shtein <sshtein@redhat.com>
	* Fixes #11255 - Fixed inheritance checks for explicit input on host clone

2015-08-13	Tom Caspy <tcaspy@gmail.com>
	* fixes #1881 - adding auto refresh button to dashboard

2015-08-13	Ori Rabin <orabin@redhat.com>
	* Fixes #4419 - rearranging smart class parameters edit form

2015-08-11	Phirince Philip <pphilip@linkedin.com>
	* fixes #11312 - Allow plugins to update the Rabl view_paths

2015-08-11	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #10248 - cloning volume information for virtual machines

2015-08-10	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7840 - Show correct values for smart variables on host edit page

2015-08-07	Dominic Cleal <dcleal@redhat.com>
	* refs #11216 - remove update-rails from locale update steps

2015-08-06	lawre <larrytek@yahoo.com>
	* fixes #11250 - Remove uniqueness check from subnet network addresses

2015-08-06	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11172 - disable select2 with css class (and enable elsewhere)
	* fixes #11171 - compute profiles nics & volumes select2 are initiated separately

2015-08-05	Marek Hulan <mhulan@redhat.com>
	* Fixes #11283 - check for operatingsystem_ids before using it
	* Fixes #1453 - add use_image and jumpstart helpers to Host jail

2015-08-03	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #4468 - Dropdown shows '1' when all reports within last 24 hours

2015-08-03	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #11219 - rename config_template attributes in os_default_templates

2015-07-31	Marek Hulan <mhulan@redhat.com>
	* Fixes #11258 - validation handles blank provider

2015-07-31	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #7275 - remove welcome page and replace with docs button

2015-07-31	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #7167 - names of settings marked for translation

2015-07-31	Ori Rabin <orabin@redhat.com>
	* Fixes #10558 - adds migration to remove and prevent duplicate tokens

2015-07-29	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11230 - foreman-debug calls 'plugin:list' now

2015-07-29	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #11231 - Correctly stubbify global parameters
	* Fixes #11216 - use rails-i18n gem for translating rails strings
	* Fixes #10133 - Prevent deadlocks when fixing counter_cache

2015-07-29	Shimon Shtein <sshtein@redhat.com>
	* Fixes #9591 - Added support for "inherit" state.

2015-07-29	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #10826 - Adds unique constraint to the title in operatingsystem table

2015-07-29	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11013 - Added common table css classes to the tables

2015-07-28	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #11122 - initialize ENCRYPTION_PREFIX only once
	* fixes #11175 - [API] Add taxonomies to ptables, display ptables in taxonomies

2015-07-28	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #11206 - plugin API now expose default role permissions

2015-07-27	Marek Hulan <mhulan@redhat.com>
	* Fixes #11062 - do not process data when FormData is used

2015-07-24	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Enable cop Style/MultilineTernaryOperator
	* Refs #3809 - Enable cop Style/IfUnlessModifier
	* Refs #3809 - Enable cop Style/AlignArray

2015-07-24	Ivan Nečas <inecas@redhat.com>
	* Fixes #10850 - handled errors when missing template when rendering widget

2015-07-24	imriz <imrizvik@gmail.com>
	* Fixes #11150 - Allow searching of facts as types other than string

2015-07-22	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11168 - Provisioning templates form is showing corrrect tabs
	* Fixes #11009 - include instruction using foreman-debug into 500 error page

2015-07-22	Pavel Moravec <pmoravec@redhat.com>
	* fixes #11149 - foreman-debug to collect two httpd katello.conf files

2015-07-22	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10929 - Add removed widgets to dashboard

2015-07-22	Shimon Shtein <sshtein@redhat.com>
	* Fixes #4830 - Added a new template to show when no trend data is collected.

2015-07-21	Dominic Cleal <dcleal@redhat.com>
	* refs #10550 - extract settings API error string

2015-07-20	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #10550 - Settings API will not update when value parameter is missing
	* Fixes #6854 - Api status allowed for all users

2015-07-20	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11011 - notifications are removed when window is changed
	* Fixes #11010 - removed type and association tabs, placed those options in the template tab

2015-07-20	Tom Caspy <tcaspy@gmail.com>
	* fixes #5897 - when user doesn't have an email, email isn't required

2015-07-20	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11089 - Adapt tests to Rails 4

2015-07-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #11120 - migrate websockets setting when readonly in settings.yaml

2015-07-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #11035 - template preview feature

2015-07-16	Timo Goebel <timo.goebel@dm.de>
	* fixes #5630 - fixes VMWare clone from template fails if VMWare is in foreign language

2015-07-16	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10985 - Set css class for width of filter select on Puppet CA index

2015-07-16	Dominic Cleal <dcleal@redhat.com>
	* fixes #11121 - initialise websockets_encrypt after dependencies

2015-07-15	Tom Caspy <tcaspy@gmail.com>
	* fixes #11095 - lookup keys do not get saved to db on setter invokation

2015-07-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #10994 - remove new_* data from compute profile attributes

2015-07-14	alongoldboim <alongoldboim@gmail.com>
	* Fixes #11014 - increased space for subnet domain assocation(up to 70 chars).
	* Fixes #9293 - Organization/location menu closes correctly

2015-07-14	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #11111 - action dropdowns pulled right

2015-07-14	Ori Rabin <orabin@redhat.com>
	* Fixes #10915 - Deleting a host removes all host specific overrides

2015-07-14	Shimon Shtein <sshtein@redhat.com>
	* Fixes #8343 - Consolidated code paths, and removed unnecessary DB calls for parent object

2015-07-14	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #9603 - fixed websockets_* set of settings

2015-07-14	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #11023 - Pass identity_endpoint to Openstack Fog 1.32.0
	* Fixes #11078 - Substitute find_all_by by where to comply with Rails 4

2015-07-13	alongoldboim <alongoldboim@gmail.com>
	* Fixes #10356 - changed the POST/PUT RABL template to be the same as the GET template

2015-07-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #11048 - add script to sync unattended templates from community-templates

2015-07-09	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #11056: Configure base SETTINGS for test environment.

2015-07-09	Shimon Shtein <sshtein@redhat.com>
	* Fixes #10438 - Removed trends:clean task, as it is no longer needed

2015-07-09	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #3971 - warning shown when PXE template is edited and has hosts in build mode

2015-07-08	Ori Rabin <orabin@redhat.com>
	* Fixes #11012 - Making Puppet menu cosistent

2015-07-08	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #11033 - adding missing params to auth_source ldap API docs

2015-07-08	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #11025: Allow skip test runner to run through Jenkins test task.

2015-07-06	Dominic Cleal <dcleal@redhat.com>
	* fixes #11024 - update smart proxy realm docs link
	* fixes #11018 - correct syntax error in version number

2015-07-06	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10867 - OpenStack boot_from_volume is true only when checked
	* Refs #3809 - Style/blocks cop enabled

2015-07-05	Dominic Cleal <dcleal@redhat.com>
	* fixes #10216 - sort report log messages in natural order

2015-07-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #10470 - update fog to 1.32.0

2015-07-02	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #10803: Return nil if no resource_type when creating a filter.

2015-07-02	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10964 - [js] search env_id by name attribute
	* fixes #10965 - remove select css classes from days_filter

2015-07-02	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10928 - Default dashboard widgets for new users

2015-07-02	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #10976 - Suggest new ip button does not work

2015-07-02	alongoldboim <alongoldboim@gmail.com>
	* Fixes #10635 - Formalize deprecation warning

2015-07-01	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #10963 - partition table can't access os ids

2015-07-01	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10965 - change days_filter sentence

2015-07-01	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10785 - force encoding for encrypted fields

2015-07-01	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #10802: Fix error that appears in migrations related to users.

2015-07-01	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #10959 - gravatar should be opt-in not opt-out

2015-06-30	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10868 - use classify for a Symbol instead of humanize
	* fixes #10952 - remove empty test files

2015-06-29	alongoldboim <alongoldboim@gmail.com>
	* Fixes #10729 - clear notifications on login

2015-06-29	Pavel Moravec <pmoravec@redhat.com>
	* Fixes #10945 - foreman-debug to collect foreman http request log

2015-06-29	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10933 - in api/v1 templates should be name as config_templates
	* fixes #10876 - Search for compute / arch /os by name and not by id

2015-06-29	Marek Hulan <mhulan@redhat.com>
	* Fixes #10607 - match bonds based on identifier only
	* Fixes #10888 - skip attached_to updates if identifier was blank

2015-06-26	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.10-develop
	* i18n - extracting new, updating rails, pulling from tx
	* templates - sync from community-templates

2015-06-26	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #10917 - Update API docs for template combinations

2015-06-26	Marek Hulan <mhulan@redhat.com>
	* Fixes #10740 - ignore auditing of all models in migrations

2015-06-26	untsakas <raul.laansoo@gmail.com>
	* Fixes #10683 - Permission to view individual compute resource VMs is incorrect

2015-06-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10910 - initiate select2 separately on interfaces selects

2015-06-25	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #10916 - convert config_template_ids in operatingsystems

2015-06-25	Dominic Cleal <dcleal@redhat.com>
	* refs #10072 - derestrict fog-libvirt per semver

2015-06-25	Marek Hulan <mhulan@redhat.com>
	* Fixes #10911 - reinitialize select2 on templated forms

2015-06-25	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10879 - reported_at column is NOT NULL

2015-06-25	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7574 - Rails 4 :data attributes substitute deprecated HTML options
	* Fixes #10909 - Clear value on select2 dropdown
	* Fixes #10090 - Minimised dashboard widget names are translated

2015-06-24	David O'Brien <daobrien@redhat.com>
	* Fixes #10921 - Rephrase foreman-rake manpage

2015-06-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #10899 - removes deprecated smart proxies scopes code

2015-06-24	Shimon Shtein <sshtein@redhat.com>
	* Fixes #10727 - Added validation to require BMC Smart proxy in order to add BMC nic

2015-06-24	alongoldboim <alongoldboim@gmail.com>
	* Fixes #10633 - Associate architechture to OS during fact import

2015-06-23	Marek Hulan <mhulan@redhat.com>
	* Fixes #10849 - remove hidden template fields on submit

2015-06-23	Dominic Cleal <dcleal@redhat.com>
	* refs #10701 - fix spelling mistakes

2015-06-22	Fernando Carolo <carolo@gmail.com>
	* Fixes #10526 - Support for Cisco POAP

2015-06-22	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #10853 - add config_template_ids back to organization

2015-06-19	Walter Huf <whuf@skybox.com>
	* Refs #10720 - Use API v2 response for vm_compute_attributes

2015-06-19	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #10072: Support for user-data during image-based provisioning with libvirt (used for creating of Atomic libvirt VM)

2015-06-19	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10887 - Removed debug statement from clear_cache

2015-06-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10641 - Introduce select2.js for searching in select lists and apply to CR select

2015-06-18	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10701 - foreman-debug config file support

2015-06-18	Ohad Levy <ohadlevy@gmail.com>
	* fixes #10861 - Remove unused columns from the hosts table

2015-06-18	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #10854 - config_templates missing from show in taxonomies and os

2015-06-17	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10780 - factory girl examples for provisioning

2015-06-17	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #9793 - API v2 fact_values index works for non-admins

2015-06-16	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10829 - non-admin user cannot update admin password

2015-06-16	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10409 - Rails 4 compatible changes with Rails 3
	* Fixes #4551 - GCE provisioning support

2015-06-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #10817 - Initialize all autocomplete fields that needs it

2015-06-16	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10815 - introduced FOREMAN_APIPIE_LANGS env variable

2015-06-16	Shimon Shtein <sshtein@redhat.com>
	* Fixes #10738 - Added javascript to focus on alert in puppetclasses tab

2015-06-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #10787 - load fog extensions based on available CRs
	* refs #10703 - use N_() for exception messages

2015-06-12	Marek Hulan <mhulan@redhat.com>
	* Fixes #10793 - rename old class name in taxonomy ignore_types

2015-06-12	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10703 - websockify is now randomly selected

2015-06-11	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #10656 - Prevent audits on counter cache update

2015-06-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #10627 - apply host taxonomy scope to facts/report joins

2015-06-10	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6976 - Build default PXE menu should be POST request

2015-06-10	Marek Hulan <mhulan@redhat.com>
	* Fixes #10736 - Add permission specific logger

2015-06-09	Ivan Nečas <inecas@redhat.com>
	* Fixes #10713 - improved backtrace logging

2015-06-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #7096 - Adds STI to templates

2015-06-08	Walter Huf <hufman@google.com>
	* fixes #10720 - Adds API to get host vm attributes

2015-06-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #10260 - allow NIC management in attended mode and for unmanage hosts
	* Fixes #10642 - save the interface regardless of validation errors

2015-06-08	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #10715 - api build_pxe_default returns non-JSON message

2015-06-08	Justin Sherrill <jsherril@redhat.com>
	* fixes #9301 - make puppet environment optional for hosts

2015-06-05	Dominic Cleal <dcleal@redhat.com>
	* fixes #10711 - move LDAP logging to a separate logger

2015-06-05	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #10695 - don't seed initial taxonomies if there are any already

2015-06-04	Marek Hulan <mhulan@redhat.com>
	* Fixes #10566 - allow identifier modifications that do not change interface type

2015-06-04	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #10699 - foreman debug options -au are exclusive

2015-06-04	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #3856 - Make parameter value fields expandable

2015-06-04	Ori Rabin <orabin@redhat.com>
	* Fixes #9187 - Overrideable empty class parameters don't validate default value

2015-06-04	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #10487: Add custom logging support

2015-06-03	Dmitry Kireev <dmitry@kireev.co>
	* Fixes #9299 - Windows installation media works without bcd patching

2015-06-03	Marek Hulan <mhulan@redhat.com>
	* Fixes #3711 - usergroup name can't be null
	* Fixes #10684 - re-adding missing code

2015-06-02	Dominic Cleal <dcleal@redhat.com>
	* fixes #10646 - disable NIC subnet taxonomy checks when feature's disabled
	* fixes #6332 - skip taxonomy queries when features are disabled
	* fixes #10397 - parse Windows Local_Area_Connection interface name
	* fixes #10613 - restore VMware SCSI controller field

2015-06-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #10664 - map only physical interfaces in compute orchestration

2015-06-02	Tom Caspy <tcaspy@gmail.com>
	* fixes #10660 - taxonomies are able to have the same name for different classes

2015-06-01	Aaron Stone <aaron@serendipity.cx>
	* Refs #6518 - Use #find instead of #select #first to choose a BMC proxy for the subnet

2015-06-01	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9031 - Add routes to view template_combinations per hostgroup / environment

2015-05-28	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #10638 - decouple full screen button from template editor

2015-05-28	Francois Herbert <francois@herbert.org.nz>
	* fixes #10151 - Unable to get resourcePool

2015-05-27	alongoldboim <alongoldboim@gmail.com>
	* fixes #9632 - updated compute resource names to follow brand names

2015-05-27	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #10584 - Replace sort.uniq with uniq.sort

2015-05-22	Walden Raines <walden@redhat.com>
	* Fixes #10542: correct path for auto complete search on filters page.

2015-05-22	Adam Price <komidore64@gmail.com>
	* fixes #10284 - improves foreman-debug usage for consumption from other tools

2015-05-22	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #10586 - make the 401 status comparison actually match.

2015-05-22	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #1510 - notification when host finishes building

2015-05-22	Ori Rabin <orabin@redhat.com>
	* Fixes #9424 - orchestration progress no longer triggers twice

2015-05-22	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #10583 - perform uniq in database instead of in memory when possible

2015-05-22	Tom Caspy <tcaspy@gmail.com>
	* fixes #8597 - escape slashes for ptable URL parameters

2015-05-21	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10568 - Show release field when OS family is CoreOS
	* Fixes #10513 - Substitute reports:summarize docs for reports:daily

2015-05-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #9873 - generate unique alert mails for each user group member

2015-05-21	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7337 - Only list authorized items on multiple select

2015-05-20	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7533 - auto resize pie chart labels to prevent overflow
	* Fixes #10288 - prevent audits on update of puppetclass total hosts counter

2015-05-20	Shimon Shtein <sshtein@redhat.com>
	* Fixes #9594 - adds admin field to the hostgroup rabl

2015-05-19	Ori Rabin <orabin@redhat.com>
	* Fixes #10535 - building a token instead of creating it until host is saved

2015-05-19	Shimon Shtein <sshtein@redhat.com>
	* Fixes #10439 - add tests for trends:reduce task to deal with additions

2015-05-19	Walden Raines <walden@redhat.com>
	* Fixes #10402: add to_bool function for converting to boolean.

2015-05-19	Tom Caspy <tcaspy@gmail.com>
	* fixes #10528 - lookup value should allow false and 0 values

2015-05-19	Dominic Cleal <dcleal@redhat.com>
	* fixes #10482 - get external user group members only once during refresh

2015-05-18	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #10355 - Prevent turbolinks loading puppetclass import

2015-05-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #1213 - Get email reports of audit changes

2015-05-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #10509 - add toggle for LDAP usergroup updating
	* fixes #10493 - disable usergroup sync on login when $login is used
	* fixes #10510 - move secure flag to existing session configuration

2015-05-18	John McCabe <john@johnmccabe.net>
	* fixes #10518 - Broken quickstart section URL

2015-05-14	Dominic Cleal <dcleal@redhat.com>
	* fixes #10507 - wait for completion of update env request
	* fixes #4769 - fix deprecation warning while syncing LDAP attrs
	* fixes #10336 - move rbvmomi CR loading before our CR loading

2015-05-14	Eric-Olivier Lamey <eric-olivier.lamey-ext@cloudwatt.com>
	* Fixes #9170 - wrong nic order in libvirt domain

2015-05-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #10442 - dry up host managed logic

2015-05-14	Ori Rabin <orabin@redhat.com>
	* Fixes #9634 - creating a host with an interface and without os returns a validation message

2015-05-14	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #9613 - foreman_url can't be blank

2015-05-14	Joseph Magen <jmagen@redhat.com>
	* fixes #10492 - permission name should be unique and not scoped by resource_type

2015-05-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #10406 - add LDAP instrumentation and extra logging

2015-05-13	Marek Hulan <mhulan@redhat.com>
	* Fixes #10379 - disables cloning if unattended mode is disabled
	* Fixes #10212 - validate DNS name uniqueness of interfaces

2015-05-13	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9966 - More debug messages for matching nics from fog

2015-05-13	Jon McKenzie <jcmcken@gmail.com>
	* Fixes #5568 - Improves performance of trends:clean rake task

2015-05-12	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #9194 - displays full fact value
	* fixes #10471 - use Rails' force_ssl
	* fixes #10275 - Add secure cookie when in ssl (CVE-2015-3155)

2015-05-12	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7532 - prevent wrapping of host parameter table headers in ja_jp

2015-05-11	Shimon Shtein <sshtein@redhat.com>
	* Fixes #8525 - Rename "Mail" to "Email" in user preferences

2015-05-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #10403 - resync names of unmanaged hosts to their primary NIC
	* fixes #10261 - update fog to 1.30.0
	* fixes #10298 - handle destroyed but present interfaces

2015-05-11	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #10307 - editing host with 'unattended: false' no longer results in error

2015-05-11	Ohad Levy <ohadlevy@gmail.com>
	* fixes #10437 - remove incorrect/duplicate hash statements

2015-05-11	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #10441 - sort time and count-based columns in descending order

2015-05-09	Ori Rabin <orabin@redhat.com>
	* Fixes #8333 - correct matcher values with multi-key matchers

2015-05-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #8502 - update scoped_search to 3.x

2015-05-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #10412 - display interface tooltip after type change

2015-05-07	Daniel Lobato <elobatocs@gmail.com>
	* Refs #10337 - Update Host searches to use outofsync_interval
	* Refs #3809 - Remove nested ternary and nil checking

2015-05-06	Marek Hulan <mhulan@redhat.com>
	* Fixes #7458 - allow searching hosts by their ip and mac addresses

2015-05-06	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10382 - Allow lowercase IPMI provider
	* Fixes #10263 - Encrypt LDAP password in db

2015-05-06	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7454 - extract period for l10n on taxonomy help pages.

2015-05-06	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #9879 - improve wording of host delete dialog
	* Fixes #5649 - unattended_url validation fix

2015-05-06	Craig Parker <craig@paragon.net.uk>
	* Fixes #10337 - Added setting out of sync duration

2015-05-05	Dominic Cleal <dcleal@redhat.com>
	* fixes #10343 - only log cache deletion failures when saving settings

2015-05-05	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7515 - Prevent label line breaks in add bookmark modal

2015-05-05	karmab <karimboumedhel@gmail.com>
	* Fixes #10305 - complete handling for cloudinit-like in vsphere feature

2015-05-05	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #10030 - use override method to display templates in folders

2015-05-05	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10230 - Host clone uses create_hosts permission

2015-05-05	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #8566 - reorganized settings categories

2015-05-04	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9812 - Adds validation on override value, ensure match returns error if blank

2015-05-01	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #10194 - help text for token_duration setting
	* Fixes #10228 - adding index to source_id in logs table

2015-05-01	Marek Hulan <mhulan@redhat.com>
	* Fixes #9506 - Add granular permissions to config groups
	* Fixes #9687 - respect custom controller permissions

2015-05-01	Avi Tal <avi@primarydata.com>
	* fixes #10342 - adding :host_parameters_attributes to except list in template_used()

2015-05-01	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #9674 - Handle ProxyAPI exceptions on PuppetCA controller

2015-04-30	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #10287 - provide helper methods for proxy features

2015-04-29	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #10289: default root password hash is SHA256 now

2015-04-29	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7335 - Refactor taxonomy form, display "select all" checkbox only if permitted

2015-04-28	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7743 - ensure name is unique in scope of major and minor

2015-04-28	Dominic Cleal <dcleal@redhat.com>
	* refs #5554 - revert string change, save unnecessary retranslation
	* fixes #8817 - look up reports with all joins from host scoped_search

2015-04-28	Tom Caspy <tcaspy@gmail.com>
	* fixes #9240 - in case of hash with indifferent access, serialize as hash

2015-04-28	Ori Rabin <orabin@redhat.com>
	* Fixes #5554 - fixed hostgroup and fqdn validations in multiple matchers

2015-04-28	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Remove semicolon cop

2015-04-28	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #9773 - correctly render template URL

2015-04-28	Ohad Levy <ohadlevy@gmail.com>
	* fixes #10269 - host template preview now opens in a new tab

2015-04-27	Francois Herbert <F.Herbert@massey.ac.nz>
	* Fixes #10186 - find host NICs on vsphere using Network Distributed PortGroup

2015-04-24	Dominic Cleal <dcleal@redhat.com>
	* refs #10168 - fix test that created a duplicate primary interface
	* fixes #9982 - update fog to 1.29.0
	* fixes #10168 - delegate fqdn/shortname to primary interface

2015-04-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9454 - Add axis labels and reposition legend in charts

2015-04-24	Ori Rabin <orabin@redhat.com>
	* Fixes #8861 - Lengthy organization or location names showed in tooltip

2015-04-24	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10111 - Use a dummy primary interface for unmanaged hosts

2015-04-22	Daniel Lobato <elobatocs@gmail.com>
	* fixes #10234 - Fix NIC taxonomies validation tests

2015-04-22	Shimon Shtein <sshtein@redhat.com>
	* Fixes #9391 - Added validation code to NIC, so it validates that host's location/org is compatible with the one set on NIC's subnet

2015-04-22	Dominic Cleal <dcleal@redhat.com>
	* fixes #10158 - use full column name to avoid ambiguity on Rails 3.2.8

2015-04-21	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9998 - Add styling to error reporting

2015-04-20	Michael Moll <kvedulv@kvedulv.de>
	* Fixes #10153 - pull in host_edit_interfaces.js also in hostgroups

2015-04-20	Tomer Brisker <tbrisker@gmail.com>
	* Refs #8106 - Add helper for add to dashboard button

2015-04-20	Joseph Magen <jmagen@redhat.com>
	* fixes #10167 - change default API from v1 to v2

2015-04-17	Ori Rabin <orabin@redhat.com>
	* Fixes #8217, #8214 - Rearranging override section in smart class parameter page and host page

2015-04-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #10020 - add next-server/filename attrs to provision NIC DHCP record

2015-04-14	Michael Moll <kvedulv@kvedulv.de>
	* Fixes #10124 - collect /var/log/syslog in foreman-debug

2015-04-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10123 - Tests API v2 external user groups

2015-04-13	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9617 - rescue from empty vmware clusters

2015-04-13	Chad Walstrom <chad.walstrom@govdelivery.com>
	* Fixes #10093 - VMware#create_vm calls clone_vm

2015-04-13	Christine Fouant <cfouant@redhat.com>
	* fixes #9993 - Removes root password and partition table reqs unless build mode selected

2015-04-13	Marek Hulan <mhulan@redhat.com>
	* Fixes #9884 - refresh deleted external usergroups
	* Fixes #9878 - refresh external usergroup on API manipulation
	* Fixes #10025 - move generic taxonomies code to base class

2015-04-13	Francois Herbert <F.Herbert@massey.ac.nz>
	* fixes #10087 - Pass nic_type to vm_clone

2015-04-10	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #10100 - License file is outdated

2015-04-10	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2015-04-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #9947 - restrict user taxonomies if none is set
	* Fixes #7615 - filter ignore current context

2015-04-09	Dominic Cleal <dcleal@redhat.com>
	* refs #4521 - extract string, fix capitalisation

2015-04-09	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #4787 - prevent unneeded AJAX requests on popover clicks

2015-04-09	Michael Moll <kvedulv@kvedulv.de>
	* fixes #10099 - pin execjs gem for Ruby 1.9

2015-04-09	jslatten <justin.slatten@gmail.com>
	* refs #4521 - Openstack Compute Resource: Boot from Volume on new Host

2015-04-08	johscheuer <joh.scheuer@gmail.com>
	* Fixes #9362 - Corrected CoreOS mediapath

2015-04-08	Ondrej Prazak <oprazak@redhat.com>
	* Fixes #9439 - 'white spaces' changed to 'spaces' in validation error message

2015-04-08	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9969 - remove N+1 queries on host edit page

2015-04-07	Julien Pivotto <roidelapluie@inuits.eu>
	* Fixes #8812 - Pass model type so search_for is called on Host

2015-04-07	Dominic Cleal <dcleal@redhat.com>
	* fixes #9973 - API doc keyword substitution with sprintf needs symbols
	* fixes #5909 - return r/w resources from authorized scope

2015-04-07	Keenan Brock <keenan@thebrocks.net>
	* Fixes #10002 - Add attribute ancestry to taxonomies API v2

2015-04-03	Marek Hulan <mhulan@redhat.com>
	* Fixes #9957 - rename and fix auth source tests

2015-04-02	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8106 - Dashboard rewrite to allow better customization
	* Fixes #8593 - remove N+1 queries on puppetclass index page

2015-04-02	Dominic Cleal <dcleal@redhat.com>
	* fixes #9778 - return r/w host when finding and associating to CRs

2015-04-02	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9921 - specify requirements on apidoc params for NICs

2015-04-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #9967 - make sure User.current is isolated

2015-04-01	Marek Hulan <mhulan@redhat.com>
	* Fixes #9926 - do not always set LDAP encryption method

2015-03-26	William Hefter <william@whefter.de>
	* Fixes #8890 - Allow selection of plaintext "encryption" method for root password

2015-03-26	Marek Hulan <mhulan@redhat.com>
	* Fixes #9618 - make identifier uniq per host

2015-03-26	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #8727 - DHCP validation does not fail on discovered leases

2015-03-25	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #9886 - Caps on password warning is not html safe

2015-03-25	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #7378 - fixed API lookup keys filters

2015-03-25	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2015-03-25	Tom Caspy <tcaspy@gmail.com>
	* fixes #8516 - removing the require 'fog' from the project, requiring only what we use
	* fixes #6568 - showing ovirt template version if applicable

2015-03-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* refs #9877 - s/variable/class parameter/ on param :override

2015-03-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #9885 - pass verify_mode to net/ldap
	* Fixes #9869 - propagate LDAP errors

2015-03-24	karmab <karimboumedhel@gmail.com>
	* Fixes #8601 - Cloudinit userdata in VMware

2015-03-24	Tom Caspy <tcaspy@gmail.com>
	* fixes #7407 - puppet class parameters should be cloned in #clone

2015-03-24	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9877 - Add descriptions to smart_class_parameters in api/v2

2015-03-24	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9836 - use provider type in host helpers

2015-03-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9444 - prevent 404 error on current_parameters and domain_selected

2015-03-24	Dominic Cleal <dcleal@redhat.com>
	* fixes #9775 - always load Encryptable when key's missing, log runtime warning

2015-03-23	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9823 - Add description to smart variables
	* fixes #9469 - redirect to reports#index on destroy

2015-03-23	Daniel Lobato García <elobatocs@gmail.com>
	* Add web IRC channel link to README

2015-03-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #9434 - managed alias accepts only static boot mode subnet
	* Fixes #8779 - add vlanid to subnet ENC
	* Fixes #9842 - rename the register method which deprecates the old one
	* Fixes #9787 - correctly typecast default values

2015-03-22	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #9795 - check if mail is enabled before sending a notification

2015-03-22	Tom McKay <thomasmckay@redhat.com>
	* fixes #9856 - include locations and organizations in user output

2015-03-22	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9824 - missing compute resource assets
	* Fixes #9827 - compute resource info in API doesn't send provider type

2015-03-19	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #9806 - Minor typo when building PXE default
	* Fixes #9589 - Add documentation button to various models
	* Fixes #6454 - Display error message when user_data is needed but not set
	* Fixes #8898 - Caps lock warning in password fields

2015-03-19	Tom Caspy <tcaspy@gmail.com>
	* fixes #4424 - overriden attributes get overridden in the UI

2015-03-15	Marek Hulan <mhulan@redhat.com>
	* Fixes #9631 - adds missing bond test
	* Fixes #9673 - treat YAML and JSON lookup keys as strings
	* Fixes #9693 - Clarify bond identifier BSD info

2015-03-15	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #9751:  Correct examples for rake config usage.

2015-03-15	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9723 - missing owner_type in host api docs

2015-03-12	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9657 - merge NICs from compute profile in host create API

2015-03-11	Ori Rabin <orabin@redhat.com>
	* Fixes #9606 - ANSI color codes should not be used in production log

2015-03-11	Shimon Shtein <sshtein@redhat.com>
	* Fixes #7505 - Changed the way trends are stored in the DB. Now they are stored as intervals

2015-03-10	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2015-03-10	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9678 - Can't update admin flag for users via API

2015-03-09	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8358 - validate domain on host update

2015-03-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #9650 - use textarea for global parameters

2015-03-08	Baptiste AGASSE <baptiste.agasse@lyra-network.com>
	* Fixes #1536 - Foreman should check DHCP entries on build.

2015-03-05	Marek Hulan <mhulan@redhat.com>
	* Fixes #9435 - adds tooltip for interface identifier

2015-03-05	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9480 - multiple NICs integration with compute profiles

2015-03-05	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8316: Removing a host can create a huge transaction

2015-03-04	Marek Hulan <mhulan@redhat.com>
	* Fixes #9615 - Adds inheriting_mac method

2015-03-04	ripcurld00d <ripcurld.github@gmail.com>
	* Fixes #2135 - During puppet class import, puppet class description box should close itself

2015-03-04	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9593 - replace .all.map(&:<attr>) with .pluck(:attr)

2015-03-04	Joey D <jobewan@gmail.com>
	* fixes #8878 - ensure domain fact is downcased prior to import

2015-03-04	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9430 - provisioning on VMWare fails with invalid MAC address

2015-03-03	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.9-develop

2015-03-02	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #5701 - removed extra id/name HTML attributes

2015-03-02	Shimon Shtein <sshtein@redhat.com>
	* Fixes #9548 - Changed the behavior of size selector in compute profile editor to match radio buttons
	* Fixes #9339 - Changed the OS sorting to title

2015-03-02	Johan Swensson <jswensso@redhat.com>
	* fixes #6044 - production.log should have timestamps in it

2015-03-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #9547 - DHCP is default subnet boot mode

2015-03-01	Marek Hulan <mhulan@redhat.com>
	* Fixes #9592 - unfold external user groups on error
	* Fixes #9590 - make info test less fragile

2015-03-01	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #3016 - Sort accesible hostgroups by db instead of in memory

2015-02-26	Daniel Lobato García <elobatocs@gmail.com>
	* Refs #9500 - revert normalize_name tests

2015-02-26	Tom Caspy <tcaspy@gmail.com>
	* fixes #9118 - host mailer should not fail if no owner set for host
	* fixes #9551 - checking the encryption format so osx doesn't fail

2015-02-26	Marek Hulan <mhulan@redhat.com>
	* Fixes #9495 - Require identifier for managed bonds
	* Fixes #9497 - Require MAC for managed BMC

2015-02-26	Shimon Shtein <sshtein@redhat.com>
	* Fixes #9427 - Return meaningful errors from subnets/freeip and parse the error response to the UI

2015-02-26	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #9147 - move managed checks to the start of the DHCP/DNS/TFTP orchestration checks

2015-02-26	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7764 - add quirks mode to JSON.dump

2015-02-25	Daniel Lobato García <elobatocs@gmail.com>
	* Add issue stats badge

2015-02-25	Dominic Cleal <dcleal@redhat.com>
	* refs #8331 - fix rubocop empty line warning

2015-02-25	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8331 - provide some tools for filtering mail

2015-02-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9334 - reverse the order of 'hosts/provisioning setup' sub-menu

2015-02-25	johscheuer <joh.scheuer@gmail.com>
	* fixes #9397 - Make usage of @host.operatingsystem in UnattendedController consistent

2015-02-24	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #8736 - confirmation before host delete for freshly created hosts

2015-02-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #9500 - matching uses the whole domain name

2015-02-24	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx
	* templates - sync from community-templates

2015-02-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #9461 - Update subnets on domain change in hostgroup

2015-02-23	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #3278 - Correctly extract "New %s" strings
	* Fixes #9452 - correct capitalization of VMware

2015-02-23	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9325 - preserve compute resource attrs after NIC modal is closed

2015-02-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #9107 - update to fog 1.28.0, fog-aws 0.1+

2015-02-22	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #5998 - add taxonomy tabs to config_template#edit

2015-02-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #9496 - Adds popover help to IPAM field in Subnet form

2015-02-22	Tom Caspy <tcaspy@gmail.com>
	* Refs #4478 - Remove empty line in apipie.rake

2015-02-20	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #9458 - process only executable debug extensions

2015-02-20	Martin Bačovský <martin.bacovsky@gmail.com>
	* Refs #4478 - copy in pre-built plugin caches on rake apipie:cache index

2015-02-19	Marek Hulan <mhulan@redhat.com>
	* Fixes #9429 - identifier is required for Alias and VLAN

2015-02-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #6655 - remove _ForemanSelectedhosts cookie on action submit
	* fixes #8581 - [vmware] use cluster full path to create vm

2015-02-18	Dominic Cleal <dcleal@redhat.com>
	* refs #3809 - exclude auto-generated schema.rb from rubocop checks
	* fixes #9358 - match unattended template requests against provision interface

2015-02-18	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Remove cop emptyliteral
	* Refs #3809 - Remove classcheck cop
	* Refs #3809 - Remove various small cops
	* Refs #3809 - Remove cop IndentationConsistency
	* Refs #3809 - Remove cops for empty lines

2015-02-17	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8953 - update IPA userclass param on realm update

2015-02-17	Josh Baird <jbaird@follett.com>
	* fixes #8953 - update IPA userclass param on realm update

2015-02-17	David Davis <daviddavis@redhat.com>
	* Fixes #9231 - Require English lib and fix ENC failure

2015-02-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #9351 - use correct interfaces url for AJAX calls
	* Fixes #2749 - power status helper can handle unknown states

2015-02-16	David Davis <daviddavis@redhat.com>
	* Fixes #9357 - Making description db types consistent across Foreman

2015-02-16	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #9369 - tftp should send host, not self to get the boot files uri

2015-02-16	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9335 - adds toggle to puppet classes list & better ui

2015-02-16	johannes <joh.scheuer@gmail.com>
	* fixes #9362 - Add mediapath support to CoreOS

2015-02-16	Dominic Cleal <dcleal@redhat.com>
	* refs #9138 - skip all interfaces UI tests, which fail randomly
	* templates - sync from community-templates

2015-02-12	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8641 - Update fog to 1.27

2015-02-12	Dominic Cleal <dcleal@redhat.com>
	* i18n - pulling formatting fixes from tx
	* i18n - extracting new, updating rails, pulling from tx

2015-02-11	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #9006 - Add header to facts chart

2015-02-11	Tom Caspy <tcaspy@gmail.com>
	* fixes #9212 - using headless browser in order to run Capybara tests
	* fixes #9274 - hostgroup#clone clones config groups
	* fixes #9249 - associated_host fixed for all compute resources

2015-02-11	Dominic Cleal <dcleal@redhat.com>
	* refs #6371 - fix unclosed HTML tag

2015-02-10	Dominic Cleal <dcleal@redhat.com>
	* refs #6371 - extract VNC password text

2015-02-10	Marek Hulan <mhulan@redhat.com>
	* Fixes #9186 - build interface if needed during facts import

2015-02-10	Tommy McNeely <tommy@lark-it.com>
	* fixes #9124 - fixes detection of hashed root passwords

2015-02-10	Tom Caspy <tcaspy@gmail.com>
	* fixes #6371 - showing the vnc password

2015-02-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #9195 - register MAC validation errors properly
	* Fixes #9104 - allow disabling of interface updates

2015-02-09	Lukas Zapletal <lzap+git@redhat.com>
	* Refs #8710 - moved proxy related info from foreman-debug

2015-02-08	Dominic Cleal <dcleal@redhat.com>
	* fixes #8565 - only get unique, unused message/source IDs to speed up expiry

2015-02-08	Tom Caspy <tcaspy@gmail.com>
	* fixes #5812 - url parameter in compute_resource#create is not required for EC2, removing the required flag
	* fixes #6774 - in case of parsing of non json or broken json, return 400
	* fixes #3008 - allowing large ptables

2015-02-08	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6884 - Installation media without $minor generate broken $version
	* Fixes #9225 - private is defined twice in hosts controller

2015-02-08	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #9113 - api docs for users miss locale and timestamp params

2015-02-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #9160 - use provision interface for image based provisioning
	* Fixes #9198 - migration sets type explicitly

2015-02-08	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #9030 - Adds support to clone config template via api

2015-02-02	William Hutson <wilrnh@msn.com>
	* Fixes #9193 - broken rake-config command

2015-01-30	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Enable cop StringConversionInInterpolation

2015-01-29	Tomas Strachota <tstrachota@redhat.com>
	* Refs #9138 - temporarily disable affected intermittent tests

2015-01-28	Marek Hulan <mhulan@redhat.com>
	* Fixes #8052 - allows erb in array and hash params

2015-01-28	Tomer Brisker <tbrisker@redhat.com>
	* fixes #8469 - css cleanup, whitespaces and remove dead code

2015-01-27	Marek Hulan <mhulan@redhat.com>
	* Fixes #7456 - Extract primary interface from host

2015-01-27	David Davis <daviddavis@redhat.com>
	* Fixes #9097 - Fix typo in value_to_sql method

2015-01-26	Tommy McNeely <tommy@lark-it.com>
	* fixes #8498 - Allows root password to be set in finish scripts

2015-01-26	Jiri Stransky <jistr@redhat.com>
	* Refs #9049 - fix log message formatting

2015-01-26	David Davis <daviddavis@redhat.com>
	* Fixes #9099 - Upgrade rubocop to 0.28.0

2015-01-24	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6362 - correct menu dividers if user isn't auth for some actions

2015-01-24	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #2948 - added sp_* host attributes to safe mode

2015-01-24	stocky <stocky@gorgon.home>
	* Fixes #9059 - adds puppetssldir setting

2015-01-23	Ori Rabin <orabin@redhat.com>
	* Fixes #8970 - fixed second click on two-pane link
	* Fixes #8963 - Rename trunc helper to trunc_with_tooltip

2015-01-23	Marek Hulan <mhulan@redhat.com>
	* Fixes #9044 - fixes invalid mac in tests

2015-01-23	Jiri Stransky <jistr@redhat.com>
	* Fixes #9049 - Log exceptions when triggering a Puppet run

2015-01-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #9084 - catch net-ldap 0.11's specific invalid filter exception

2015-01-22	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8821 - Handle unnamed OpenStack images in images form

2015-01-21	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #9025 - reflect on association for _name(s) methods

2015-01-20	Tom Caspy <tcaspy@gmail.com>
	* fixes #6098 - ec2 compute resources now check image validity.

2015-01-20	Michael Moll <kvedulv@kvedulv.de>
	* fixes #8993 - handle FreeBSD patch releases better

2015-01-20	David LeVene <david.levene@netspot.com.au>
	* fixes #8402 - Reports from the last xx Days not displaying day filter option

2015-01-20	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2015-01-19	Tom Caspy <tcaspy@gmail.com>
	* fixes #6369 - allow to override puppet ca/master to nil

2015-01-15	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8922 - authorized_smart_proxy_features should not fail if not implemented
	* Refs #3809 - Enable cop BarePercentLiterals

2015-01-15	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8949 - fix noop migration for smart proxy auth settings

2015-01-15	Ori Rabin <orabin@redhat.com>
	* Fixes #8830 - Allow two-pane to work on show

2015-01-14	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #8934: Allow plugin menu items to disable turbolinks for their links.

2015-01-14	Dominic Cleal <dcleal@redhat.com>
	* fixes #8925 - support plugin asset manifests beneath app root

2015-01-13	Bryan Kearney <bkearney@redhat.com>
	* Fixes #8930 - Incorrect html caused a typo on the trends page

2015-01-13	Daniel Lobato <elobatocs@gmail.com>
	* Refs #8857 - Styling fixes for coreOS boot_files_uri

2015-01-13	Johannes Scheuermann <johannes.scheuermann@inovex.de>
	* fixes #8857 - refactor Debian boot_files_uri into parent class to match CoreOS

2015-01-13	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8838 - Replace HTTP error codes with human-readable symbols

2015-01-13	Dominic Cleal <dcleal@redhat.com>
	* refs #6832 - prevent extraction of string interpolation
	* fixes #8855 - remove unused oj gem

2015-01-13	Ori Rabin <orabin@redhat.com>
	* Fixes #8764 - adds description to taxonomies

2015-01-13	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8484 - make SmartProxyAuth concern more useful to plugins

2015-01-12	Dominic Cleal <dcleal@redhat.com>
	* refs #8879 - revert "Pin fast_gettext to get tests to run"

2015-01-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #8885 - pin google-api-client to retain Ruby 1.9 support

2015-01-09	Joseph Magen <jmagen@redhat.com>
	* fixes #8802 - add Turbolinks support

2015-01-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8879 - Pin fast_gettext to get tests to run

2015-01-09	Stephen Benjamin <stbenjam@redhat.com>
	* refs #8747 - undo pinning google_api_client gem to 0.7.1

2015-01-07	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8837 - Return correctly formatted response on ajax_error

2015-01-07	Marek Hulan <mhulan@redhat.com>
	* Fixes #8851 - support seed files of plugin with dash in name

2015-01-05	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6832 - Don't show location/organization on host edit page if host has none

2015-01-05	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8822 - append target=_blank to all links with rel-external

2015-01-05	ripcurld00d <ripcurld.github@gmail.com>
	* Fixes #8786 - Show override button after removing overridden parameter

2015-01-02	Tom Caspy <tcaspy@gmail.com>
	* Fixes #8661 - Refactor compute resource vm partials

2014-12-30	Johannes Scheuermann <johannes.scheuermann@inovex.de>
	* fixes #7652 - Implements CoreOS OS support

2014-12-30	Shimon Shtein <sshtein@redhat.com>
	* Fixes #8804 - Align the dashboard to bootstrap columns

2014-12-29	Michael Moll <kvedulv@kvedulv.de>
	* fixes #8791 - pin i18n gem

2014-12-28	Shlomi Zadok <shlomi@ben-hanna.com>
	* refs #8428 - fix typo in audit's belongs_to user
	* fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection
	* fixes #8049 - Add timezone to user

2014-12-28	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8796 - Fix to_gb size calculation and constentize

2014-12-28	Joseph Magen <jmagen@redhat.com>
	* fixes #8442 - add eager loading of users on audit show page for history tab

2014-12-28	Shimon Shtein <sshtein@redhat.com>
	* Fixes #8785 - HTML syntax fixes - add thead/tbody, fix formatting

2014-12-25	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8417 - Correctly focus on errors in puppet form

2014-12-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8638 - ensure that a redirect to hosts index after host destroy

2014-12-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7523 - Removed autocomplete search from id fields
	* Fixes #8790 - Fix N+1 query on user list page

2014-12-23	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8233 - better HTML formatting for summary email

2014-12-23	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8721 - Replaced jQuery.attr('id') with .id
	* Fixes #8704 - Replace jQuery.size() with jQuery.length
	* Fixes #7165 - Correct cursor behaviour on delete links for firefox

2014-12-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #8722 - quote dpkg wildcard argument to avoid matching files
	* fixes #8503 - remove ruby_parser pin to allow safemode update

2014-12-18	Ori Rabin <orabin@redhat.com>
	* Fixes #8747 - Temporary pin for google_api_client gem

2014-12-18	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8676 - tar foreman-debug results including the parent directory

2014-12-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #8739 - use global setting when hostgroup root_pass is blank

2014-12-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #8735 - enable config drive on Rackspace servers

2014-12-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #8685 - include netmask in ENC output

2014-12-11	Lukas Zapletal <lzap+git@redhat.com>
	* Refs #8364 - removed javascript N+1 alerts

2014-12-11	ripcurld00d <ripcurld.github@gmail.com>
	* Fixes #2592 - No indication when waiting for host dashboard button action to complete

2014-12-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #8627 - add host comment field to API documentation

2014-12-10	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8620 - Remove useless back to host index link in multiple hosts action

2014-12-09	Dominic Cleal <dcleal@redhat.com>
	* refs #8477 - fix string interpolation and spelling
	* fixes #8590 - handle missing 'config' when listing vSphere VMs

2014-12-09	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8477 - usability improvements to template locking/defaults

2014-12-09	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8591 - explicitly set where to subnets.id

2014-12-09	Šimon Lukašík <slukasik@redhat.com>
	* fixes #8592 - allow plug-ins to modify multiple hosts actions

2014-12-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8416 - Fix Puppet classes form n+1 queries

2014-12-08	Ori Rabin <orabin@redhat.com>
	* Fixes #8551 - use most specific matcher for inherited hostgroups

2014-12-05	Dominic Cleal <dcleal@redhat.com>
	* refs #7032 - fix documented backup filename

2014-12-05	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7032 - Rake backup accepts destination file
	* Fixes #8401: n+1 query on group parameters host edit
	* Fixes #8400: Remove eager loading of puppetclass in lookup_keys index

2014-12-04	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8228 - add a config_templates concern to serve config_templates controllers

2014-12-04	Dominic Cleal <dcleal@redhat.com>
	* fixes #5841 - use inner query when retrieving reports for subset of authorised hosts

2014-12-03	Henrik Feldt <henrik@haf.se>
	* Fixes #5999 - vpc + pub ip -> attach pub ip

2014-12-03	Tom Caspy <tcaspy@gmail.com>
	* fixes #8539 - refactoring a test to work for both GNU libc and Darwin libc
	* fixes #8513 - removing n+1 query from images#index

2014-12-03	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #8546 - Namespace interfaces and subnets to avoid a facts clash

2014-12-03	Ohad Levy <ohadlevy@gmail.com>
	* fixes #8526 - file uploads are now possible via two_pane.

2014-12-03	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8221 - search for subnet with taxonomy scope

2014-12-03	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8348 - expose user variable to templates in group mail

2014-12-02	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #8284 - missing params in OS api docs

2014-12-02	Ori Rabin <orabin@redhat.com>
	* Fixes #8536 - can update and delete media with dot in name

2014-12-02	Ohad Levy <ohadlevy@gmail.com>
	* fixes #8471 - adds a number field input support

2014-12-02	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-12-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #8433 - Fix type transformation for all ENC-able NICs

2014-12-01	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8421 - Host group search by OS attributes

2014-12-01	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #8267 - accept template_url in call to foreman from proxy

2014-11-28	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8499 - Link LICENSE from README

2014-11-28	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8356 - refactor reset method for libvirt
	* fixes #8459 - remove sp_subnet_id from api/hosts

2014-11-28	Ori Rabin <orabin@redhat.com>
	* Fixes #8428 - Connecting audits to existing users

2014-11-28	Ohad Levy <ohadlevy@gmail.com>
	* fixes #8467 - trends range selector is now visible

2014-11-28	Dominic Cleal <dcleal@redhat.com>
	* fixes #7487 - remove unused background-image containing UTF-8 character

2014-11-27	Dominic Cleal <dcleal@redhat.com>
	* fixes #8527 - pin rest-client to version compatible with current rbovirt

2014-11-27	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #5723 - Show host groups inherited via config groups in puppetclass index

2014-11-26	Dominic Cleal <dcleal@redhat.com>
	* fixes #8463 - remove i18n bundler group as it isn't optional
	* fixes #8510 - ignore gettext load failures in production without it

2014-11-26	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #8414 - extracts validators from models

2014-11-26	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8367 - Eager load classes under /lib
	* fixes #8357 - Set fog gem to version 1.25.0

2014-11-25	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #7525 - don't fail on structured facts

2014-11-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7233 - Drop Ruby 1.8.7 and revert Ruby 1.8.7 specifics

2014-11-25	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6872 - Add title to new compute resource page

2014-11-24	Joseph Magen <jmagen@redhat.com>
	* fixes #8445 - upgrade rails to 3.2.21

2014-11-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7440 - correctly autocomplete current_user
	* Fixes #6765 - correct wrong validation on media name

2014-11-24	Ohad Levy <ohadlevy@gmail.com>
	* fixes #8457 - auto complete search clear btn is now positioned correctly

2014-11-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #8456 - normalize addresses only if mac is being set

2014-11-20	Marek Hulan <mhulan@redhat.com>
	* Fixes #7908 - normalize mac before host get saved

2014-11-20	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #8405 - Filter :interfaces_attributes when calculating templates_used

2014-11-19	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Remove useless assignments

2014-11-18	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8425 - n+1 query on audits index
	* Fixes #4613 - Remove duplicate scoped search from taxonomies

2014-11-17	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8424 - Controller concerns are loaded twice

2014-11-17	Ori Rabin <orabin@redhat.com>
	* Fixes #5573 - os search definitions for host available in unattended=false mode
	* Fixes #8418 - Add 'facts' feature to features
	* Fixes #5169 - Error in smart class param or value cause tab header to turn red in Puppet Class edit form

2014-11-17	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8363 - Sort VMware attributes alphabetically

2014-11-17	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #3288 - i18n extract heading on new host view

2014-11-17	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5634 - save sso_method on session expiry

2014-11-14	Scott Seago <sseago@redhat.com>
	* fixes #8377 - fixes uniq validation for nics without a host

2014-11-14	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #5018 - pin rbvmomi gem to the rbvmomi version in fog gem

2014-11-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #8366 - add parameter type to unique index

2014-11-13	Ohad Levy <ohadlevy@gmail.com>
	* fixes #8364 - Adds SQL N+1 Query detection using bullet.

2014-11-12	Jiayi Ye <yejiayily@gmail.com>
	* Bug #7547 - Cannot log out of WebUI from mobile device

2014-11-12	Bryan Kearney <bkearney@redhat.com>
	* Fixes #8325 : Enhance the plugin object to use the gem path to understand where the plugin is installed

2014-11-12	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #1448 - correctly display puppetclass statistics
	* Fixes #844 #5725 - correct hosts count in puppetclass
	* Fixes #7488 - correctly display hostgroups with / in their names

2014-11-12	Joseph Magen <jmagen@redhat.com>
	* fixes #5773 - redirect to referrer URL that includes page and search

2014-11-12	ripcurld00d <ripcurld.github@gmail.com>
	* Fixes #7590 - OS Family web UI is handled uniquely in three different places

2014-11-12	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #4478 - API documentation localized

2014-11-12	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #8321 - correctly pull Compute Resource image method from compute attributes

2014-11-11	ripcurld00d <ripcurld.github@gmail.com>
	* Fixes #6974 - Hitting Cancel button on New Org > Manually Assign goes to 404

2014-11-11	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #8281 - remove id-name parameterization from puppetca

2014-11-11	Jiayi Ye <yejiayily@gmail.com>
	* Bug #7619 - [zh_CN] Localized string broken for Loading page

2014-11-11	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #8337 - reworded oVirt template help text

2014-11-10	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7369 - External user groups update on login

2014-11-10	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #7462 - new UI for network interfaces

2014-11-07	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #8302 - only return active images for openstack compute resources

2014-11-06	Joseph Magen <jmagen@redhat.com>
	* fixes #8277 - upgrade rails to 3.2.20

2014-11-05	Daniel Lobato García <elobatocs@gmail.com>
	* Fixes #8285 - Update README.md

2014-11-05	Tom McKay <thomasmckay@redhat.com>
	* fixes #6408 - dismiss org/loc context menu when mouse leaves it

2014-11-05	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - fix shadowing outer local variables

2014-11-05	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #7971 - DHCP hostname commutative conflict fix
	* Fixes #8258 - CR provider errors with correct log level

2014-11-04	Greg Sutcliffe <gsutclif@redhat.com>
	* Refs #969 - Foreman-side changes for serving templates from the proxy

2014-11-04	Dominic Cleal <dcleal@redhat.com>
	* refs #746 - hosts stylesheet is part of app.css, not standalone

2014-11-04	Jiayi Ye <yejiayily@gmail.com>
	* Fixes #7954 - When creating a host cant is spelled wrong under partition table side note

2014-10-31	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8091: connect-src accepts WSS

2014-10-31	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #7586, #7734, #7172 - user preferences for receiving mail notifications
	* fixes #4463 - use unattended URL for hostgroup provisioning

2014-10-31	Dominic Cleal <dcleal@redhat.com>
	* refs #3260 - add label for default value tickbox to match overrides

2014-10-30	Dominic Cleal <dcleal@redhat.com>
	* refs #3260 - extract string, fix inconsistent capitalisation
	* fixes #8133 - update audit diff view to match changes in cafa947

2014-10-30	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7982 - Parameterize Operatingsystem.title to avoid non-alphanumeric characters in title (and friendly_id)

2014-10-30	Ori Rabin <orabin@redhat.com>
	* Fixes #3260- Allows puppet to manage value of smart class parameter that can be overrided

2014-10-29	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7975 - Subnet names should be unique
	* ref #8056 - Unit tests for to_param
	* fixes #8056 - replaces . (dot) in params with - (hyphen)

2014-10-29	Ivan Nečas <inecas@redhat.com>
	* Fixes #8009 - Make sure the final version of helpers is in the controller

2014-10-29	Dominic Cleal <dcleal@redhat.com>
	* refs #746 - fix string interpolation ordering

2014-10-28	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.8-develop

2014-10-27	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-10-26	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #746 - Generate all the Host template when click on Build to avoid errors during installation

2014-10-26	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #8043 - Statistic links to OS
	* Fixes #8048: n+1 query selecting multiple hosts

2014-10-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #2089 - Add network configuration to ENC

2014-10-24	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #7994 - increased default token_duration setting

2014-10-24	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-10-24	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7657 - remove default OAuth credentials

2014-10-24	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7519 - i18n extract ajax error message

2014-10-23	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #8005 - Convert allowed NIC types to strings

2014-10-23	ripcurld00d <boazyko1@gmail.com>
	* Fixes #7561 - 'No. of CPU' search URL is incorrect

2014-10-22	Dominic Cleal <dcleal@redhat.com>
	* refs #7587 - pwstrength stylesheet is part of app.css, not standalone
	* fixes #8019 - convert po to JSON before refreshing pot/po files

2014-10-22	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6710 - unicode characters in url parameters

2014-10-22	Ori Rabin <orabin@redhat.com>
	* Fixes #7562- reducing number of reports created by test to stop sigkill during test
	* Fixes #3309 - Support deep merging of hash and array structures in smart class parameters

2014-10-21	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #7733 - Remove hosts.yml fixtures and use FactoryGirl instead

2014-10-21	Lukas Zapletal <lzap+git@redhat.com>
	* Refs #7719 - explicitly create .ssh dir in home

2014-10-20	Eric D. Helms <ericdhelms@gmail.com>
	* Refs #6549: Ensure tests to skip exist to avoid too deep stack.

2014-10-20	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-10-20	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7331 - delete unassigned os default templates
	* fixes #7985 - add support for ws:// in secure headers
	* fixes #7898 - ensure that format can respond to json / yaml

2014-10-20	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #7830 - interfaces api output is class specific

2014-10-17	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4439 - ensure user logins are handled case insensitively

2014-10-15	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #7933 - OS api responses miss field title

2014-10-14	Joseph Magen <jmagen@redhat.com>
	* fixes #7372 - API v2 - accept PUT/POST requests with wrapped root node to add/remove has_many associations of child nodes
	* fixes #7584 - add Authorizable module to class AuthSource
	* fixes #3492 - API v2 nested routes for each controller
	* fixes #7332 - Host Create API documentation missing required parameters

2014-10-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #7934 - Set correct order of require_dependency

2014-10-13	Thomas Kuther <tom@kuther.net>
	* Fixes #2283 , #3135 - add config option for proxy_request_timeout

2014-10-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7879 - Update fog to 1.24.0

2014-10-13	Ohad Levy <ohadlevy@gmail.com>
	* Refs #7587 -  Refactor password confirmation

2014-10-13	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #7907 - Allow images from gravatar on secure headers

2014-10-12	Ohad Levy <ohadlevy@gmail.com>
	* refs #7861 - remove trailing whitespace

2014-10-11	Robert Birnie <rbirnie@threatmetrix.com>
	* Fixes #6214 - Alphabetical menu sorting in the UI

2014-10-11	Jan Rusnacko <jrusnack@redhat.com>
	* fixes #7805 - Add several security related HTTP headers - security hardening.

2014-10-10	David Davis <daviddavis@redhat.com>
	* Fixes #7861 - Update rubocop version

2014-10-10	Dominic Cleal <dcleal@redhat.com>
	* refs #7876 - my_organizations/locations tests
	* refs #7587 - precompile pwstrength JS, move gem from runtime deps
	* i18n - extracting new, updating rails, pulling from tx

2014-10-10	Vanya Jauhal <vanyajauhal1995@gmail.com>
	* Fixes #7587 - Adds client-side password validation

2014-10-09	Robert Birnie <rbirnie@threatmetrix.com>
	* Fixes #7886 - Compute Resources should be ordered by name

2014-10-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7884 - Display Fog errors on vm operation

2014-10-09	Tom McKay <thomasmckay@redhat.com>
	* fixes #7876 - filter Organization.my_organizations by org, not locaion

2014-10-08	Dominic Cleal <dcleal@redhat.com>
	* refs #7401 - fix markdown syntax in API doc

2014-10-07	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #5139 - leftovers subscribe_to_all_hostgroups
	* Fixes #4369 - Added link to filters page on RBAC form
	* Refs #3809 - Use parentheses in method definitions

2014-10-07	Marek Hulan <mhulan@redhat.com>
	* Fixes #7401 - Add support for bonds

2014-10-07	Daniel Lobato García <elobatocs@gmail.com>
	* Refs #7639 - i18n fixes

2014-10-07	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #5468 - prevent Chrome from autofilling passwords

2014-10-06	David Davis <daviddavis@redhat.com>
	* Refs #3809 - Fix a few rubocop TODOs

2014-10-06	Daniel Lobato <elobatocs@gmail.com>
	* Refs #3809 - Remove rubocop TODOs

2014-10-06	Ohad Levy <ohadlevy@gmail.com>
	* fixes #7772 - avoids multiple ajax requests
	* fixes #2321 - remove new puppet creation option

2014-10-06	Joseph Magen <jmagen@redhat.com>
	* fixes #5922 - compute resource #random_password to use SecureRandom()

2014-10-06	Ivan Nečas <inecas@redhat.com>
	* Refs #4611 - rake-ify foreman-config and db_pending_migration/seed in settings

2014-10-06	Ori Rabin <orabin@redhat.com>
	* Fixes #7624: validation for location and organization long names instead of an error

2014-10-06	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #5130 - Added warning when apipie cache is missing or outdated
	* Fixes #7098 - better selinux reporting in foreman-debug

2014-10-06	Dmitry Kireev <dkireev@stg3.docstoc.corp>
	* Fixes #7819 - Windows facts returned from kernelrelease

2014-10-06	Dominic Cleal <dcleal@redhat.com>
	* refs #7608 - i18n fixes, tests, use POST for action + only display link if authed
	* fixes #7818 - explicitly render role permissions to fix oj 2.10.3 error

2014-10-06	Tiffany <tcheng@marketo.com>
	* fixes #7163 - on host's edit page, show the source for the value of puppet class parameters.

2014-10-02	Joseph Magen <jmagen@redhat.com>
	* fixes #5833 - suggested command do not work when created new trend counter
	* fixes #7569 - add lambda to scopes that are missing callable object (lambda or Proc)
	* fixes #7756 - render not_found.json.rabl for API errors rather than expose too much internal information

2014-10-02	karmab <karimboumedhel@gmail.com>
	* fixes #7608 - Override all puppetclass parameters in one click

2014-10-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #7738 - logout_url is nil by default for all SSO backends

2014-10-02	ripcurld00d <boazyko1@gmail.com>
	* Fixes #7588 - pagination info not a button and aligned

2014-10-02	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #7522 - made CA textarea editable for oVirt/RHEV

2014-10-02	Ohad Levy <ohadlevy@gmail.com>
	* fixes #809 - remove out of date ssh using foreman script

2014-10-02	Ori Rabin <orabin@redhat.com>
	* Fixes #7620: When cloning a host show old host name

2014-10-02	Dennis Kliban <dkliban@redhat.com>
	* fixes #7613 - make search bar route lookup usable from isolated engine

2014-10-02	Michael Moll <kvedulv@kvedulv.de>
	* fixes #7477 - new fog prop for IP address in vSphere

2014-10-02	Imre Farkas <ifarkas@redhat.com>
	* Fixes #7757 - Fix link_to to call super with block

2014-10-01	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4672 - added template_name template variable

2014-10-01	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #7737 - no specific logout URL needed, will go directly back to login.

2014-10-01	Marek Hulan <mhulan@redhat.com>
	* Fixes #7750 - hidden required fields do not prevent submit

2014-10-01	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3902 - [Openstack] allow selection of internal networks

2014-09-30	Joseph Magen <jmagen@redhat.com>
	* fixes #6856 - API v2 - more efficient import puppetclasses for single environment

2014-09-30	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6549 - Add :tests_to_skip to plugin registration block

2014-09-30	Dominic Cleal <dcleal@redhat.com>
	* refs #2127 - add password_hash to API

2014-09-29	Dominic Cleal <dcleal@redhat.com>
	* fixes #7732 - specify join models as Rails 3.2.8 can't reset through associations

2014-09-29	Ori Rabin <orabin@redhat.com>
	* Fixes #7572 - remove rundeck from core

2014-09-29	Joseph Magen <jmagen@redhat.com>
	* fixes #7560 - add :required => true on host fields that have conditional validation if host.managed?
	* fixes #4386 - gem friendly_id to simplify find by id, name, label, etc

2014-09-29	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7393 - searching users by role_id not supported

2014-09-29	ripcurld00d <boazyko1@gmail.com>
	* Fixes #7591 - changed Sign out to Log out to fix inconsistent terminology around Login vs Sign Out

2014-09-28	Dominic Cleal <dcleal@redhat.com>
	* refs #2127 - instantiate exception and pass i18n arg correctly

2014-09-26	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7491 - moved default org and default location to same tab as org/loc selection
	* Fixes #7592 - flipped the order of logged-in user menu

2014-09-26	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2127: added support for root password hashing other than MD5

2014-09-25	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7639 - Remove tooltip for storage/network sections in  Edit Compute Profile

2014-09-25	Christine Fouant <cfouant@redhat.com>
	* fixes #5811 - Validates emails to RFC 5322 specification

2014-09-24	Aaron Stone <aaron@serendipity.cx>
	* Fixes #7483 - Use hidden input value to hold raw template contents (CVE-2014-3653)

2014-09-24	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6999 - protect user logout against CSRF requests (CVE-2014-3590)

2014-09-24	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #2524 - adding taxonomy scope parameters
	* Fixes #5088 - adding location_ids and organizations_ids to apidocs of taxable resources

2014-09-23	Ori Rabin <orabin@redhat.com>
	* Fixes #6695: Adding two OS parameters with same name should raise an error

2014-09-23	Joseph Magen <jmagen@redhat.com>
	* fixes #7257 - all facts returned if host has no facts
	* fixes #5896 - Set Compute Resource's 'Console passwords' option in API

2014-09-22	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7571 - prevent ContentLoad from firing twice on document.ready
	* Fixes #2232 - speed up Host view via AJAX

2014-09-21	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6864 - adding api messages for extraction

2014-09-21	Marek Hulan <mhulan@redhat.com>
	* Fixes #7450 - do not mark non-required fields

2014-09-21	Ori Rabin <orabin@redhat.com>
	* Fixes #7164: Cannot create a domain that starts or ends with '.'

2014-09-18	Dominic Cleal <dcleal@redhat.com>
	* refs #7038 - use n_() for plural support, use Rails style length message

2014-09-18	Ori Rabin <orabin@redhat.com>
	* Fixes #7437: validation instead of PGError when host group title is exactly 256 characters

2014-09-18	Shlomi Zadok <shlomi@ben-hanna.com>
	* Fixes #7489 - changed root password label to 'must' instead of 'should'

2014-09-17	Joseph Magen <jmagen@redhat.com>
	* fixes #3544 - Editing an oVirt compute resource allows changing the type, which is unsupported

2014-09-16	Joseph Magen <jmagen@redhat.com>
	* fixes #7409 - API v2 - add host attribute to GET response for auth source ldap

2014-09-16	Dominic Cleal <dcleal@redhat.com>
	* i18n - add it, ko, ru, zh_TW languages

2014-09-16	Ohad Levy <ohadlevy@gmail.com>
	* fixes #7434 - Setting descriptions are shown without wrapping

2014-09-15	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6468 - Allow filtering/searching by active user
	* Fixes #7329 - Correctly validate HostConfigGroup

2014-09-15	Marek Hulan <mhulan@redhat.com>
	* Fixes #5541 - disallow taxonomy assignment

2014-09-15	Lukas Zapletal <lzap+git@redhat.com>
	* Fixes #7418 - fixed capitalization for some AR errors

2014-09-15	Ori Rabin <orabin@redhat.com>
	* Fixes #1592: making report
	* Fixes #6874: Integers in settings can be up to 8 digits to avoid bigint out of range error
	* Fixes 4642: Fix intermittent test failures on rundeck functional tests
	* Fixes #3085: Request to be able to clone host groups via API
	* Fixes #7139: Subnet name is limited to 255 chars
	* Fixes #7038: No error when hostgroup name exceeds 245 characters
	* Fixed #7020: Validation instead or error when comments in 'audit comment' exceeds 255 characters
	* Fixes #6713: Long names needs to be truncated while listing

2014-09-15	Christine Fouant <cfouant@redhat.com>
	* fixes #7430 - Adds subnet mask validation

2014-09-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #7436 - extract nested host group error message
	* refs #3085 - missing API i18n string extraction

2014-09-15	Joseph Magen <jmagen@redhat.com>
	* fixes #7299 - do not display 'Mismatches Report' button when no view-host

2014-09-15	Ohad Levy <ohadlevy@gmail.com>
	* fixes #7432 - ensure btn with dropdowns do not span across lines.

2014-09-15	ripcurld00d <boazyko1@gmail.com>
	* Fixes #6903 - html tags in the message when deleting multiple hosts

2014-09-15	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #7213 - exclude plugin permissions from seeds test
	* fixes #7314 - Set settings explicitly instead of stubbing Settings

2014-09-15	Tom McKay <thomasmckay@redhat.com>
	* fixes #7221 - do not display areas of the org/loc UI unless view rbac

2014-09-12	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7247 - Add migration and rake task to correct corrupted cached counters

2014-09-11	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #5692 - correct counts in cached_counters

2014-09-10	Joseph Magen <jmagen@redhat.com>
	* fixes #7336 - editing compute resource should not clear existing attributes from the form

2014-09-10	Tomer Brisker <tbrisker@gmail.com>
	* refs #6161 - Add test to make sure override is marked on create

2014-09-10	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #7041: fixed incorrect belongs_to mappings

2014-09-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #4596 - Change parent of host group via AJAX

2014-09-09	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #4375: provisioning no longer loops when using oVirt + compute profile

2014-09-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #3105 - use untranslated string for PuppetCA state filter
	* fixes #7253 - change nil admin field on users to false, matches usergroups

2014-09-08	Marek Hulan <mhulan@redhat.com>
	* Fixes #3840 - Removes unused Signo related code
	* Fixes #7344 - ignore saving errors during fact parsing

2014-09-08	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-09-04	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6763 - Correctly choose autocomplete search scope for taxonomies depenant on controller

2014-09-03	Marek Hulan <mhulan@redhat.com>
	* Fixes #6444 - add support for virtual NICs
	* Fixes #5926 - hide sensitive parameter values

2014-09-03	Ori Rabin <orabin@redhat.com>
	* Fixes #7286: Can not create a compute resource without selecting a provider

2014-09-03	Dustin Tsang <dtsang@redhat.com>
	* fixes #7054 - list all routes for each resource in /v2/api

2014-09-03	Shlomi Zadok <shlomi@ben-hanna.com>
	* fixes #4111 - Add image user data flag to API

2014-09-03	Imre Farkas <ifarkas@redhat.com>
	* refs #3809 - Fix "`ruby_20` is not a valid platform"

2014-09-03	Joseph Magen <jmagen@redhat.com>
	* Fixes #7261 - API v2 - mark wrapped params hash for POST/PUT as required instead of optional

2014-09-02	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #7079: foreman-debug archive now includes contents of /etc/foreman-proxy/settings.d directory

2014-09-02	Dominic Cleal <dcleal@redhat.com>
	* fixes #7191 - move API response logger to named filter so it can be skipped

2014-09-02	Tom McKay <thomasmckay@redhat.com>
	* fixes #7218 - authorize hosts welcome page

2014-09-02	ripcurld00d <boazyko1@gmail.com>
	* Fixes #6538 - User group vs usergroup name consistency
	* Fixes #7157 - Combo box style in reports

2014-09-02	Marek Hulan <mhulan@redhat.com>
	* Fixes #5929 - Taxonomy filter obey permissions

2014-09-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #7317 - skip rubocop rake tasks if library isn't installed
	* fixes #7035 - expand column name for Rails 3.2.8 compat in Puppet class search

2014-09-01	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6161 - Mark override on adding smart variable override via api

2014-08-29	David Davis <daviddavis@redhat.com>
	* Fixes #3809 - Add rubocop to check Ruby code

2014-08-28	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #7121 - move smart proxy action buttons to helper

2014-08-28	Dominic Cleal <dcleal@redhat.com>
	* refs #7066 - fix syntax error in expression
	* fixes #7066 - add back $login interpolation for LDAP service account usernames

2014-08-27	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #7028 - completing api docs for taxonomies

2014-08-27	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #7056 - only resize textarea in params tab.
	* Fixes #7174 - add delay on autocomplete

2014-08-27	Michael Moll <kvedulv@kvedulv.de>
	* fixes #5240 - expose eager-zeroing for vSphere

2014-08-27	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-08-20	Bryan Kearney <bkearney@redhat.com>
	* Fixes #7105: Modify the mapping file for zanata. Server should be specific languages, but stored as the generic

2014-08-18	Tomer Brisker <tbrisker@gmail.com>
	* Fixes #6831 - expire topbar cache for admin on taxonomy updates

2014-08-18	Ohad Levy <ohadlevy@gmail.com>
	* fixes #5119 - ensure GCE can list images.
	* fixes #7009, N+1 (actually 6+1) queries in dashboard page

2014-08-15	Tomer Brisker <tbrisker@redhat.com>
	* Fixes #6232 - link from chart on overview page to relevent search
	* Fixes #6982 - make tooltips appear above charts
	* Fixes #4350 - Allow any format for role name
	* Fixes #6929 - Rephrase description string for api import_puppetclasses

2014-08-15	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #3976 - Add all view_ permissions to viewer user role

2014-08-15	red-tux <nelsonab@red-tux.net>
	* fixes #6205 Changed regex to parse CNs from SSL DNs on separator chars

2014-08-15	ripcurld00d <boazyko1@gmail.com>
	* fixes #7082 - combo box style in host multi-select popup windows

2014-08-15	Aaron Stone <aaron@serendipity.cx>
	* Fixes #6998 - Accept native true for overwrite parameter to host API.

2014-08-15	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6860 - add missing attributes to hostgroup jail

2014-08-15	Greg Petras <greg.petras@nwea.org>
	* Fixes #6756 - exposes vmware resource pools and folders through the API
	* Fixes #6608 - expose disk usage info through available_storage_domains API

2014-08-15	Trey Dockendorf <treydock@gmail.com>
	* Fixes #6476 - oVirt VM association with multiple interfaces

2014-08-13	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #7061 - show file upload when template is not locked

2014-08-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7003 - Revert LDAP to simple_tls

2014-08-11	Adam Price <komidore64@gmail.com>
	* refs #5190 - updating dependency on apipie-rails

2014-08-11	Joseph Magen <jmagen@redhat.com>
	* fixes #6696 - API v2 - specify 'host' as the key in which parameters will be wrapped rather than Host

2014-08-11	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.7-develop

2014-08-11	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #7013 - pin apipie-rails to < 0.2.3

2014-08-11	Tomer Brisker <tbrisker@redhat.com>
	* Fixes #3285 - extract 'Host' on reports page for trans.

2014-08-10	Joseph Magen <jmagen@redhat.com>
	* Fixes #6400 - Show * next to required form fields

2014-08-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #6964 - replace default scope that hides users with explicit scope

2014-08-08	Dominic Cleal <dcleal@redhat.com>
	* Fixes #6830 - Add host search on compute_resource_id used in 1.5 auth migrations

2014-08-07	Marek Hulan <mhulan@redhat.com>
	* Fixes #6560 - Extract puppet parsing logic

2014-08-07	Daniel Lobato <elobatocs@gmail.com>
	* Revert "Fixes #1592: making report
	* Fixes #5734 - API for external groups management

2014-08-07	Ori Rabin <orabin@redhat.com>
	* Fixes #1592: making report

2014-08-07	Tomer Brisker <tbrisker@redhat.com>
	* Fixes #3300 - extract translations on new smart variable page

2014-08-07	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-08-07	Bryan Kearney <bkearney@redhat.com>
	* Fixes #6969: Add wildcards to the end of the log files to collect the rotated files

2014-08-07	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6962 - Use as_admin instead of find_by_login for usergroup tests

2014-08-07	David Davis <daviddavis@redhat.com>
	* Fixes #6953 - Fixing N_() calls in the User model

2014-08-07	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #6891: Taxonomies couldn't be seeded after initial run of seeds.

2014-08-06	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx
	* templates - sync from community-templates
	* fixes #6873 - ensure hidden 'owner' is populated on user role

2014-08-05	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-08-05	Tomer Brisker <tbrisker@redhat.com>
	* Fixes #3303 - extract confirmation text on architecture deletion for translation
	* Fixes #5442 - extract suggest IP string for translation

2014-08-05	Ori Rabin <orabin@redhat.com>
	* Fixes #6794: Adds search parameter for template kinds

2014-08-05	Dustin Tsang <dtsang@redhat.com>
	* Fixes #6844 - display v2 resources rather than v1 resources in /api/v2

2014-08-05	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6861 - provide a way to detect host group provisioning

2014-08-05	Ohad Levy <ohadlevy@gmail.com>
	* fixes #6857 improve two-pane load times

2014-08-04	Dominic Cleal <dcleal@redhat.com>
	* fixes #6888 - remove duplicate presence validator causing two errors

2014-08-01	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6881 - check if in rake when validating template changes
	* fixes #6855 - bump safemode gem version

2014-08-01	Joseph Magen <jmagen@redhat.com>
	* fixes #6825 - refactor api/v2/filters_controller.rb to use find_optional_nested_object and add Authorizable to class Role

2014-07-31	Martin Ducar <martin.ducar@gooddata.com>
	* fixes #6852 - `rake log` added to log ActiveRecord changes to stdout

2014-07-31	David Davis <daviddavis@redhat.com>
	* Fixes #6446 - Forbidding non-json POST/PUT requests in v2
	* Fixes #6786 - Handle error when no taxonomy params get sent

2014-07-31	Aaron Stone <aaron@serendipity.cx>
	* Fixes #6566 - renaming a node now resets the certname on provision

2014-07-31	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #6620: Allow plugins to define a file to be included in test_helper.

2014-07-31	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #813 - External usergroups can be linked to an LDAP auth source

2014-07-31	Ivan Nečas <inecas@redhat.com>
	* Fixes #6816 - pass oVirt quota as nil instead of "" to prevent server error

2014-07-31	Ori Rabin <orabin@redhat.com>
	* Fixes #215: Parameters can be saved without a value
	* fixes #6636, #6657, #6694 - add field length validations, extend audit field length
	* Fixes #2940: Unable to remove smart parameter with long name

2014-07-31	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-07-31	Martin Bačovský <martin.bacovsky@gmail.com>
	* Refs #4478 - API doc strings marked for translation

2014-07-30	Ori Rabin <orabin@redhat.com>
	* Fixes #6693 - set parameters tab to error state and focus when validation fails

2014-07-30	Ohad Levy <ohadlevy@gmail.com>
	* fixes #6529 allow to define IP suggestion per subnet

2014-07-30	Joseph Magen <jmagen@redhat.com>
	* fixes #6432 - add validation for attributes missing :presence => true and remove duplicate validation messages 'can't be blank'

2014-07-29	Martin Bačovský <martin.bacovsky@gmail.com>
	* Fixes #6768 - Hammer set-parameter does not work

2014-07-28	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #5029: Create organization and location during seed if specified.

2014-07-28	Joseph Magen <jmagen@redhat.com>
	* fixes #6430 - validate presence of location and organization for managed host if Settings are turned on
	* Fixes #6236 - add taxonomy parameters to host API v2 create/update documentation

2014-07-28	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6618 - provide an indentation helper for provisioning templates

2014-07-28	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx
	* i18n - add pt_BR language
	* fixes #6717 - remove interpolation from message for i18n extraction

2014-07-25	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #6779: Restrict ci_reporter gem to less than 2.0.0 to fix CI.

2014-07-24	Maria Nita <maria.nita.dn@gmail.com>
	* refs #4641 - update to functional test
	* fixes #4641 - Ensure default role only after save/update. Change default role permissions

2014-07-24	Joseph Magen <jmagen@redhat.com>
	* fixes #6750 - change constraint on apipie-rails gem so it can be updated to 0.2.x

2014-07-23	Joseph Magen <jmagen@redhat.com>
	* fixes #6753 - fix API v1 examples in docs that show error messages by re-ordering functional tests
	* fixes #6749 - fix API v2 examples in docs that show error messages by re-ordering functional tests

2014-07-23	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6518 - look up the BMC proxy via any subnet proxies, if present

2014-07-23	Ori Rabin <orabin@redhat.com>
	* Fixes #6633: Smart variables and smart class parameters can have the same parameter name

2014-07-23	Michael Moll <kvedulv@kvedulv.de>
	* fixes #5760 - selectable VMware virtual HW version

2014-07-23	sidkhemka <siddhantkhemka@gmail.com>
	* Fixes #6747 - Add textarea automatic resizing

2014-07-23	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6065 - Update TopbarSweeper to clear cache for other users than User.current

2014-07-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #6402 - use standard success/error handlers in UI controllers

2014-07-22	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6670 - Update fog to 1.23

2014-07-22	Neil Miao <nmiao@redhat.com>
	* Fixes #6483 - oVirt network is properly populated for multiple datacenters

2014-07-22	Joseph Magen <jmagen@redhat.com>
	* fixes #5140 - User children taxonomies did not show tooltip 'Parent is already selected'
	* fixes #6375 - fix needed for Rails 3.2.8 only that ensures reference_id on parameter.rb matches the nested object id

2014-07-21	Lukas Zapletal <lzap+git@redhat.com>
	* i18n - updated readme instructions

2014-07-21	David Davis <daviddavis@redhat.com>
	* Fixes #6606 - Allow deletion of non-admin users if 1 admin

2014-07-18	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #6650: Friendlier message when attempting to delete oneself.

2014-07-18	Greg Sutcliffe <gsutclif@redhat.com>
	* Refs #6641 - Revert "Explcitly add fog-json and fog-brightbox for jenkins"

2014-07-18	Kot <kot4my@gmail.com>
	* Fixes #3377 - Add altlinux support

2014-07-17	Stephen Benjamin <stephen@bitbin.de>
	* fixes #1646, #3103 - enable cloning and locking of templates

2014-07-16	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6641 - Explcitly add fog-json and fog-brightbox for jenkins

2014-07-16	Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>
	* fixes #3601: Use secure websockets if available

2014-07-16	Dominic Cleal <dcleal@redhat.com>
	* fixes #6562 - APIv2 is declared stable as of the next release

2014-07-15	Joseph Magen <jmagen@redhat.com>
	* fixes #5178 - unify API parameters and return values. User creation should not require payload wrapped with 'user' root
	* fixes #3664 - support deletion of installation media that's in use

2014-07-15	Ori Rabin <orabin@redhat.com>
	* Fixes #6582: Change position of buttons when editing a location

2014-07-15	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #6487 - use consistent icon set

2014-07-15	Walden Raines <walden@redhat.com>
	* Fixes #6057: highlight active tab based on current URL.

2014-07-15	Stephen Benjamin <stbenjam@redhat.com>
	* fixes #6586 - allow user customizable password in rake permissions:reset

2014-07-15	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6580 - XSS in operating system name/description (CVE-2014-3531)

2014-07-14	Ori Rabin <orabin@redhat.com>
	* Fixes #6537: Entering a very large number for idle_timeout is unchecked, crashes UI

2014-07-13	Ori Rabin <orabin@redhat.com>
	* fixes #6497: New Organization: Focus should exist in Name field

2014-07-11	Dustin Tsang <dtsang@redhat.com>
	* fixes #6441 - allows filtering of parameters per controller

2014-07-10	Leon Strong <lstrong@oss.co.nz>
	* fixes #5197 - Preallocated disk support for oVirt

2014-07-10	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6528 - Silence seeds.rb when in test env

2014-07-10	Jason Montleon <jmontleo@redhat.com>
	* fixes #4155 - enable host/CR (dis)association via api

2014-07-09	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6532 - permission related api extensions

2014-07-09	Joseph Magen <jmagen@redhat.com>
	* fixes #5969 - improve message when deleting virtual machines to indicate delay
	* fixes #6506 - remove x86_64 default for new architecture

2014-07-09	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6357 - ensure JS is loaded so taxonomy_added is defined on user form
	* Fixes #6533 - rest-client 1.7.0 dropped Ruby 1.8 support

2014-07-07	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5235: it's impossible to create filters with invaid searches

2014-07-07	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6099 - Bubble Fog

2014-07-07	Ori Rabin <orabin@redhat.com>
	* fixes #5414: LDAP + TLS is not LDAP + TLS but LDAP + SSL and changed port automatically on check

2014-07-07	Michael Moll <kvedulv@kvedulv.de>
	* fixes #6501: pin jquery-ui-rails

2014-07-06	Ohad Levy <ohadlevy@gmail.com>
	* fixes #6498 simplified eval statement

2014-07-05	starless72 <starless72@users.noreply.github.com>
	* fixes #6496 - Added :match helper method to saferender

2014-07-03	Ori Rabin <orabin@redhat.com>
	* fixes #4564 - has_ancestry definition should be removed from hostgroup.

2014-07-02	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #6285 - Settings API does not parse incoming values to correct data type

2014-07-02	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5753: Engines can now override autocomplete path used in FiltersHelper

2014-07-02	Trey Dockendorf <treydock@gmail.com>
	* fixes #6358 - Update LookupValue fqdn matchers when a host is renamed

2014-07-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #5679 - change CR identifier to name to fix has_many association lookup

2014-06-30	Dominic Cleal <dcleal@redhat.com>
	* fixes #3272 - allow 'admin' account to be removed and replaced
	* fixes #2972 - load jsonp on bundler_ext installations
	* fixes #6331 - use view permission to authorize individual VM show pages
	* fixes #6177 - clear host facts/reports when build=true set over API

2014-06-26	Dominic Cleal <dcleal@redhat.com>
	* fixes #6410 - update to deep_cloneable 2.0

2014-06-26	Justin Sherrill <jsherril@redhat.com>
	* fixes #6382 - revert name change of 48bit mac address regex to fix discovery

2014-06-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #6319 - precompile dashboard.js

2014-06-25	Joseph Magen <jmagen@redhat.com>
	* [REFACTOR] refs #6229 - extract validation to a method
	* fixes #6355 - OS free text search shouldn't search associations

2014-06-25	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #6337 - ensure VM tab is still visible when we deselect profile

2014-06-25	David Swift <dswift@brightroll.com>
	* fixes #6374 - NIC hostname now blank when domain is present, but no hostname is given

2014-06-25	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5939: it's no longer possible to switch tabs when compute profile is being edited.

2014-06-24	Trey Dockendorf <treydock@gmail.com>
	* fixes #5915 - Add support for Infiniband 64-bit MAC addresses

2014-06-24	Joseph Magen <jmagen@redhat.com>
	* fixes #6267 - singularize of HostClass and HostgroupClass is wrong
	* fixes #6248 - API V2 return object for POST/PUT/DELETE should *not* include root node
	* fixes #6216, #4416 - avoid foreign key errors when deleting some objects in use

2014-06-23	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #6308: Load plugin seeds from seeds.d directory of each plugin

2014-06-23	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5994: Power and Console buttons are available to non-admin users with appropriate permissions

2014-06-23	Joseph Magen <jmagen@redhat.com>
	* refs #6067 - tests for UI inconsistency around root password limit 8 characters

2014-06-20	Joseph Magen <jmagen@redhat.com>
	* fixes #6229 - validate installation media exists for new host if pxe_build
	* fixes #5854 - org creation by non-admin normal user now associates themselves

2014-06-19	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #5928 - added selinux info to foreman-debug

2014-06-19	Joseph Magen <jmagen@redhat.com>
	* fixes #6067 - UI inconsistency around root password limit 8 characters
	* fixes #5777 - search on filters returns error
	* fixes #6228 - disable provisioning method radio boxes after host is provisioned
	* fixes #5566 - free text fact values query produces invalid SQL error

2014-06-19	Tom McKay <thomasmckay@redhat.com>
	* fixes #6003 - don't render user default loc/org object directly

2014-06-19	Ivan Nečas <inecas@redhat.com>
	* Fixes #6160 - don't validate images for network based provisioning

2014-06-18	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-06-18	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #6149 - fixed XSS in host YAML view (CVE-2014-3492)

2014-06-18	Joseph Magen <jmagen@redhat.com>
	* fixes #5881 - XSS from create/update/destroy notification boxes (CVE-2014-3491)

2014-06-17	Joseph Magen <jmagen@redhat.com>
	* fixes #5923 - ptable validation trailing spaces incorrectly allows one space
	* fixes #5848 - can't search for host with class inherited from config group
	* fixes #5809 - don't show parent location/organization/hostgroup select box if zero or one location/organization/hostgroup
	* fixes #5832 - org switcher does not collapse when moving mouse diagnally to submenu
	* fixes #5129 - Host Group creation may fail if parameter is same name

2014-06-17	Stephen Benjamin <stephen@bitbin.de>
	* fixes #6234 - fixes sorting on compute resources and subnets

2014-06-17	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5722: VM-based host cloning picks up existing compute attributes

2014-06-15	Amos Benari <abenari@redhat.com>
	* fixes #5345 - customizable dashboard

2014-06-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #5879 - minimum of scoped_search 2.7.0 required

2014-06-12	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #6121 - made copyright section defaceable

2014-06-12	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #6191 - pin pry for ruby 1.8 compat

2014-06-12	Joseph Magen <jmagen@redhat.com>
	* fixes #4736 - organization edit ui has unselectable environment

2014-06-11	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-06-10	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5708: #nil? is now an allowed method inside of Host and Token jails

2014-06-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #5652 - run parse_args when calling new_vm for compute profiles

2014-06-09	Scott Seago <sseago@redhat.com>
	* fixes #6091 - menu removal wasn't traversing menu hierarchy

2014-06-09	Joseph Magen <jmagen@redhat.com>
	* fixes #6112 - log/test.log disappears when running under spork
	* fixes #6116 - search hosts by parent host group and its decendants

2014-06-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #6117 - clean usergroup cache

2014-06-06	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #5941 - Handle nil comparison object in DHCP

2014-06-06	Christine Fouant <cfouant@redhat.com>
	* Fixes #5810 - fixes issue with incorrect page titles

2014-06-06	Joseph Magen <jmagen@redhat.com>
	* fixes #5826 - Using dots in kickstart template names or hostgroups causes routing errors
	* fixes #5834 - Hosts: . in the name is invalid - user is told this but the UI adds one anyway

2014-06-03	Michael Moll <kvedulv@kvedulv.de>
	* fixes #6030 - update list of VMware guest types

2014-06-03	Martin Ducar <martin.ducar@gooddata.com>
	* fixes #5963 - fix Role has_permission? function

2014-06-02	Dominic Cleal <dcleal@redhat.com>
	* fixes #5869 - permit accents in user names on Ruby 1.8
	* fixes #5987 - remove unused packaging files

2014-06-02	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5965: removed 8443 port from the suggested ovirt url

2014-05-29	Dominic Cleal <dcleal@redhat.com>
	* fixes #5793 - add pkg:generate_source rake task to create tar.bz2

2014-05-28	Dominic Cleal <dcleal@redhat.com>
	* fixes #5966 - pin execjs for Ruby 1.8 compatibility

2014-05-27	Marek Hulan <mhulan@redhat.com>
	* Fixes #5696 - Allow taxonomy and roles display

2014-05-27	Nacho Barrientos <nacho.barrientos@cern.ch>
	* Fixes #5946 - Only call fact_name_class.maximum if necessary.

2014-05-22	Joseph Magen <jmagen@redhat.com>
	* fixes #5836 - Welcome page - missing rel attribute
	* fixes #5685 - add :path_ids to with_taxonomy_scope instead of subtree_ids for SmartProxy select dropdowns
	* fixes #5631 - API v2 - host and hostgroups show.json.rabl should show all puppetclasses in child node

2014-05-22	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #5645: Fixes session undefined error when user has a default taxonomy set.

2014-05-22	Dominic Cleal <dcleal@redhat.com>
	* fixes #5671 - LookupValue name should be matcher, value is too long

2014-05-20	Joseph Magen <jmagen@redhat.com>
	* fixes #5788 - before_destroy missing from EnsureNotUsedBy.new in SmartProxy model
	* fixes #5726 - parameter values missing from host#show API call

2014-05-19	Marek Hulan <mhulan@redhat.com>
	* Fixes #5689 - Plugin permissions are migrated too
	* Fixes #5664 - Host filters can use taxonomies

2014-05-19	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5690 - determine host taxonomy fact based on setting value

2014-05-19	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #5221: Adds a helper method to allow a model instance to inquire if the instance is authorized for a particular permission.

2014-05-18	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5660 - use with_taxonomy_scope for OS media selection

2014-05-16	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #5637 - Don't raise lease conflicts when reading ad-hoc DHCP leases

2014-05-16	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5553: FiltersHelper#search_path returns an empty string for unrecognized resources

2014-05-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #5680 - quote searches for config groups containing spaces

2014-05-12	Joseph Magen <jmagen@redhat.com>
	* fixes #4250 - API v2 - add compute profiles

2014-05-08	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates
	* fixes #5612 - use correct permissions for authz in parameters API
	* fixes #5610 - upgrade to Rails 3.2.18

2014-05-08	Amos Benari <abenari@redhat.com>
	* fixes #5471 html escape auto-completer values (CVE-2014-0208)

2014-05-07	Amos Benari <abenari@redhat.com>
	* refs #5188 - prepare place holder for host details

2014-05-07	Dominic Cleal <dcleal@redhat.com>
	* fixes #4590 - convert VMware SCSI controller type during creation
	* fixes #5580 - pin scoped_search for Ruby 1.8 compatibility

2014-05-07	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5537: it's possible to specify menu item url directly now

2014-05-07	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #5242 - Update external user attributes and group membership on every logon

2014-05-06	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #3892 - process REMOTE_USER_GROUP_N and REMOTE_USER_GROUP_#, add user to groups based on external user groups.

2014-05-05	Dominic Cleal <dcleal@redhat.com>
	* fixes #5489 - don't generate empty search () filters on permissions migration
	* fixes #5540 - also clone builtin roles during migration

2014-05-02	Joseph Magen <jmagen@redhat.com>
	* fixes #5506 - added scoped search to SmartProxy for UI and API v2

2014-05-01	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #4370 - Filters list show permissions

2014-05-01	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #4287 - Join directly to template_combinations when resolving templates

2014-05-01	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5520 - proper capitalization in orchestration header

2014-05-01	Joseph Magen <jmagen@redhat.com>
	* fixes #2785 - host model clone method also copies relationships using deep_cloneable gem

2014-04-30	Dominic Cleal <dcleal@redhat.com>
	* fixes #5427 - skip user roles FK removal if it's missing
	* fixes #5038 - remove empty label causing template edit box indentation
	* fixes #5490 - ambiguous column in taxonomix pluck on Rails 3.2.8

2014-04-30	Amos Benari <abenari@redhat.com>
	* fixes #4612 show friendly CR names, fix typo in oVirt name
	* fixes #5132 URL doesn't update correctly after creating a new host

2014-04-30	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #5241 - Add support for external user groups.

2014-04-28	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx
	* templates - sync from community-templates
	* fixes #5453 - ensure all VMware compute attribute keys are symbolized
	* fixes #5248 - restrict fog-core to compatible version (fog#2873)

2014-04-28	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5450 - add realm to params for 1.4-compatible use in templates
	* fixes #5444 - add param_false? host method and allow in templates

2014-04-28	Amos Benari <abenari@redhat.com>
	* fixes #5132 hang when provisioning on ovirt 3.4
	* fixes #5470 vm state doesn't load on show page after redirect from new host

2014-04-28	Ohad Levy <ohadlevy@gmail.com>
	* fixes #5436 - provisioning templates are world accessible

2014-04-28	Trey Dockendorf <treydock@gmail.com>
	* fixes #4599 - DNS and DHCP records for BMC and managed interfaces not using FQDN

2014-04-25	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #5443 - cron.log is now appended to
	* fixes #5401 - fixed foreman-debug tarball creation including '.'
	* fixes #5205 - fixed all authorized links with given action

2014-04-25	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #5106: only puppet and puppet-ca proxies are now being shown on the 'new host' page
	* fixes #5398: replaces calls to deprecated SmartProxy.*_proxies scope with SmartProxy.with_features scope

2014-04-25	Marek Hulan <mhulan@redhat.com>
	* Fixes #5391 - Authorizer test should use testing permission

2014-04-25	Martin Matuska <martin@matuska.org>
	* fixes #4380 [vSphere] allow selection of guest OS

2014-04-25	Joseph Magen <jmagen@redhat.com>
	* fixes #5258 - Can't edit a host due to IPMC/BMC interface form error

2014-04-25	Amos Benari <abenari@redhat.com>
	* fixes #4422 Implement available_images for oVirt to populate new image form

2014-04-22	Dominic Cleal <dcleal@redhat.com>
	* fixes #5246 - remove second host/class lookup impl so config groups are included in ENC output

2014-04-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #5247 - overridable keys displayed on host group when env is inherited
	* fixes #4597 - map host disassociate actions to permission

2014-04-19	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5224 - Don't update a user with blank LDAP attribute values

2014-04-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #1902 - audit changes to lookup keys and values/overrides

2014-04-18	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5222 - Log ldap attributes in debug-level logging

2014-04-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #5214 - pin ancestry for Ruby 1.8 compatibility

2014-04-16	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.6-develop
	* fixes #5200 - set config group counters to zero by default

2014-04-16	Joseph Magen <jmagen@redhat.com>
	* fixes #5172 - typo SETTINGS[:location_enabled] instead of :locations_enabled causes default location select box not to be visible

2014-04-14	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-04-14	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #5180 - in_taxonomy clears out Taxonomy.current

2014-04-14	Joseph Magen <jmagen@redhat.com>
	* fixes #5141 - User unable to access children taxonomies on switcher
	* fixes #5173 - sortable counters on list of config_groups for number of hosts, hostgroups and puppetclasses
	* fixes #4204 - add config groups feature - assign multiple config groups to a host or hostgroup

2014-04-13	Joseph Magen <jmagen@redhat.com>
	* fixes #5137 - audited :associated_with labels are 'N/A' for models that have a hyphen
	* fixes #5083 - refactor host_edit.js - remove puppetclass specific functions to class_edit.js
	* fixes #5105 - remove Setting['remove_classes_not_in_environment']

2014-04-13	Amos Benari <abenari@redhat.com>
	* fixes #4122 and new charts design

2014-04-11	Sean Handley <sean.handley@gmail.com>
	* fixes #5157 - allowed to suggest new IP on the new host form

2014-04-11	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3914 - set current taxonomies on login from user defaults

2014-04-10	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #4710, #2270 - Wait for VM to become ready before looking for IPs

2014-04-09	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates
	* fixes #4895 - Adds CSRF protection check to the API if a session user is present
	* i18n - extracting new, updating rails, pulling from tx

2014-04-09	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #4960 - undefined method when editing filter without a UI controller

2014-04-09	Lukas Zapletal <lzap+git@redhat.com>
	* fixed #5120 - fixed migration for discovered hosts

2014-04-09	Rufus Post <rufuspost@gmail.com>
	* fixes #2438 - Add image build capability to vsphere using templates

2014-04-09	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5113 - sort realms by host count

2014-04-08	Eric D. Helms <ericdhelms@gmail.com>
	* Refs #2942: Added plugin rake task to extract translations

2014-04-08	Amos Benari <abenari@redhat.com>
	* fixes #4806 add support to register compute resource provider from a plugin

2014-04-07	Michael Moll <kvedulv@kvedulv.de>
	* fixes #4670: switch search to id on OS page

2014-04-07	Martin Milata <mmilata@srck.net>
	* fixes #5090 - typo in bookmarks

2014-04-04	Ivan Nečas <inecas@redhat.com>
	* fixes #5077 - refactor safemode rendering to allow helpers and variables from plugins

2014-04-04	Michael Moll <kvedulv@kvedulv.de>
	* fixes #5072 - x86_86 -> amd64 for FreeBSD media

2014-04-04	Stephen Benjamin <stephen@bitbin.de>
	* fixes #5053 - minor bug fixes to realm integration

2014-04-04	Dominic Cleal <dcleal@redhat.com>
	* fixes #2929 - generate encryption key and encrypt data in postinstall

2014-04-04	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #4381: dns records are being update after changes to host when dhcp is also present
	* refs #4851: replaced deprecated SmartProxy feature scope with SmartProxy.with_features scope

2014-04-04	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #5071 - foreman-tail stderr is muted

2014-04-04	Amos Benari <abenari@redhat.com>
	* fixes #3592 lazy load vm with ajax in host show page.

2014-04-04	Martin Bačovský <mbacovsk@redhat.com>
	* Fixes #4755 - use_cache in development

2014-04-03	Michael Moll <kvedulv@kvedulv.de>
	* refs #4305 - add support for OracleLinux

2014-04-03	Joseph Magen <jmagen@redhat.com>
	* fixes #4863 - API V2 - add puppetclasses format style=list and module_name to base.json.rabl

2014-04-03	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #4462 - extending the /users/login handling to process REMOTE_USER through intercept

2014-04-02	Joseph Magen <jmagen@redhat.com>
	* fixes #4995 - editing location with 'all users' checked fails on edit page in postgres

2014-04-02	Ivan Nečas <inecas@redhat.com>
	* Fixes #4976 - ensure the process is really running inside a rake task

2014-04-02	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-04-02	Stephen Benjamin <stephen@bitbin.de>
	* fixes #1809 - foreman realm integration

2014-04-01	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #1966 - improved UI errors for proxy

2014-04-01	marianitadn <maria.nita.dn@gmail.com>
	* fixes #3946 Set host URLs from local settings file, if no Facter configuration exists. Add default values for settings example.

2014-04-01	Joseph Magen <jmagen@redhat.com>
	* fixes #4712 - editing organization gives undefined method parent_taxonomy_selected_location_path

2014-03-31	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4673 - make default sort order descending on count columns

2014-03-31	Michael Moll <kvedulv@kvedulv.de>
	* fixes #4691 - add search for hosts' managed status
	* fixes #4800 SLES special handling in facts parser

2014-03-31	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4659 - added foreman-tail tool

2014-03-31	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #4851: a SmartProxy.with_features scope replaces feature-specific scopes generated during class loading

2014-03-31	Joseph Magen <jmagen@redhat.com>
	* fixes #4731 - Rails 3.2.8 causing _pkey constraint errors

2014-03-31	Bryan Kearney <bkearney@redhat.com>
	* Fixes #4927 - Extend foreman-debug to look for extensions provided by plugins.

2014-03-30	Dominic Cleal <dcleal@redhat.com>
	* refs #2189 - update host group parameter search tests
	* fixes #1804 - find hosts through nested hostgroups on puppet class search

2014-03-27	Anya Marshall <anya.elise.marshall@gmail.com>
	* Fixes #4679 - Downcase fqdn to match Puppet SSL certs casing

2014-03-27	Bryan Kearney <bkearney@redhat.com>
	* Fixes #4884 : remove duplicate slashes from the gravatar url

2014-03-26	Brad Buckingham <bbuckingham@redhat.com>
	* fixes #4776 - support session[:expires_at] for api requests

2014-03-26	Dominic Cleal <dcleal@redhat.com>
	* fixes #4794 - precompile filters.js and taxonomy_edit.js files

2014-03-25	Justin Sherrill <jsherril@redhat.com>
	* fixes #4804 - sort organizations by title

2014-03-25	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2954 - string extraction fixed on welcome page

2014-03-25	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3214 - set taxonomy for hosts created via Puppet from facts or a default setting

2014-03-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #4828 - pin rake for Ruby 1.8 compatibility

2014-03-24	Amos Benari <abenari@redhat.com>
	* fixes #4733 lookup keys in puppet class form visual changes
	* fixes #4555 add ca certificate to ovirt

2014-03-24	Dominic Cleal <dcleal@redhat.com>
	* fixes #4457 - Session fixation, new session IDs are not generated on login (CVE-2014-0090)

2014-03-24	Joseph Magen <jmagen@redhat.com>
	* fixes #4456 - XSS on 500 error page and bookmark name causing render error (CVE-2014-0089)

2014-03-21	Greg Sutcliffe <greg.sutcliffe@gmail.com>
	* Fixes #4680 - Don't append periods to unqualified unmanaged hosts

2014-03-19	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4703 - reset_counters doesn't work for has_many :through relationships on rails 3.2.8
	* fixes #4682 - smart variable for a puppet class not showing in UI

2014-03-18	Amos Benari <abenari@redhat.com>
	* fixes #4138 orgs list when the number of orgs is huge
	* fixes #4683 multi select filter and select/deselect all are not working

2014-03-18	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4639 - array in lookup_value incorrectly displayed in form

2014-03-17	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4669 - HostMailer summary method refers to undefined variable
	* fixes #4256 - makes columns sortable in the UI

2014-03-17	Michael Moll <kvedulv@kvedulv.de>
	* fixes #4664 - shorten OS description for SUSE

2014-03-17	Martin Bačovský <mbacovsk@redhat.com>
	* Fixes #4515 - Add support for dynamic bindings

2014-03-17	Ivan Nečas <inecas@redhat.com>
	* Fixes #3988 - use require instead of autoload_once_paths

2014-03-14	Joseph Magen <jmagen@redhat.com>
	* fixes #4617 - add feature to change parent of location or organization
	* fixes #4605 - users should not be able to de-select disabled items in multi-select widget

2014-03-14	Amos Benari <abenari@redhat.com>
	* fixes #4607 error when running test from ide

2014-03-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #4314 - ignore default scope ordering on host search by puppet class

2014-03-13	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4643 - Retrieving Optional LDAP attributes fails on 1.8.7

2014-03-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #4626 - update Facter calls for 2.0 compatibility

2014-03-12	Jason Montleon <jmontleo@redhat.com>
	* Fixes #4465: remove pretrans section of foreman.spec

2014-03-12	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #4616 - Add a Fog mixin for looking up EC2 IP addresses

2014-03-12	Alissa Bonas <abonas@redhat.com>
	* refs #4167 - Added inline info regarding root password length policy

2014-03-12	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #4557: namespaced and mounted plugins no longer cause crash on the filter screen

2014-03-12	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #4486 - organization not searchable by name

2014-03-12	Ohad Levy <ohadlevy@gmail.com>
	* fixes #4637 - remove search by label from all ancestry objects besides hostgroups

2014-03-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #4123 - libvirt imaging support using backing volumes

2014-03-11	Ohad Levy <ohadlevy@gmail.com>
	* fixes #4625 - ensures alerts can have close opt disabled

2014-03-11	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3827 - adds ldap avatar support

2014-03-11	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #3475 - make it possible to force the 401 status.

2014-03-11	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4565 - puppet class free-text search is now significantly faster

2014-03-07	Greg Petras <greg.petras@nwea.org>
	* fixes #4581 Implement available_networks API for VMware

2014-03-07	James Jenkins <James@nostrand.local>
	* fixes #4485 prevents undefined method when cloning a host

2014-03-07	Stephan Dollberg <stephan.dollberg@gmail.com>
	* fixes #3221 - add missing attributes to hostgroup show response

2014-03-07	Andy Bohne <bohne.andrew@pennmutual.com>
	* fixes #4583 - Added Environment name to rundeck output

2014-03-07	Tom McKay <thomasmckay@redhat.com>
	* fixes #4194, #4459 - add main_app to root_path references for isolated engines

2014-03-07	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #4442 - returning nil plays nice with try_to_login.

2014-03-07	Martin Matuska <martin@matuska.org>
	* fixes #3996 Support to assign both cores and CPUs to VMWare guests

2014-03-07	Alissa Bonas <abonas@redhat.com>
	* fixes #4290 add validation for user group max name length of 255

2014-03-06	Marek Hulan <mhulan@redhat.com>
	* Fixes #4537 - user can set empty roles array via API
	* Fixes #4553 - miscellaneous filters editing

2014-03-06	Martin Ducar <martin.ducar@gooddata.com>
	* fixes #4524 - The logged in user should be the default one in create new hosts

2014-03-06	Joseph Magen <jmagen@redhat.com>
	* fixes #4201 - update operating system by label, use description or fallname otherwise

2014-03-06	Josh Baird <jbaird@follett.com>
	* fixes #3163 - add link to first use instructions

2014-03-04	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3001 - Facts searchable by both host id and name

2014-03-04	Marek Hulan <mhulan@redhat.com>
	* Fixes #4353 - plugins don't create permissions until DB is migrated
	* Fixes #4536 - store fix_db_cache setting values correctly as YAML

2014-03-04	Stephan Dollberg <stephan.dollberg@gmail.com>
	* fixes #4539 - changed os minor attribute to not required

2014-03-04	Josh Baird <jbaird@follett.com>
	* fixes #3767 - add new host to hosts menu

2014-03-04	Jason Montleon <jmontleo@redhat.com>
	* fixes #4245 - return HTTP body for oVirt SSL CA certificate

2014-03-04	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #4226: add a Rake task for plugins that compiles their assets into core assets pipeline

2014-03-03	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2014-03-03	Marek Hulan <mhulan@redhat.com>
	* fixes #812 - new permissions model, user group role and nest support, role filters for better granularity

2014-02-25	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #4441 - Overriden link_to method should be public, not protected

2014-02-24	Joseph Magen <jmagen@redhat.com>
	* fixes #4393 - rename ancestry label to title

2014-02-24	Neil Miao <nmiao@redhat.com>
	* fixes #4423 - allow puppet classes to be imported by environment

2014-02-24	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3751 - new/edit submit buttons now have id

2014-02-24	Jimmi Dyson <jimmi.dyson@specsavers.com>
	* fixes #4015 - support oVirt using templates like images

2014-02-21	Joseph Magen <jmagen@redhat.com>
	* fixes #3876 - API find_resource by name even if name starts with integer
	* fixes #4349 - API v2 - add location and organization child nodes to user, domain, subnet, etc show json templates
	* fixes #4198 - API v2 - add child nodes to show responses. Ex. architecture should show operating systems node

2014-02-19	Joseph Magen <jmagen@redhat.com>
	* fixes #4388 - upgrade to Rails 3.2.17
	* fixes #3912 - add inheritance for locations / organizations

2014-02-19	James Netherton <james.netherton@specsavers.com>
	* fixes #4222 Add capability to compute resource API to retrieve cluster,network,storage info on oVirt

2014-02-19	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2270 - Detect all OpenStack IPs and test which allows SSH

2014-02-18	jan kaufman <jan.kaufman@gooddata.com>
	* fixes #4125 [Openstack] - host with auto assigned IPs can't be deleted

2014-02-18	Amos Benari <abenari@redhat.com>
	* fixes #3567 Editing an oVirt compute resource can throw errors loading quotas while loading page

2014-02-18	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3307 - add troubleshooting to console page

2014-02-18	Joseph Magen <jmagen@redhat.com>
	* fixes #4333 - added multi-select-rails gem

2014-02-17	Joseph Magen <jmagen@redhat.com>
	* fixes #3939 - add option to 'inherit from parent' for hostgroup attributes

2014-02-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #4268 - don't search for host with nil IP on hostname spoofing

2014-02-14	Sam Kottler <shk@redhat.com>
	* Fixes #4221: add :dependent => :destroy for compute profiles on compute resource

2014-02-14	Joseph Magen <jmagen@redhat.com>
	* refs #4289 - tests for adding, deleting and updating lookup_values on host

2014-02-14	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3845 - user login session ending clears chosen organization

2014-02-14	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3903 - fixed menu links when relative URLs are set

2014-02-14	Neil Miao <nmiao@redhat.com>
	* fixes #3596 - validation error when user with hostgroup subscription creates a new hostgroup

2014-02-14	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #4197: Adds 'plugins' directory to /var/log/foreman, /etc/foreman, and /usr/share/foreman to allow plugins to install their own log, config and other files.

2014-02-14	Martin Matuska <martin@matuska.org>
	* fixes #4159 Thin provisioning for VMware disks in compute profiles can't be saved
	* fixes #4307 New VMware VM creation does not respect NIC type selection
	* fixes #3496 vSphere: add support for selectable SCSI controller

2014-02-13	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #4341: Adds a new organization taxonomy that is labeled empty.

2014-02-13	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3980 - Compute profiles not rendering Openstack attributes correctly

2014-02-11	lphiri <lphiri@redhat.com>
	* Add header menu navigation

2014-02-10	Martin Matuska <martin@matuska.org>
	* Fixes #4276 display provisioned space in vSphere datastore selection

2014-02-10	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3519 - taxonomies include authorization module

2014-02-10	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4298 - ldap auth should accept parens in firstname or surname

2014-02-10	karl-ravn <karl.ravn@deltaprojects.se>
	* fixes #4304 - corrected strange search for host_id parameter

2014-02-07	Stephen Benjamin <stephen@bitbin.de>
	* fixes #2726 - smart class parameter override fails validation

2014-02-06	Stephen Benjamin <stephen@bitbin.de>
	* fixes #4234 - cannot edit host's puppet parameters

2014-02-05	Daniel Lobato <elobatocs@gmail.com>
	* fixes #4270 - setting descriptions updated for consistency

2014-02-05	Amos Benari <abenari@redhat.com>
	* fixes #4220 dashboard and report-show pages chart-frame is not in place.

2014-02-05	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3725, #4167 - root password validations, remove default password

2014-02-05	Robert Birnie <rbirnie@gmail.com>
	* refs #2314 - more choices in memory drop down

2014-02-05	Sam Kottler <shk@redhat.com>
	* refs #2816: Prevent diff viewer on report page from overflowing to be outside the parent modal

2014-02-05	Joseph Magen <jmagen@redhat.com>
	* fixes #3999 - refactor DRY implementation of "nested label" for objects with ancestry

2014-01-29	Dominic Cleal <dcleal@redhat.com>
	* templates - sync from community-templates

2014-01-28	Michael Moll <kvedulv@kvedulv.de>
	* fixes #4173 - don't update CR attrs when none available, taken from GH-1184

2014-01-28	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4200 - fixed sosreport integration

2014-01-28	Daniel Lobato <elobatocs@gmail.com>
	* fixes #4120 - fix border-collapse:collapse tables in Firefox with disappearing lines

2014-01-27	Martin Matuska <martin@matuska.org>
	* Fixes #4196 "Power ON this machine" disappeared for new VMWare hosts

2014-01-27	Joseph Magen <jmagen@redhat.com>
	* fixes #3553 - add "except" option to prevent puppet class import to select types of import
	* fixes #4188 - api/v2/status incorrectly shows api_version: 1
	* fixes #2866 - Changing a hostgroup name doesn't update associated Smart Variable matchers

2014-01-27	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4178 - updating i18n extracting rake task and makefile

2014-01-27	Dominic Cleal <dcleal@redhat.com>
	* fixes #4005 - ensure standalone Rabl.render works outside of a controller

2014-01-27	Amos Benari <abenari@redhat.com>
	* fixes #4189 - Facts charts are not rendered

2014-01-27	Stephen Hoekstra <stephenhoekstra@gmail.com>
	* fixes #4186 - db:seed fails when install media exists with same URL

2014-01-27	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3960 - wrap APIv2 errors in an "error" node

2014-01-22	Dominic Cleal <dcleal@redhat.com>
	* refs #3697, #3701 - fix test with multiple validation failures

2014-01-22	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3697, #3701 - more comprehensive field validations

2014-01-22	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #4032 - Use object.id for comparisons

2014-01-22	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #4161: plugin ActiveRecord models that do no define 'name' method no longer throw NoMethodError when to_s is called
	* fixes #3931: rbvmomi gem has been pinned to ~> 1.6.0

2014-01-21	Brad Buckingham <bbuckingham@redhat.com>
	* fixes #4152 - fix syntax error in _form.html.erb for hosts and hostgroups

2014-01-21	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3955 - added param_true? and snippet_if_exist template methods
	* fixes #4115 - added missing LICENSE file

2014-01-21	Jason Montleon <jmontleo@redhat.com>
	* fixes #3909 - add disassociate and bulk action disassociate to interface

2014-01-21	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3828 - set language locale for API messages and error responses
	* fixes #3925 - create apipie param_groups for API v2 to DRY documentation

2014-01-21	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3826: no more sql errors when trying to search for environments (also domains, operatingsystems, and models)

2014-01-21	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3920 - prevent 500 ScopedSearch errors on the API, raise UI errors correctly
	* fixes #359 - hostname spoofing for unattended installation templates

2014-01-20	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3760 - API v2 define metadata @total for each controller
	* fixes #4023 - API v2 - compute resources partials should should attribute alias names and not database column names
	* fixes #3998 - API v2 error on /api/compute_resources, missing gce.json.rabl
	* fixes #4132 - helper select_f missing option for :multiple => true to increase width
	* fixes #3867 - Wrong Compute Resource type shown on overview

2014-01-20	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #4139 - fixed quiet flag in foreman-debug

2014-01-17	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3940 - extlogout page layout fixed
	* fixes #3983 - added trends:clean to cron

2014-01-17	Dominic Cleal <dcleal@redhat.com>
	* Bump copyright, remove spurious file

2014-01-17	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2231 - hostgroup deletion is restricted to hostgroups without children
	* fixes #3515 - API handles not found objects with 404

2014-01-17	Ewoud Kohl van Wijngaarden <e.kohlvanwijngaarden@oxilion.nl>
	* Fixes #4022: Make api puppetrun a PUT for REST standards

2014-01-16	Dominic Cleal <dcleal@redhat.com>
	* Bump version to 1.5-develop
	* i18n - extracting new, updating rails, pulling from tx
	* templates - sync from community-templates

2014-01-16	David Davis <daviddavis@redhat.com>
	* fixes #3992 - Removing unused coffeescript gem

2014-01-16	Marek Hulan <mhulan@redhat.com>
	* Fixes #4031 - change TFTP record on build flag change

2014-01-16	Sam Kottler <shk@redhat.com>
	* fixes #4001: remove unused comps
	* Fixes #4024: Virtual machine state indicator is not correctly positioned for rackspace CR's

2014-01-16	Amos Benari <abenari@redhat.com>
	* fixes #4019 Compute Resource -> New Image renders on Compute Profiles tab

2014-01-16	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #4020 - enable @static to work on all OS template types
	* Fixes #4014 - Correctly use to_label when showing OSs

2014-01-16	Joseph Magen <joseph@isratrade.co.il>
	* fixes #4021 - upgrade to Rails 3.2.16

2014-01-16	Frank Wall <fw@moov.de>
	* fixes #3906 - Support for Junos ZTP

2014-01-15	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3099 - Adding parameters to locations and organizations

2014-01-15	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3937 - correct title wording Editing to Edit

2014-01-15	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3927 - Allow VMs to provision via user-data

2014-01-15	Walden Raines <walden@redhat.com>
	* fixes #3984 - use __ instead of _ for i18n to avoid conflict with underscore.js

2014-01-14	Ohad Levy <ohadlevy@gmail.com>
	* refs #3811 alerts messages cleanup and minor refactoring

2014-01-14	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3973 - foreman-debug can now upload tarballs

2014-01-14	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3911 - jquery.multi-select.js should disable selected ids that are passed to :disabled =>

2014-01-12	Marek Hulan <mhulan@redhat.com>
	* Fixes wrong os family caused by 'becomes' refs #3962

2014-01-11	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3975 - add audit to classes Domain, Subnet, SmartProxy, Role, Usergroup, AuthSource, Image, Bookmark that were not audited

2014-01-11	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2613 - foreman-debug tarball directories stripped
	* fixes #3958 - added more logs reported with foreman-debug

2014-01-11	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3709 - explicitly say puppet environments vs just 'environments'

2014-01-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #3989 - add BR and explicit dependency on Ruby binary, for ruby193-ruby-wrapper

2014-01-09	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx
	* i18n - add sv_SE language

2014-01-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #3962 - Refactor class overwriting

2014-01-09	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3967 - reworded message for OpenStack form

2014-01-09	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3974 - Drop leftover Api

2014-01-09	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3178 - add feature for compute profiles for hostgroups and hosts

2014-01-07	Amos Benari <abenari@redhat.com>
	* fixes #3821 Plugin menus are lost after page refresh in development

2014-01-07	Sam Kottler <shk@redhat.com>
	* Fixes #3945: pin fog to 1.19.x to fix VMware provisioning bug

2014-01-07	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #3528 - Populate first name, last name, and email, if available.

2014-01-07	Romain Vrignaud <rvrignaud@gmail.com>
	* fixes #3658 - support smart proxy's chef proxy feature

2014-01-06	Sam Kottler <shk@redhat.com>
	* fixes #3261 - use the action the host is about to perform for power action notifications

2014-01-06	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3937 - correct title wording for Compute Resources and Smart Proxies

2014-01-03	Walden Raines <walden@redhat.com>
	* fixes #3942 - restoring multiple="true" in org edit form

2014-01-03	Ruediger Mueck <ruediger.mueck@gmail.com>
	* fixes #1489 - add AIX family and facts importer support

2014-01-01	Ohad Levy <ohadlevy@redhat.com>
	* refs #3935 - fixes hash style to support ruby 1.87

2014-01-01	Amos Benari <abenari@redhat.com>
	* fixes #3935 new login page RCUE style

2013-12-31	Jimmi Dyson <jimmi.dyson@specsavers.com>
	* fixes #3896 Retrieve OVirt CA certificate via same URL scheme as API URL by disabling SSL verification

2013-12-31	Amos Benari <abenari@redhat.com>
	* refs #3811 - additional bootstrap 3 updates/fixes

2013-12-31	Robert Birnie <rbirnie@gmail.com>
	* fixes #3932 incorrect volume delete label

2013-12-30	Ohad Levy <ohadlevy@gmail.com>
	* refs #3928 - use updated test fixture
	* refs #3930 - ensure a user can actually update itself.
	* fixes #3930 - refactoring of edit_self implementation.

2013-12-30	Tom McKay <thomasmckay@redhat.com>
	* fixes #3853 - allow rabl template override to be specified

2013-12-30	Joseph Magen <joseph@isratrade.co.il>
	* fixes #2794 - set api_version and app_info in v1 and v2 base_controllers
	* fixes #3928 - API v2 - update os_default_templates for operating system

2013-12-30	Amos Benari <abenari@redhat.com>
	* fixes #3858 No menus shown for non-admin users
	* refs #3811 - additional bootstrap 3 updates/fixes * provisioning template "resolve" button ui fixes * form inline help and button lacation fix * host ip address help link fixed * fixes libvirt allocation buttons * host global parameters columns fixed * fix multi-select width

2013-12-29	Dominic Cleal <dcleal@redhat.com>
	* refs #3811 - foreman.spec: change twitter-bootstrap-rails to bootstrap-sass

2013-12-29	Amos Benari <abenari@redhat.com>
	* fixes #3811 - merge with new layout

2013-12-29	Walden Raines <walden@redhat.com>
	* Fixes #3811 updating to bootstrap 3

2013-12-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #3752 - move data population from migrations into seed script
	* fixes #3889 - don't reload nested lookup keys during render, so validation errors aren't lost

2013-12-19	Amos Benari <abenari@redhat.com>
	* Merge branch 'fixes-3872' of git://github.com/ehelms/foreman into ehelms-fixes-3872

2013-12-18	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes 3872: Provides a better customizable application layout that conforms to HTML5 best practices.

2013-12-18	Martin Bačovský <mbacovsk@redhat.com>
	* fixed #3905 - wrong route in apidoc for reports delete (API v2)

2013-12-18	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2374 - added allocation option to libvirt VM

2013-12-18	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3280 - authenticate returns true for API requests when login:false

2013-12-18	Michael Moll <kvedulv@kvedulv.de>
	* fixes #1431 - use boardproductname as model fallback if productname or model fact don't exist
	* refs #3571 - add filter for notice level in report

2013-12-16	Marek Hulan <mhulan@redhat.com>
	* fixes #3339 - nested fact support, allow fact importers to be registered by plugins

2013-12-16	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3693 - API v2 - accept GET json format of object in PUT/POST requests to add/remove has_many associations

2013-12-16	Dominic Cleal <dcleal@redhat.com>
	* fixes #3885 - sort IDs in test to prevent random failures
	* fixes #3882 - Revert "fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround"

2013-12-16	Sam Kottler <shk@redhat.com>
	* Fixes #3881: pin locale to 2.0.9 or lower

2013-12-13	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3721 - Map OS family to a display variant
	* Fixes #3720 - Add description field to operatingsystem

2013-12-12	dima <pronix.service@gmail.com>
	* refs #3067 - domain stripped from installation media hostname for Solaris

2013-12-12	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3539 - removed legacy mysql adapter

2013-12-12	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #3753 - always use main_app to determine paths for running an isolated namespace plugin

2013-12-12	Amos Benari <abenari@redhat.com>
	* fixes #3790 - Added support for isolated engine to foreman menu

2013-12-11	Eric D. Helms <ericdhelms@gmail.com>
	* Fixes #3838: Adds ability to define a divider when declaring a menu item from a plugin.

2013-12-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #3855 - pin ruby-libvirt to 0.4 for Ruby 1.8 workaround

2013-12-09	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3491 - API v2 rabl templates base, main, show for each controller

2013-12-09	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2013-12-09	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2600 - fixed gettext extraction on vms forms

2013-12-09	odgrim <odgrim.post@gmail.com>
	* fixes #3832 - foreman supplies user for GCE images, fog expects username

2013-12-05	Eric D. Helms <ericdhelms@gmail.com>
	* fixes #3820 - adds exception output to menu item authorization check

2013-12-05	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3822 - updated Rackspace datacenter list

2013-12-05	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3524 - api cannot reference smart proxies by name when they contain a "."
	* fixes #2983 - Add autosign#index to API v1 and v2 and remove from UI controller

2013-12-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #3794 - don't validate IP address that's later provided by a CR

2013-12-02	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3769 - added foreman-rake and debug man pages

2013-11-28	Nils Domrose <github@domrose.net>
	* fixes #2572 - FreeBSD unattended installation support via mfsbsd

2013-11-28	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3776 - change NAME_MAP to be a method

2013-11-28	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3020 - API v2 - option to specify version in URL as well as in header

2013-11-28	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3777 - typo in Settings cleanup message

2013-11-28	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3772: a block is now optional when defining sub menus from foreman plugins

2013-11-27	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3646 - API v2 change default root name for api json single object response to no root node but make it configurable
	* fixes #3137 - API v2 - show error if optional nested object does not exist for nested route
	* fixes #3768 - API v2 child nodes should not have an object root for each object
	* fixes #2931 - API v2 hosts JSON response, add *_name for each *_id

2013-11-26	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3762: menu urls defined using hashes should prefix controller name with a '/' (use absolute controller names)

2013-11-26	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3018 - API v2 metadata for pagination, search, order in index collection json response

2013-11-25	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3011 - default root node name for api collections json response to :results but make it configurable

2013-11-25	Povilas Daukintis <povilas@daukintis.lt>
	* fixes #3737 - added PXEGrub specific PXE localboot template

2013-11-25	Ohad Levy <ohadlevy@gmail.com>
	* refs #3510 - ensure rescue statement works

2013-11-25	Lukas Zapletal <lzap+git@redhat.com>
	* refs #3712 - write VERSION file to /usr/share/foreman/VERSION
	* fixes #3724 - correcting Red Hat names in some UI texts
	* fixes #3722 - changed partition tables default names

2013-11-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #3736 - users API uses login name as an identifying attribute
	* fixes #3684 - add IDs to top level dropdown menus
	* fixes #3717 - pin fog to 1.18.x

2013-11-22	Adam Price <komidore64@gmail.com>
	* routes - small script to strip out the whitespace from 'rake routes'

2013-11-22	Tom McKay <thomasmckay@redhat.com>
	* fixes #3673 - auditing added to ptable w/ test

2013-11-22	Martin Matuska <martin@matuska.org>
	* fixes #3683 - display free and available space in vSphere datastore selection

2013-11-22	Amos Benari <abenari@redhat.com>
	* fixes #3510 - plugin interface for registering a plugin, updated menu system

2013-11-22	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2763 - correcting doco links

2013-11-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #3712 - change develop versioning scheme to indicate next version

2013-11-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #2680 - ensure RbVmomi
	* fixes #3659 - use URL host for hostname, not URL itself

2013-11-20	odgrim <odgrim.post@gmail.com>
	* fixes #3698 - add image_id alias to server resource as form uses it

2013-11-20	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3661 - mis-redirection from /hosts/fqdn/edit to /hosts
	* fixes #3493 - check if auto user reg is allowed for auth source

2013-11-19	Bryan Kearney <bkearney@redhat.com>
	* fixes #3672: Add in the zanata.xml file for pushing strings to zanata.

2013-11-19	Brad Buckingham <bbuckingham@redhat.com>
	* fixes #3669 - migration: minimize amount of User model exposed to migration

2013-11-19	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3468 - Move token expiry to scope to avoid FK issues

2013-11-18	Sam Kottler <shk@redhat.com>
	* Fix #3682: pin rabl to be less than or equal to 0.9.0

2013-11-15	Beat Gätzi <beat@chruetertee.ch>
	* fixes #3645 - fix total value in summary mail subject

2013-11-14	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3603 - replaced a relation with a collection in 'where' conditions

2013-11-14	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #3268, #2783 - Update prod2dev to handle fkeys in psql

2013-11-13	Stephen Benjamin <stephen@bitbin.de>
	* fixes #3107 - enable sorting of hostgroups by label, sort by default

2013-11-13	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3516 - resource names (inc. domains) are now being parametrized when used to construct urls
	* fixes #3622 - smart proxy features are now being loaded dynamically

2013-11-13	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3637 - refactor exception rake task

2013-11-13	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3017 - split APIv2 controllers from v1 parents

2013-11-13	Sam Kottler <shk@redhat.com>
	* fixes #3626 - add unf to the bundler configuration for proper encoding for fog

2013-11-12	Jan Pazdziora <jpazdziora@redhat.com>
	* fixes #3312 - support /users/extlogin as a login page based on REMOTE_USER

2013-11-12	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2013-11-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #3050 - add foreman-gce subpackage

2013-11-08	Dominic Cleal <dcleal@redhat.com>
	* refs #3569 - fix URL validation test error on merge

2013-11-08	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3569, #3210 - Use port from foreman_url for templates

2013-11-07	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3587, #2855 - print an error on invalid json vs 500 error

2013-11-06	David Davis <daviddavis@redhat.com>
	* Adding more files (log, reports) to gitignore
	* fixes #3597 - removing rr gem, make tests consistent by using just mocha

2013-11-05	Andreas Ntaflos <daff@pseudoterminal.org>
	* fixes #3581 - link to reports search for failed hosts should use "host = foo.example"

2013-11-05	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3578 - minor SQL and whitespaces updates to the smart proxy class
	* fixes #3566 - exposes orchestration tasks via the API(v2) at /api/orchestration/id/tasks

2013-11-05	Petr Chalupa <pchalupa@redhat.com>
	* fixes #3577 - do not treat `params[:dryrun]` with value `false` as true

2013-11-04	Amos Benari <abenari@redhat.com>
	* Merge branch '959' into develop
	* fixes #3338 - grey out VM form when editing is not supported

2013-11-04	Dolf Schimmel (Freeaqingme) <dolf@dolfschimmel.nl>
	* fixes #3568 - adding Facter gem to bundler config

2013-11-01	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3196 - Switch tokens to default to on
	* Fixes #3182 - Make IP optional in some circumstances

2013-10-31	David Davis <daviddavis@redhat.com>
	* Tweaks to gitignore

2013-10-31	Martin Bačovský <mbacovsk@redhat.com>
	* fixes #2951 - Host API documentation lacks compute_resource_id

2013-10-31	Dominic Cleal <dcleal@redhat.com>
	* fixes #3550 - correct HTTP method for puppet class import API

2013-10-30	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3205 - Extract and refactor report importing logic

2013-10-29	Ohad Levy <ohadlevy@gmail.com>
	* fixes #1830 - auto assign puppet proxy if its not defined upon facts/reports event

2013-10-29	Petr Chalupa <pchalupa@redhat.com>
	* fixes #3538 - workaround for broken #pluck on lower Rails versions

2013-10-29	Martin Bačovský <mbacovsk@redhat.com>
	* Fixes #3495 - foreman-cli meta-package should install hammer

2013-10-25	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3498 - update to Rails 3.2.15

2013-10-25	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3486 - Make sure loading text is removed when chart data appears.

2013-10-24	Aaron Stone <aaron@serendipity.cx>
	* Fixes #3481 - Don't have to set a hostname for each interface, but it must be unique if it is set.

2013-10-24	Jan Orel <jan.orel@gooddata.com>
	* fixes #3256 - include members in usergroup show

2013-10-24	Lukas Zapletal <lzap+git@redhat.com>
	* refs #2792 - Adding comments to pxe templates

2013-10-24	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3267 - API v1 compatibility for /api/hosts
	* fixes #3140 continue - apipie params fix

2013-10-24	Marek Hulan <mhulan@redhat.com>
	* Fixes #3350 - Adds title on login page

2013-10-24	Amos Benari <abenari@redhat.com>
	* fixes #3279 roles edit page is long and missing a filter

2013-10-24	Ohad Levy <ohadlevy@gmail.com>
	* refs #2967 fact deleted counters did not propagate correctly.
	* [REFACTOR] fixes #2967 - refactored Fact Importer

2013-10-24	Martin Matuska <martin@matuska.org>
	* fixes #3364 Add option to disable automatc host creation when a report is received

2013-10-22	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3266 - ensures there are no duplicate notifications

2013-10-22	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3138 - move CR library loading into initializers, only show available providers

2013-10-21	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3140 - API to allow importing of puppet classes

2013-10-21	Amos Benari <abenari@redhat.com>
	* fixes #3274 moved config template to the new two-pane and add full screen editing

2013-10-21	Ohad Levy <ohadlevy@gmail.com>
	* Changed the on content load direct method call to event

2013-10-18	Dominic Cleal <dcleal@redhat.com>
	* fixes #3369 - pin rubyzip to < 1.0.0 for Ruby 1.8
	* fixes #2895 - apply updates to environments on puppet class import

2013-10-18	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3293 add FactoryGirl to tests

2013-10-18	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3239 - pxelinux spoofing on postgres now works

2013-10-18	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2818 - validation of OS families in ptables

2013-10-17	Dominic Cleal <dcleal@redhat.com>
	* rake console

2013-10-17	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #3122: 'column reference id is ambiguous' no longer appears on dashboard and report screens

2013-10-16	hhenkel <henning@henkel.cx>
	* fixes #3277 - host search link now quotes taxonomy name

2013-10-16	Martin Matuska <martin@matuska.org>
	* fixes #2093 - list VMs in every VMware folder

2013-10-16	Jan Pazdziora <jpazdziora@redhat.com>
	* The form-vertical class is not defined nor styled anywhere.

2013-10-16	Dominic Cleal <dcleal@redhat.com>
	* fixes #3270 - load subnets for the domain associated with each NIC

2013-10-15	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3269 - fact import rake task fails with arity error
	* fixes #3250: cron tasks in rpm install of foreman use foreman-rake

2013-10-15	hhenkel <henning@henkel.cx>
	* fixes #3212 - disable constraint checks for mysql databases during db:prod2dev

2013-10-15	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3243 non-required/Slow SQL queries on host show page

2013-10-15	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3249 - change regex syntax from start/end of line to start/end of string
	* fixes #3248 - missing N_() on validation messages
	* fixes #2741 - rails 3 syntax
	* fixes #2741 - remove dash from -%> to %>

2013-10-15	Amos Benari <abenari@redhat.com>
	* refs #3254 - Using the two-pane layout in some pages.
	* fixes #3254 - Added support for unobtrusive two pane control

2013-10-14	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3241 - default password is now MD5

2013-10-10	Martin Matuska <martin.matuska@axelspringer.de>
	* fixes #3136 - host cloning should auto-suggest a new IP address

2013-10-10	Tomas Strachota <tstrachota@redhat.com>
	* fixes #3170 - dash separated mac address notation

2013-10-09	Aaron Stone <aaron@serendipity.cx>
	* fixes #3222 - nil the certname when handling certs if UUID certs have now been disabled

2013-10-08	Sam Kottler <shk@redhat.com>
	* Fixes #2875: only show URL and description for a CR if they exist

2013-10-08	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3111 - v2 API calls to /api/[class]/[object]/parameters/[parameter] return wrong object
	* fixes #3206 - prevent any user including admin from creating lookup_value with fdqn= or hostgroup= if host/hostgroup does not exist

2013-10-08	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3218 - Remove Double calls to CR provider when creating a new host.

2013-10-08	Martin Matuska <martin.matuska@axelspringer.de>
	* fixes #3134 - disable vSphere fields on host edit, fix clone behavior

2013-10-07	Joseph Magen <joseph@isratrade.co.il>
	* fixes #3190 - Fix STI auditable_type - Audit should say updated Location/Organization rather than updated Taxonomy and ComputeResource should not use STI class

2013-10-07	Ohad Levy <ohadlevy@gmail.com>
	* fixes #3207 avoid extra validation calls when importing a report

2013-10-07	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3048 - Non Admin user fails to override parameters when creating new host

2013-10-07	Dominic Cleal <dcleal@redhat.com>
	* fixes #3160 - sanitize host/host group names in lookup_value associations (CVE-2013-4386)

2013-10-04	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3202 - PG constraints deferred and change destroy_all to delete_all

2013-10-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #2756 - update setting descriptions at startup
	* fixes #3133 - fix security group filtering when no groups need filtering

2013-10-02	Tomas Strachota <tstrachota@redhat.com>
	* fixes #3180 - displaying array values in settings ui correctly

2013-10-02	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #3177: a 'G' suffix is automatically appended to libvirt volume capacity value if none was specified

2013-10-01	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2986 - remove #show method from controllers and routes.rb when not used

2013-09-30	Luke Alford <luke.alford@tstllc.net>
	* fixes #3106 - consistent sorting of common parameters by name

2013-09-30	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2981 - adding plugins repo to foreman-release
	* fixes #3147 - added httpd logs into foreman-debug
	* fixes #3142 - update ancestry due to dependency issue in f19
	* fixes #3167 - downgrade gettext_i18n_rails for gettext / 1.8 compat

2013-09-30	Dominic Cleal <dcleal@redhat.com>
	* Bump release, part of 18722e769927f406d813fec1aed1b2d7c7f3b6a1

2013-09-30	Hannes Schaller <admin@cyberkov.at>
	* fixes #2975 added setting for using the shortname instead of FQDN for new virtual machines

2013-09-30	Romain Vrignaud <rvrignaud@gmail.com>
	* Fixes #3168 Add FreeBSD logo in host list

2013-09-30	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3165 - /api/fact_values route missing from v2 API

2013-09-27	Florian Ernst <fe@LF.net>
	* Fixes #2244: avoid constantly changing os.release_name

2013-09-27	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* refs #3141 - added tests around Foreman
	* fixes #3129: NoMethodError is no longer being raised when determining the value of a property

2013-09-27	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #3144 Remove user_id and inherited_from

2013-09-27	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3128 - add json format back to images_controller

2013-09-25	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3139 - duplicate Organization tabs for Organization#edit
	* fixes #3091 - strip leading and trailing whitespace before_save on names of all objects

2013-09-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #1244 - add smart proxy feature refresh link + API call

2013-09-25	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #3141: SmartPrpxyAuth no longer calls #render_403 method defined in ApplicationController

2013-09-23	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2810 - more restful API v2 JSON responses in puppetclasses

2013-09-20	Tomas Strachota <tstrachota@redhat.com>
	* fixes #3120 - bumped version of apipie-rails
	* fixes #3101 - list available images for CRs, add iam_role field to images API

2013-09-20	Greg Sutcliffe <greg.sutcliffe@gmail.com>
	* Fixes #3130 - Use the standard CentOS mirror

2013-09-20	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #3077 - locale was set to last language by default

2013-09-20	Martin Matuska <martin@matuska.org>
	* fixes #3123 vSphere VM info misses MAC address and displays memory in bytes

2013-09-19	Joseph Mitchell Magen <jmagen@redhat.com>
	* Fixes #2984 - API v1/v2 StatisticsController and remove JSON from UI controller

2013-09-19	Martin Matuska <martin@matuska.org>
	* fixes #3116 - add NIC selection for vSphere: E1000 and VMXNET 3

2013-09-18	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3089 - Updating settings causes settings page to load again within the page
	* fixes #3095 - for new trend, disable input of trend_name if not FactTrend

2013-09-18	Martin Matuska <martin@matuska.org>
	* fixes #3110 Association of vSphere VMs fails
	* fixes #3072 Vmware: error listing VMs

2013-09-17	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3094 - reports search includes hostgroup and hostgroup_fullname

2013-09-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #2764 - settings defined in settings.yaml file are now read-only

2013-09-17	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3093 - invalid data for a subnet address or mask returns "is invalid and is invalid"
	* fixes #3097 - foreign key error on deleting trend

2013-09-17	Marek Hulan <mhulan@redhat.com>
	* Fixes #2586 - Revert "Refs #2002 - Fog quick hack"

2013-09-16	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #3090 - new puppetclass creation fails when adding smart variable
	* fixes #3071 - OS edit failed on foreign keys since config_template_id was '0' on blank

2013-09-16	Martin Matuska <martin@matuska.org>
	* fixes #3088 - Add checkbox to select thin or thick provision for vSphere volumes

2013-09-14	snobear <jashby2@gmail.com>
	* fixes #3087 - fix space before parenthesis warning

2013-09-12	Lukas Zapletal <lzap+git@redhat.com>
	* Bump version to 1.3-develop
	* removing PO merge from commit when doing locale:find

2013-09-12	Dominic Cleal <dcleal@redhat.com>
	* i18n - extracting new, updating rails, pulling from tx

2013-09-12	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3064 - links to nested hostgroups use hostgroup_fullname

2013-09-11	Marek Hulan <mhulan@redhat.com>
	* Fixes #3043 - Support Signo on API level using BasicAuth

2013-09-11	Dominic Cleal <dcleal@redhat.com>
	* refs #2400 - add foreigner/immigrant dependencies to spec file

2013-09-11	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2272 continuation - NameError: undefined local variable or method postgresql_version for ConnectionAdapters
	* fixes #2400 continuation - match all host STI classes when finding orphaned records
	* Fixes #2272 - added Capybara integration tests, but without javascripts tests

2013-09-10	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2400 migration to remove orphaned records and add foreign keys constraints to database tables
	* fixes #3052 - reports#show json rabl template to match as_json output that was removed
	* fixes #2985 - remove #as_json method from AR models since rabl views used for API
	* fixes #2969 - remove all legacy api code in UI controllers, add deprecation response

2013-09-10	Lukas Zapletal <lzap+git@redhat.com>
	* fixing transifex domain in .tx/config and scripts
	* i18n - fixing malformed strings

2013-09-10	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2179 - validate the owner type, preventing the API returning errors for a wrong owner_type

2013-09-09	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2942 - plugin i18n support

2013-09-09	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3059 - new mail rake task sends foreman reports to each user
	* fixes #3051 - Adds rake task to import puppet environments

2013-09-09	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2989 - missing fields in host API output (API v1 and v2)

2013-09-09	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2260 Allow ERB in ENC global / class parameters
	* Fixes #1848 - Link non-zero report summaries to the equivalent report search

2013-09-09	Jeremy Kitchen <jeremy@nationbuilder.com>
	* fixes #2944 - nic type selection for libvirt

2013-09-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #2996 - VM show screen syntax error on ruby 1.8

2013-09-08	Romain Vrignaud <romain@yakaz.com>
	* fixes #1719 - Add support for GCE(Google Compute Engine)

2013-09-08	Daniel Lobato <elobatocs@gmail.com>
	* fixes #1853 - Users now have a new filter to subscribe to new hostgroups

2013-09-07	Daniel Lobato <elobatocs@gmail.com>
	* fixes #3046 - add NIC CRUD, power and boot operations API

2013-09-07	Jason Montleon <jmontleo@redhat.com>
	* fixes #2288 - Add oVirt/RHEV Quota Support

2013-09-07	Mark O'Shea <mark.oshea@fieldaware.com>
	* fixes #1871, #1879 - add VPC support to EC2 compute resource

2013-09-06	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3045 - Skip empty log arrays

2013-09-06	Jason Montleon <jmontleo@redhat.com>
	* fixes #1923 - matches vms on a compute resource to hosts

2013-09-05	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #3030 - require facter where necessary
	* Fixes #2414 - Move puppet report processing code to the report processor

2013-09-05	Lukas Zapletal <lzap+git@redhat.com>
	* syncing with upstream community-templates

2013-09-03	Marek Hulan <mhulan@redhat.com>
	* fixes #2863 - restrict APIs to resources that a user is permitted to manage (CVE-2013-4182)
	* fixes #2860 - don't convert arbitrary input into symbols (CVE-2013-4180)

2013-09-02	Ewoud Kohl van Wijngaarden <e.kohlvanwijngaarden@oxilion.nl>
	* fixes #3010 - use the correct helper function name

2013-09-02	Andy Bohne <bohne.andrew@pennmutual.com>
	* Fixes #2758 - Reset key_type when importing parameter defaults

2013-09-02	Jeremy Kitchen <jeremy@nationbuilder.com>
	* fixes #1745 - make puppetmaster hostname/domain stripping behaviour configurable

2013-09-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #3005 - restrict gettext to Ruby 1.8 compatible version

2013-08-29	Greg Sutcliffe <gsutclif@redhat.com>
	* Refs #2414 - Remove Puppet from facts API and Settings

2013-08-29	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2932 - add find_by_fullname for Operatingsystem
	* fixes #2945 correction - has_and_belongs_to_many defined twice
	* fixed #2970 - modified inflections.rb to handle 'Puppetclass'.singularize and classify

2013-08-29	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2988 - merge authentication code, enables REMOTE_USER auth on new API controllers
	* fixes #2891 Openstack power control operations support

2013-08-23	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2877: deletion of the organization or location in the context no longer breaks the session

2013-08-23	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2945 - extend AR to add getter/setters *_name(s) for has_many/belongs_to associations

2013-08-21	Ash Caire <ash.caire@gmail.com>
	* fixes #2431 - handle fact uploads where host is missing $fqdn

2013-08-19	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2933 - add missing fields to installation media API

2013-08-19	Sam Kottler <shk@redhat.com>
	* Fixes #2540: bump fog version to 1.15.0

2013-08-15	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2910 - renamed *.erb extensions to *.html.erb

2013-08-15	Nils Domrose <github@domrose.net>
	* fixes #863 - added ldap_filter to LDAP auth sources to filter lookups using RFC 2254 filters

2013-08-15	Dominic Cleal <dcleal@redhat.com>
	* refresh locales
	* i18n - add zh_CN language

2013-08-13	Daniel Lobato <elobatocs@gmail.com>
	* Fixes #2169 Openstack uses tenants

2013-08-13	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2721 - Allow use of spice for libvirt via checkbox per-CR Fixes #1711 - Add a per-CR checkbox for console passwords

2013-08-13	Sam Kottler <shk@redhat.com>
	* Fixes #2833: remove direct endpoints from Rackspace compute resource
	* Fixes #2832: remove deprecated fog API and rackspace endpoint

2013-08-13	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2869 - refactor method find_nested_obj into API
	* fixes #2424 - encrypts compute resource password
	* fixes #2424 - add Encryptable module and encryption_key generation
	* fixes #2898 - missing API v2 nested routes for config_templates/:id/locations & organizations

2013-08-12	Bernard McKeever <dregin@gmail.com>
	* Fixes #2909: improve language on the welcome page around facts

2013-08-07	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2871 - params search works with nested hostgroups

2013-08-06	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2829 - remove environment field from hosts table

2013-08-06	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2501 - Allow my_hosts scope to include all subclasses of Host

2013-08-05	Sam Kottler <shk@redhat.com>
	* Fixes #2867: use the future relative tense for the orchestration process during provisioning

2013-08-04	Amos Benari <abenari@redhat.com>
	* fixes #2766 Setting categories not consistently loaded and shown in dev

2013-08-02	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2872 - default password not listed in debug script

2013-08-02	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2830 - upgrade rails version to 3.2.14

2013-07-30	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2838 - taxonomies controller - fix in params and finder

2013-07-30	Amos Benari <abenari@redhat.com>
	* added a HTML id to the operating system ui tab

2013-07-29	Dominic Cleal <dcleal@redhat.com>
	* fixes #2851 - refresh puppet classes on environment change

2013-07-29	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2788 - changes to fixtures and tests in preparation for testing adding/removing puppetclasses
	* fixes #2788 - adding / removing puppet classes updates the change even if the form is not submitted

2013-07-29	Amos Benari <abenari@redhat.com>
	* fixes #2837 add an interface to add repositories to kickstart, cleanup similar methods

2013-07-26	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2576 - Add optional update of Host.ip from built request

2013-07-26	Ian Mordey <ian.mordey@wandisco.com>
	* Fixes #2839 - retry SSH authentication issues with cloud-init

2013-07-26	Marek Hulan <mhulan@redhat.com>
	* Fixes #2821 - Autoload paths, PowerManager children must be in namespace in order to autoload

2013-07-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #2693 - don't cause handle_ca error when no Puppet CA associated with host

2013-07-24	Jason Montleon <jmontleo@redhat.com>
	* fixes #2809 - send host subject as xpi opt to prevent ssl connect errors

2013-07-24	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2813 - move Foreman
	* fixes #2801 - remove LOWER() in default_scope of models that could cause PG error

2013-07-24	Sam Kottler <shk@redhat.com>
	* Fixes #2826: only run set_code() on submit if the config template editor is already in diff mode

2013-07-24	Gavin McCance <gmccance@gmail.com>
	* fixes #2825 - Gravatar URL for email addresses with uppercases

2013-07-23	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2757 - show model validation errors in production.log
	* Fixes #2817 - wrong param types in lookup keys API documentation

2013-07-22	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2812 - method lookup_values_attributes= not defined in Host

2013-07-22	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2814 - fixing foreman-debug warning message

2013-07-22	Dominic Cleal <dcleal@redhat.com>
	* fixes #2684 - add foreman-rake script to /usr/sbin

2013-07-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #2373 - only reference unattended subnet path when in unattended mode

2013-07-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #2808 - pin nokogiri to 1.5.x for Ruby 1.8

2013-07-19	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2741 - remove unnecessary require statements
	* fixes #2741 - Minitest refactoring
	* fixes #2740 - copy code from lib/foreman.rb to initializers/foreman.rb
	* fixes #2739 - add ActiveSupport
	* fixes #2411 - move lib/audit_extensions lib/fog_extensions lib/foreman to models/concerns
	* fixes #2411 - move files to /app/services
	* fixes #2411 - move to controller/concerns
	* fixes #2411 - move STI models in /models and /lib/foreman/models to sub-folders
	* fixes #2411 - move files in /models to /concerns, /services, /mailers, /observers
	* fixes #2411 - add autoload_paths in application.rb in preparation for file location changes
	* fixes #2779 - permission problem with non-admin adding puppetclasses to hosts and hostgroups

2013-07-19	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2795 - adding thread dump via -TTIN signal

2013-07-19	Sam Kottler <shk@redhat.com>
	* fixes #2797 - Submit the final code, not the diff in the config template editor

2013-07-18	Andy Bohne <bohne.andrew@pennmutual.com>
	* fixes #1770 - Refactored rdeckfacts definition to use facts_hash

2013-07-18	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2803 - apipie docs, rabl definition matches conventions

2013-07-17	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2142 add Smart Parameters and Smart Class Parameters to API v2
	* remove incorrect documentation in API v1 lookup_keys_controller
	* fixes #2791 - ptable api was missing :layout and :os_family

2013-07-17	Dominic Cleal <dcleal@redhat.com>
	* refresh locales

2013-07-17	Michael Moll <kvedulv@kvedulv.de>
	* minor correction after d47dfa9c35

2013-07-17	Amos Benari <abenari@redhat.com>
	* fixes #2802 controller methods fail for name-spaced controllers

2013-07-17	Sam Kottler <shk@redhat.com>
	* Make the language in the LDAP auth edit more generic

2013-07-15	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2782 - LDAP password overwritten as blank

2013-07-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #2780 - Enhance puppet classes assignment

2013-07-14	Amos Benari <abenari@redhat.com>
	* fixes #2772 cloning locations and organizations is broken

2013-07-14	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2784 - missing </tr> causing verbose test output

2013-07-06	Dominic Cleal <dcleal@redhat.com>
	* fixes #2747 - scoped search lambda takes one argument

2013-07-05	Sam Kottler <shk@redhat.com>
	* Remove some unnecessary variables from the hostgroups functional test

2013-07-05	Nacho Barrientos <nacho.barrientos@cern.ch>
	* fixes #1963 - prevent host creation when facts are uploaded via new setting

2013-07-05	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2751 - Remote addr can support several load balancers

2013-07-03	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2743 - adding foreman_api to non-scl comps

2013-07-02	Dominic Cleal <dcleal@redhat.com>
	* refresh locales
	* i18n - adding gl language

2013-07-02	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2733 - typo Host group instead of Host Group
	* fixes #2734 - wrong taxonomy scope on hostgroup and host form
	* fixes #2732 - 404 error Location Not Found on Mismatches Report if a location is selected

2013-07-01	Amos Benari <abenari@redhat.com>
	* fixes #2665 - search on click in dashboard pie chart
	* fixes #2731 - add color legend to the dashboard

2013-07-01	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2707 - host save fails for non-admin if host has a BMC interface
	* fixes #2713 - do not update nics table on every host update as a workaround to bug #2489
	* fixes #2728 - POST /api/hostgroups does not accept ancestry

2013-07-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #2727 - fix oVirt test connection method definition

2013-06-28	Amos Benari <abenari@redhat.com>
	* part of a fix to #2716 error in discovery plugin menu and user without provisioning permissions the other part is a fix to the discovery plugin.

2013-06-28	Greg Sutcliffe <greg.sutcliffe@gmail.com>
	* Fixes #2712 - Handle Net

2013-06-28	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2645 - non-admin users can now create smart variables

2013-06-28	Sam Kottler <shk@redhat.com>
	* fixes #2724 - use __method__ instead of static method names in SSO

2013-06-28	Marek Hulan <mhulan@redhat.com>
	* Fixes #2722 - Support for crossdomain auth

2013-06-26	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2710 - removed a superfluous os name check that was tripping up safemode.

2013-06-25	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2317 - VM's with the name foreman_########

2013-06-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #2701 - require correct minitest file

2013-06-24	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2404 - prevents 404 when updating invalid name used as id
	* fixes #2690 - undefined method gsub! for nil:NilClass on fact import
	* fixes #2697 again - HostMailer typo and .deliver

2013-06-24	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2695: Updated fedora and ubuntu mirror urls

2013-06-23	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2697 - HostMailer summary is broken (cherry picked from commit 8e851ef524a3348c1587e53e3c2da616fdbe1fdc)

2013-06-21	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2655 - Display Host buttons on unmanaged hosts if a puppet proxy exists

2013-06-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #2686 - use setting model's string parser to update values (cherry picked from commit 5d9073bba52b502b08b8b67b7f546eb4d481e5c1)

2013-06-20	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2489 - fixes BMC password caused by rails bug accepts_nested_attributes_for and serialized child field
	* fixes #2484 - host, hostgroup, and BMC passwords were overwritten as blank

2013-06-20	Ivan Necas <inecas@redhat.com>
	* fixes #2685 incorrect and inefficient regexp checking medium name format

2013-06-19	Amos Benari <abenari@redhat.com>
	* fixes #2679 pie get error when the label is too long
	* fixes #2669 username first name and last name doesn't accept i18n characters
	* fixes #2639 After creating user with empty e-mail it becomes impossible to add it.
	* fixes #2656 error connecting to vsphere after upgrade to ruby 1.9.3

2013-06-19	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2610 - fixed the boot device order for oVirt VMs created in Foreman

2013-06-19	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2674 - Add tmpdfiles.d configuration for systemd to rpm spec

2013-06-19	Dominic Cleal <dcleal@redhat.com>
	* fixes #2612 - move Task into Orchestration namespace due to RbVmomi conflict

2013-06-18	Amos Benari <abenari@redhat.com>
	* fixes #2646 Asset icon URLs are incorrect when under a different base URL

2013-06-18	Lukas Zapletal <lzap+git@redhat.com>
	* helper script to show dependencies nicely

2013-06-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #2670 - fix apostrophe quoting issue (cherry picked from commit 4298bd841c3fb2b3f639f06d4cbbb3901f56ec06)
	* refs #2650 - fix minitest version
	* fixes #2649 - asset dependency versions, missing test dependencies

2013-06-17	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2650 - adding minitest dependency for console
	* fixes #2649 - adding missing devel deps

2013-06-17	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2667 - Don't save during process_hostgroup

2013-06-14	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2583 - error message is now properly i18n-ed

2013-06-14	Amos Benari <abenari@redhat.com>
	* fixes #2663 javascript errors on the host form

2013-06-14	Marek Hulan <mhulan@redhat.com>
	* Fixes #2640 - use relative user logout path

2013-06-13	Marek Hulan <mhulan@redhat.com>
	* Fixes #2619 - don't display full output from proxy

2013-06-13	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2657 - Use twitter-bootstrap-rails version 2.2.6

2013-06-12	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2564, #2658 - apipie requirement bumped

2013-06-12	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2334 - location matcher doesn't match on smart parameters

2013-06-12	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2660 - settings, improve tests and fixes
	* fixes #2343 - override default settings with custom values

2013-06-12	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2644 - Refactor Host find_by_name to use several ways to find a host, and refactor my_hosts scope to Host
	* Fixes #2643 - Check for operatingsystem before orchestrating TFTP
	* Fixes #2642 - Display build button if host type has changed
	* Fixes #2641 - Add type_changed check to JS to allow form to refresh when provisioning a discovered host

2013-06-11	Amos Benari <abenari@redhat.com>
	* fixes #2636 host submit missing progress-bar when installed at sub-domain

2013-06-11	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2596 - bumping up gettext-i18n-rails gem version to 0.10.0

2013-06-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #2633 - enable generate_token rake task to run from elsewhere

2013-06-10	Antony Perigault <antony.perigault@1000mercis.com>
	* Use facts[:operatingsystemrelease] to determined gentoo release

2013-06-10	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2622 - error messages with HTML properly escaped

2013-06-10	Amos Benari <abenari@redhat.com>
	* fixes #1938 Foreman shouldn't use the FQDN fact to identify the node when facts are uploaded

2013-06-07	Marek Hulan <mhulan@redhat.com>
	* Fixes #2632 - extract strings from validation errors
	* fixes #2630 - restrict assignment of roles to those a user has (CVE-2013-2113)

2013-06-07	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2631 - fix remote code execution via controller name (CVE-2013-2121)

2013-06-07	Dominic Cleal <dcleal@redhat.com>
	* fixes #2627 - depend on libvirt, not virt, add missing comps entries

2013-06-07	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* Fixes #2038 - updated config and partition table templates using ones from the community repository

2013-06-06	Amos Benari <abenari@redhat.com>
	* reload multy-select js
	* fixes #2296 Hostgroup subnet field was not enabled after selecting domain
	* fixes #2621 search box and search button alignment on firefox.

2013-06-06	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2625 - hostgroup nest and clone methods
	* fixes #2616 - Hostgroup fields not populating when parent fields are selected
	* re-fixes #2549 - default location bug was introduced in commit 66afbc33 that is fixed
	* fixes #2386 - permission failure on create_lookup_value
	* fixes #2623 - trends link was broken

2013-06-06	Sam Kottler <shk@redhat.com>
	* Merge remote-tracking branch 'domcleal/2608-comps-passenger' into develop

2013-06-06	Dominic Cleal <dcleal@redhat.com>
	* i18n - adding fr, en_GB languages
	* fixes #2608 - add passenger, selinux to comps

2013-06-06	Marek Hulan <mhulan@redhat.com>
	* Fixes #2615 - failed to save host group

2013-06-05	Amos Benari <abenari@redhat.com>
	* fixes #2617 Can't edit a host once it's created

2013-06-05	Mikael Fridh <frimik@gmail.com>
	* fixes #2599 - Bulk-selectable environments & puppet classes import

2013-06-05	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2558 - foreman-debug script in /usr/sbin

2013-06-05	Libor Zoubek <lzoubek@jezzovo.net>
	* fixes #2607 - add autocomplete=false attribute to root_host_pass input x

2013-06-05	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2285 - subnet validation - length of addresses, strip whitespace and fix common typos

2013-06-04	Amos Benari <abenari@redhat.com>
	* fixes #2570 'New Window' button on HTML5 spice client page does not work
	* fixes #2594 missing progress indicator on compute resource selection
	* fixes #2606 fix display of compute resource errors
	* fixed #2534 fixes #2495 paginator has i18n issues
	* fixes #2604 searching for hosts with digits can lead to unexpected results

2013-06-04	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2565 - new / edit host ajax call create nested forms

2013-06-03	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2602 - scoped_search error when using postgresql

2013-06-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #2603 - handle missing compute_resources param loading VM tab

2013-06-03	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2541 - multiple host checkbox selections clears when moving to next page
	* fixes #2545 - EC2 instance does not show EC2 related options in Edit page.

2013-06-01	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2590 - bookmarks modal form is now working

2013-06-01	Ohad Levy <ohadlevy@gmail.com>
	* fixes #1951 - support for libvirt named networks

2013-05-31	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2588 - fixed regression introduced earlier: localization works for non-AR classes too now

2013-05-30	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2588 - table name used for localization is being determined correctly now for sti classes.

2013-05-30	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2587 - migration to increase varchar length of media.name and other string fields
	* fixes #2549, fixes #2544 - new host organization and location should default to current context if it exists

2013-05-30	Ryan Davies <ryan@ryandavies.co.nz>
	* fixes #2562 libvirt domain listen address, add libvirt_default_console_address setting

2013-05-29	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2538 - hostgroup provisioning falls back to root_pass setting
	* fixes #2493 Unable to load audit, underlying cause No such file to load -- audit
	* fixes #2539 - added API puppetrun access permission and test
	* fixes #2335 - update puppetclass redirects to referrer page

2013-05-29	Arnoud de Jonge <arnoud.dejonge@nxs.nl>
	* fixes #2539 - puppetrun API added.

2013-05-29	Daniel Lobato <elobatocs@gmail.com>
	* Avoid inheriting from Puppet

2013-05-29	Dominic Cleal <dcleal@redhat.com>
	* fixes #2579 - explicitly list field name, workaround rails #5990

2013-05-29	Marek Hulan <mhulan@redhat.com>
	* Refs #2002 - Fog quick hack

2013-05-29	Sam Kottler <shk@redhat.com>
	* Fixes #2584: Remove rubygem-virt from comps
	* Merge remote-tracking branch 'domcleal/rpms' into develop

2013-05-29	Amos Benari <abenari@redhat.com>
	* fixes #2582 indicators for all.

2013-05-29	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #2581 - missing buildrequire gettext

2013-05-28	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2519 - Protect locale changes from validation failure so that password validation can be run

2013-05-28	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2542 - sort image listing with datatables

2013-05-28	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2536 - loading locale .mo files in production mode

2013-05-28	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2563 - fallback user image has wrong path

2013-05-28	Dominic Cleal <dcleal@redhat.com>
	* fixes #2567 - handle backtraces correctly in compute orchestration errors
	* fixes #2555, #2560 - add foreman-release and MySQL gems to comps
	* fixes #2106, #2123, #2561 - sign RPMs, rename -ec2 to -compute, fix foreman.repo URLs
	* fixes #2573 - refresh Fedora 18 comps, don't force SCL

2013-05-28	Marek Hulan <mhulan@redhat.com>
	* Fixes #2571 - Deleted admin is recreated

2013-05-24	Ivan Necas <inecas@redhat.com>
	* fixes #2553 let setting admin attribute on user creation

2013-05-23	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2325 No A record created in domain when provisioning image based vm
	* fixes #2551 new host image not always visible under openstack

2013-05-23	Ivan Necas <inecas@redhat.com>
	* fixes #2525 - apipie documentation of actions defined in a concern

2013-05-23	Marek Hulan <mhulan@redhat.com>
	* Fixes #2502 - session expiration updates

2013-05-23	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2546 - audit details error - undefined method 'map' for string
	* fixes #2537 - audit details on deleted host fail

2013-05-23	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2372 - Strip non-digit characters from non-numeric OS versions

2013-05-23	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2550 Puppetclass search_by_host doesn't return all classes for an unknown host

2013-05-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #2548 - add non-SCL dependencies to comps for publishing

2013-05-22	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2509, fixes #2507: few issues around Host

2013-05-22	Mikael Fridh <frimik@gmail.com>
	* fixes #2130 - normalize_hostname appends domainname to fqdn

2013-05-22	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2440 remove unused files, code, unnecessary require statements
	* fixes #2197 - form fields for new host are scoped by location and organization on load
	* fixes #2484 - host and hostgroup root passwords are not saving
	* fixes #2485 - updated_at = NULL

2013-05-22	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2499 Add os_minor and os_major autocomplete

2013-05-22	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2497 - Join to the fact_values table when a user fact-filter is applied

2013-05-22	Tomas Strachota <tstrachota@redhat.com>
	* Fixes #2513 - orgs created in katello do not appear in org filtering

2013-05-22	Ohad Levy <ohadlevy@gmail.com>
	* Revert "fixes #2484 - host and hostgroup root passwords are not saving"

2013-05-22	Amos Benari <abenari@redhat.com>
	* fixes #2522 dashboard events table should not have a border and is too long
	* fixes #2316 Adding a disk to an existing RHEV 3.1 VM via Foreman results in an error

2013-05-22	Marek Hulan <mhulan@redhat.com>
	* Fixes #2458 - Directory structure precreated

2013-05-21	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2516 - dbmigrate changes for SCL

2013-05-21	Amos Benari <abenari@redhat.com>
	* fixes #2526 Favicon only shows up if foreman is deployed in the root context
	* fixes #2511 Footer should be replaced with an about page

2013-05-21	Dominic Cleal <dcleal@redhat.com>
	* refresh locales
	* Bump version to 1.2-develop
	* fixes #2491, fixes #2487 - i18n issues

2013-05-19	Dominic Cleal <dcleal@redhat.com>
	* RPM packaging fixes

2013-05-17	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2498 FactNames are not precreated

2013-05-14	Sam Kottler <shk@redhat.com>
	* Updated the spec for packaging Foreman on top of a Ruby 1.9.3 software collection

2013-05-13	Ivan Necas <inecas@redhat.com>
	* fixes #2492 Fallback to assets pipeline if a precompiled asset is missed in production

2013-05-13	Stef Telford <stef@ummon.com>
	* fixes #2490 - filter empty EC2 security groups

2013-05-13	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2481 - invalid state in BMC power dropdown

2013-05-12	Amos Benari <abenari@redhat.com>
	* fixes #2488 - hosts/<fqdn>/lookupkeys/<key-id> api is broken
	* fixes #2396 Popups show escaped HTML
	* fixes #2478 - smart-variable in ENC stopped working

2013-05-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #2453 - fix aggressive truncation of hostgroups < 26 chars
	* fixes #2486 - ensure facts import is idempotent when values are unchanged

2013-05-12	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2480 - undefined method `html_raw'

2013-05-12	Tomas Strachota <tstrachota@redhat.com>
	* fixes #2246 deleting an environment also deletes associated templates

2013-05-12	Marek Hulan <mhulan@redhat.com>
	* Fixes #2476 - precompile and include textmate theme

2013-05-09	Antony Perigault <antony.perigault@1000mercis.com>
	* Add Gentoo operating system

2013-05-09	Marek Hulan <mhulan@redhat.com>
	* Fixes #2460 - session expiration fix for SSO

2013-05-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #2281 - don't allow admin flag to be removed from admin account
	* refresh locales
	* remove test translations
	* gettext_i18n_rails_js shouldn't be required in prod setups to run rake tasks
	* fixes #2420 - extract strings for i18n from JavaScript, various i18n fixes
	* fixes #2426 - translate model and column names to English

2013-05-09	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2444 - locale selector in user account
	* fixes #2401 - cannot create new admin user

2013-05-09	Amos Benari <abenari@redhat.com>
	* refs #2132 - fixes ajax on puppetclass update, and some typos.
	* fixes #2220 - Suport hostgroup puppet classes parameters inheritance.
	* fixes #2132 Smart Variables in hostgroup. 1. Show smart variables in hostgroup view. 2. Added the GUI to override smart variables values in host group.

2013-05-09	Og B. Maciel <ogmaciel@gnome.org>
	* Changed validation text s/must be downcase/must be lowercase.

2013-05-09	Ohad Levy <ohadlevy@gmail.com>
	* fixed #2474 - Foreman Exceptions are not initalized correctly

2013-05-09	Daniel Lobato <elobatocs@gmail.com>
	* fixes #426 expose BMC information in foreman UI

2013-05-09	Joseph Mitchell Magen <jmagen@redhat.com>
	* refs #2400 clean up tests so there are no orphaned foreign keys
	* fixes #2422 Rails 3.2: before_destroy / dependent => :destroy ordering
	* fixes #2421 added missing has_many :hostgroups and missing :dependent => destroy

2013-05-09	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2461 - Allow user to not have a puppet proxy
	* Fixes #2459 - Create ProxyFeature methods from symbol name, lookup on real text

2013-05-08	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2475 - search hosts based on comments

2013-05-08	Dominic Cleal <dcleal@redhat.com>
	* fixes translator comment

2013-05-08	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2406 - add recent report summary to dashboard latest events box

2013-05-07	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2472 - prevent duplicate users from hostgroup ancestors

2013-05-07	Sam Kottler <sam@kottlerdevelopment.com>
	* Added core runtime packages to the RHEL6 comp

2013-05-07	Dominic Cleal <dcleal@redhat.com>
	* fixes #2463 - update permissions to follow controller move
	* fixes #2432 - use absolute controller path for navbar links

2013-05-07	Ewoud Kohl van Wijngaarden <e.kohlvanwijngaarden@oxilion.nl>
	* Typo fix

2013-05-07	Lukas Zapletal <lzap+git@redhat.com>
	* fixing transifex parse error
	* fixes #2434 - foreman-debug script
	* removing ruby-debug from development group

2013-05-07	Andy Taylor <andy.taylor@sift.com>
	* Fixes #2265 - Broken hosts_and_facts detection

2013-05-07	Ivan Necas <inecas@redhat.com>
	* Fixes #2454 - Fix loading settings in production

2013-05-06	Dominic Cleal <dcleal@redhat.com>
	* fixes #2463 - move test files to follow controller move

2013-05-06	Sam Kottler <sam@kottlerdevelopment.com>
	* Added additional DB packages

2013-05-06	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2463 fixed nested puppetca and autosign controllers
	* fixes #2393 - Couple of models broken with audited 3.0.0

2013-05-06	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2455 hostgroup not saving

2013-05-05	Dominic Cleal <dcleal@redhat.com>
	* fixes #2452 - allow nil form, used for checkboxes in taxonomies wizard

2013-05-03	Michael Moll <kvedulv@kvedulv.de>
	* add SLES and SLED to Suse family

2013-05-03	Dominic Cleal <dcleal@redhat.com>
	* Fix tests misusing assert and assignment vs. comparison

2013-05-03	Amos Benari <abenari@redhat.com>
	* intruducing color variable and mixin in the scss files

2013-05-03	Greg Sutcliffe <gsutclif@redhat.com>
	* Fix finder_needs_type check in sti mixin

2013-05-01	Amos Benari <abenari@redhat.com>
	* fixes #2450 - cookie name based on pathname to be able to reuse the js in other pages
	* fixes #2361 do not reset password on test connection.

2013-05-01	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2361 empty password does not invalidate compute resource

2013-05-01	Ohad Levy <ohadlevy@gmail.com>
	* fixes UI errors in trend pages

2013-04-30	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2378 - added Minitest and other code cleanups

2013-04-30	Sam Kottler <shk@redhat.com>
	* Added even more dependencies to the RHEL6 comp

2013-04-30	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2439 - Add true to respond_to? calls for initialize_puppetca

2013-04-30	Amos Benari <abenari@redhat.com>
	* fixes #2441

2013-04-29	Amos Benari <abenari@redhat.com>
	* new top-bar navigation design and a new login page

2013-04-29	Sam Kottler <sam@kottlerdevelopment.com>
	* Added a lot more dependencies to the RHEL6 comp

2013-04-29	Marek Hulan <mhulan@redhat.com>
	* fixes #2429 - change OpenID storage to be permanent

2013-04-26	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2433 - fix orchestration respond_to? test to work on ruby 2.0

2013-04-26	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #2428 - a workaround for an issue with SETTINGS[:libvirt] not being properly initialized in rpm environments

2013-04-26	Sam Kottler <sam@kottlerdevelopment.com>
	* Added rails and dependencies to comp

2013-04-26	Marc Grimme <marc.grimme@googlemail.com>
	* fixes #2430 - undefined method gettext_translation_for_attribute_name

2013-04-25	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2407 - Add STI to settings model

2013-04-25	Ivan Necas <inecas@redhat.com>
	* Always use multi-select widget for taxonomies in host group

2013-04-24	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2248 adds api controllers and actions to access_permissions.rb

2013-04-24	Amos Benari <abenari@redhat.com>
	* fixes #2425 Allow find_multiple to work on all Host types

2013-04-24	Dominic Cleal <dcleal@redhat.com>
	* fixes #2427 - use RUBY_VERSION for pre-Bundler 1.3 compatibility
	* fixes #2367 - Ruby 2.0 support
	* fixes #2359 - update EPEL release number
	* Feature #2368 - host list popups and various fixes
	* Feature #2368 - i18n extracting strings
	* Feature #2368 - use N_ for model validators
	* fixes #2419 - disable DNS orchestration during host mailer tests

2013-04-24	Lukas Zapletal <lzap+git@redhat.com>
	* fixes #2368 - finishing transifex.com integration
	* Feature #2368 - form helpers, exceptions and fixes
	* Feature #2368 - merging new strings
	* Feature #2368 - i18n extracting and locale rake task
	* Feature #2368 - adding Rails i18n yml files
	* Feature #2368 - i18n extracting strings
	* Feature #2368 - i18n extracting strings
	* Feature #2368 - i18n integrating Transifex
	* Feature #2368 - renaming i18n domain to 'foreman.pot'

2013-04-24	Sébastien Bernard <sbernard@nerim.net>
	* fixes #2416 - use relative URL prefix for environment import buttons

2013-04-24	Sam Kottler <shk@redhat.com>
	* Fixes #2408: don't try to reset the password in rake permissions:reset if Facter.domain is nil

2013-04-24	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2410 - Set auditable type to 'Host'

2013-04-24	Daniel Lobato Garcia <elobatocs@gmail.com>
	* Feature #2368 - adding Spanish translation

2013-04-24	Bryan Kearney <bkearney@redhat.com>
	* Feature #2368 - i18n extracting strings

2013-04-24	Thomas Bendler <thomas.bendler@gmail.com>
	* Feature #2368 - adding German translation file

2013-04-24	Daniel Lobato <elobatocs@gmail.com>
	* Adds an id primary key field to the user_hostgroup relationship

2013-04-23	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2263 continuation - turn off auditing for migration of adding Hostgroup label

2013-04-22	Marek Hulan <ares@igloonet.cz>
	* fixes #2417 - SSO abstractioning

2013-04-22	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2360 loading parameters on host edit form when hostgroup or environment is changed

2013-04-22	Bryan Kearney <bkearney@redhat.com>
	* fixes #2247 Provides an option to disable the use of gravatara

2013-04-21	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2263 search Hostgroup by label
	* refs #2254 - STI Host relationships

2013-04-21	Dominic Cleal <dcleal@redhat.com>
	* fixes #2405 - disable DNS orchestration during TFTP tests, causing timeouts

2013-04-17	Sam Kottler <shk@redhat.com>
	* Use https when accessing Rubygems.org
	* Added f18 releases to tito and fixed some typos
	* Added RHEL6 and F18 comps
	* Bumped the Rails version to match what's in the nightly tag

2013-04-14	Ivan Necas <inecas@redhat.com>
	* fixes #2398 - fix ruby 1.9 issue when loading free ip, causing {} in URL

2013-04-12	Daniel Lobato <elobatocs@gmail.com>
	* Enforce hostgroup/role uniqueness on User relation

2013-04-11	Ohad Levy <ohadlevy@gmail.com>
	* [refactor] breakdown of proxy api classes

2013-04-11	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2390 - Add :host_id to BMC options hash

2013-04-11	Dominic Cleal <dcleal@redhat.com>
	* fixes #2327 - add simplecov code coverage reports

2013-04-10	Amos Benari <abenari@redhat.com>
	* flot charts

2013-04-10	Ohad Levy <ohadlevy@gmail.com>
	* fixes failing test/fixture introduced in 7ff39bfa

2013-04-10	Daniel Lobato <elobatocs@gmail.com>
	* Added link to host on some audit entries

2013-04-10	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2389 - Add basic support for plugin config to live in separate files

2013-04-10	Dominic Cleal <dcleal@redhat.com>
	* fixes #2385 - use Capybara 2.0.x for Ruby 1.8 compatibility
	* fixes #2153 - add trusted_puppetmaster_hosts setting to permit puppetmaster access

2013-04-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #2377 - refresh column info after editing Medium

2013-04-08	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2376 Update migrations to match new rails3.2 paths

2013-04-08	David Schmitt <david@dasz.at>
	* Small typo in foreman-config output

2013-04-08	Ohad Levy <ohadlevy@gmail.com>
	* addes missing taxonomy asset

2013-04-04	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2371 - removed iconv - causing deprecation notice - block in require: iconv will be deprecated in the future, use String#encode instead

2013-04-04	Ohad Levy <ohadlevy@gmail.com>
	* more minor fixes around asset pipeline changes

2013-04-03	Ohad Levy <ohadlevy@gmail.com>
	* fixes missing assets files

2013-04-03	Sam Kottler <shk@redhat.com>
	* Removed unnecessary script related to SElinux

2013-04-03	Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>
	* Remove .DS_Store file

2013-04-03	Amos Benari <abenari@redhat.com>
	* fixes wrong spice JS referenec

2013-04-02	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2351 Downcase fqdn when importing facts, for hostname validation consistency

2013-04-02	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2365 added quiet assets gem
	* fixes #2362 ImagesHelper - not showing field if no images
	* fixes #2366 removes duplicate gems in bundler/test.rb

2013-04-02	Amos Benari <abenari@redhat.com>
	* moved spice console to spice-html5-rails gem
	* upgrade foreman to rails 3.2.13

2013-04-02	Dominic Cleal <dcleal@redhat.com>
	* fixes #2358 - remove duplicate epel/HTTP proxy snippets

2013-03-28	Sam Kottler <shk@redhat.com>
	* Added files for building via Tito

2013-03-14	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2250 API v2 add/remove puppetclasses from hosts and hostgroups
	* fixes #2318 - API v2 documentation for parameters to include real paths rather than /references/:id
	* fixes #2319 make HostClass and HostgroupClass unique puppetclass_id by scope
	* fixes #2322 ActiveModel
	* fixes #2323 syntax error in host_mailer

2013-03-14	Greg Sutcliffe <gsutclif@redhat.com>
	* fixes #2324 Refactoring of Host STI

2013-03-14	Ivan Necas <inecas@redhat.com>
	* Load the apipie documentation when calling '/api'

2013-03-14	Bryan Kearney <bkearney@redhat.com>
	* Use proper syntax for step 2 title, comment by Joseph Magen
	* Add localization calls to the subnets and the trenda pages.

2013-03-11	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2291 undefined method 'to_a' for 75:String when creating host WITH taxonomy
	* fixes #2272 setup capybara and spork and modified test_helper for future integration testing

2013-03-11	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2299 - Parameters Controller (API v2) can reset parameters (delete them all)

2013-03-11	Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>
	* Downgrade the libvirt bindings warning to print

2013-03-11	Bryan Kearney <bkearney@redhat.com>
	* Added gettext calls to the usergroups and roles pages.
	* Add gettext calls to the common views, application controller, and application helper objects.
	* Add gettext calls to the locations pages and the user pages.

2013-03-10	Ohad Levy <ohadlevy@gmail.com>
	* switch to latest released fog

2013-03-04	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2278 orchestration test failure
	* fixes #2274 renamed test/unit/orchestration.rb to test/unit/orchestration_test.rb

2013-03-04	Daniel Lobato <elobatocs@gmail.com>
	* fixes #2219 - Hostgroup ownership is hierarchical

2013-03-04	Ivan Necas <inecas@redhat.com>
	* fixes #2275 - include ThreadSession

2013-03-04	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2277 - adds spice html5 support

2013-03-03	Sam Kottler <shk@redhat.com>
	* Added a build script for updating and generating policies and packages

2013-03-03	Dominic Cleal <dcleal@redhat.com>
	* fixes #2268 - exec puppet in Bundler-less env, don't touch PATH when puppetgem is set
	* fixes #2264 - replace fulltext sources.value index with digest
	* fixes #2256 - support minitest in jenkins rake tasks, add missing yaml require breaking bundler, fix version test for Ruby 1.9.2
	* fixes #2202 - add all unassigned actions to appropriate permissions

2013-03-03	Ivan Necas <inecas@redhat.com>
	* fixes #2273 - authorization over environment model
	* foreman-config - dry run

2013-03-03	Bryan Kearney <bkearney@redhat.com>
	* fixes #2269 - Add gettext framework to foreman.

2013-03-03	Jeff Palmer <jpalmer@voalte.com>
	* fixes #2266 - API doesn't honor 'view_facts' permission

2013-03-01	Dominic Cleal <dcleal@redhat.com>
	* fixes #2262 - handle strings from PostgreSQL

2013-02-27	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2253 adds openstack floating ip support
	* fixes #2252 - add supports to openstack log console
	* fixes #2251 - adds openstack image listing

2013-02-26	Amos Benari <abenari@redhat.com>
	* fixes #2222 hostgroup form can be scoped by multiple taxonomys.

2013-02-25	Dominic Cleal <dcleal@redhat.com>
	* fixes #2242 - concatenate HTML errors, don't use Array#to_s on Ruby 1.9

2013-02-25	Amos Benari <abenari@redhat.com>
	* fixes #2163 New host installation fails with RHEV 3.1
	* fixes #2224 Selecting a RHEV 3.1 template does not work properly
	* Do not block create and destroy volume if api version is 3.1 or later.
	* added blank option in ovirt select template.
	* fixed test connection for existing compute-resource.

2013-02-25	Ohad Levy <ohadlevy@gmail.com>
	* refs #2254 - minor fixes related to facts import
	* refs #2254 - minor fixes related to host form

2013-02-25	Greg Sutcliffe <greg.sutcliffe@gmail.com>
	* fixes #2254 - Add STI to hosts table

2013-02-21	Amos Benari <abenari@redhat.com>
	* fixes #2221 - non admin user can't set build flag for multiple hosts

2013-02-21	Ohad Levy <ohadlevy@gmail.com>
	* fixes broken build
	* Ensures that unused API v2 routes are not added when using nested routes

2013-02-21	Joseph Mitchell Magen <jmagen@redhat.com>
	* ignore .rvmrc
	* fixes #1988 - CRUD Actions for nested parameters for host, domain, hostgroup, os
	* fixes #2239 API v2 CRUD for locations and organizations and added nested loc/org
	* edited TaxHost - selected_ids and used_ids do NOT return [] if ignored?

2013-02-21	Lukas Zapletal <lzap+git@redhat.com>
	* bundler_ext require statements
	* bundler_ext initial support

2013-02-20	Dominic Cleal <dcleal@redhat.com>
	* fixes #2217 - initialize Regexp constants here to stop duplicate warnings
	* fixes #2100 - fix regexp overflow on MRI 1.8 with older safemode/ruby_parser
	* fixes #2203 - add locations/organizations to subnet edit page

2013-02-20	David Swift <dswift@pccowboy.com>
	* fixes #2229 add an IAM role field to a compute image.

2013-02-20	Amos Benari <abenari@redhat.com>
	* added filter to the multy select component.

2013-02-20	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes 2228 json parsing failed

2013-02-19	Daniel Lobato <elobatocs@gmail.com>
	* Order multi-select options alphabetically

2013-02-13	Dominic Cleal <dcleal@redhat.com>
	* fixes #2198 - add AJAX routes to existing permissions to fix non-admin UI

2013-02-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #2196 - create tmp/ if it doesn't exist
	* fixes #2110 - bump safemode to support !=

2013-02-12	Daniel Lobato <elobatocs@gmail.com>
	* Feature: #686 - Hosts can inherit environment from hostgroup

2013-02-12	Gaël Chamoulaud <gael@redhat.com>
	* Fixes #2199: Fix install media submit/cancel buttons when locations/orgs disabled - When locations and Organizations are disabled, the submit/cancel Buttons are not well displayed when you want to add a new medium.

2013-02-12	Dennis Hoppe <dennis.hoppe@debian-solutions.de>
	* fixes #2193 SQL error on Postgres 9.1 for classes_from_storeconfigs

2013-02-06	Ohad Levy <ohadlevy@gmail.com>
	* Revert "ptables - displaying os_family and layout in api show and list"
	* Revert "ptables - validation for OS families"

2013-02-06	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2166 - error when clearing location

2013-02-06	Tomas Strachota <tstrachota@redhat.com>
	* ptables - validation for OS families
	* ptables - displaying os_family and layout in api show and list

2013-02-06	Ivan Necas <inecas@redhat.com>
	* Using Apipie versioning features and Maruku for markdown

2013-02-06	Daniel Lobato <elobatocs@gmail.com>
	* API now allows for search of usergroups

2013-02-01	Ohad Levy <ohadlevy@gmail.com>
	* bump version to 1.1
	* released 1.1
	* refs #2141 - ensures no duplicate trends are created
	* include nested host routes in the api documentation

2013-02-01	Robert Birnie <rbirnie@gmail.com>
	* Fixes #2141 - Deletes duplicate TrendCounters

2013-01-30	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2141 - Trends grahs issue
	* fixes #2154 - "Foreman" link in main navigation should link to dashboard
	* fixes #2161 - Cannot delete a host if the compute resource VM is already deleted
	* fixes #2124 - only include classes from the host current environment.
	* fixes #1827: use ids instead of names for templates routes
	* fixes #2159 - Provisioning information shown in locations/organizations while provisioning is disabled.
	* fixes #2160 - do not store Finished catalog run messages
	* ensures that validation does not get triggered for new taxonomy objects
	* do not use class variables for taxonomix.

2013-01-29	Ohad Levy <ohadlevy@gmail.com>
	* Ensure we use ApiPie 0.13, as 0.14 changed API.
	* update to rails 3.0.20 to address CVE-2013-0333

2013-01-27	Dominic Cleal <dcleal@redhat.com>
	* fix typo in mismatches report
	* fixes #2157 - used_ids should not pass hosts array

2013-01-24	Ohad Levy <ohadlevy@gmail.com>
	* ensures rails does not complain on migration, unsure of why its required
	* bump version file
	* 1.1RC5
	* ensures that when taxable objects (such as a domain) does not fire a taxonomy validation
	* rebase 6f9e04c913856c3adbc02010ce7a9e187ed2682b
	* minor cleanups that did not rebased cleanly
	* adds nullify when deleting taxonomies
	* hosts mulitple
	* refactor - move clone taxonomy to models

2013-01-24	Joseph Mitchell Magen <jmagen@redhat.com>
	* clone action, view, tests
	* refactor hash_for links on taxonomies/index
	* changes to taxonomies_controller
	* fixes #2033 - Cannot assign a host to an org
	* fixes #2001 - Changing Loc or Org after compute resource selection give 500 error
	* fixes #1999 - Allow org/location to selectively ignore a domain, subnet etc
	* fixes #2138 - Ensure at least one Location / Organization exists

2013-01-24	Amos Benari <abenari@redhat.com>
	* new org wizard.
	* fixes #2126 Large report messages won't fit in PostgreSQL's index_messages_on_value

2013-01-23	Ohad Levy <ohadlevy@gmail.com>
	* refs #2146 - ensures redirect does not break on api requests too

2013-01-23	Dominic Cleal <dcleal@redhat.com>
	* fixes #2146 - prevent double render
	* fixes #2151 - use DN environment variable instead of CN

2013-01-21	Amos Benari <abenari@redhat.com>
	* refs #2041 - changed puppetclass/:id/parameters from put to post.
	* lighter style to the host status labels.
	* remove add-class tooltip.
	* fix import classes button
	* fixes #851 - display diff view on Puppet file content change
	* fixes #2145 Host Search not working by user

2013-01-21	Ivan Necas <inecas@redhat.com>
	* Make sure we're not merging nil in to_json

2013-01-21	Ohad Levy <ohadlevy@gmail.com>
	* [test] renamed wrong class name
	* fixes #2147 - param classes with multiple matchers are evaluated incorrectly
	* updated fog version, as a few vmware related bugs where fixed

2013-01-20	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2136 hyperlink host properties

2013-01-20	Ivan Necas <inecas@redhat.com>
	* Fix home mapping in API v2

2013-01-20	Dominic Cleal <dcleal@redhat.com>
	* refs #2069 - enable auth by default
	* fixes #2121, #2069 - restrict importers and ENC to puppetmasters and users

2013-01-15	Dominic Cleal <dcleal@redhat.com>
	* fixes #2129 - only use markdown if redcarpet available
	* fixes #2069 - use a random salt when saving the root password

2013-01-15	Martin Bačovský <mbacovsk@redhat.com>
	* Added auth to smart proxies

2013-01-15	Sam Kottler <shk@redhat.com>
	* Remove mention of tenants from test definitions

2013-01-14	Sam Kottler <shk@redhat.com>
	* Fixes #1880 - Build button (or any with the disabled attribute) shouldn't be clickable

2013-01-14	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* v2 api for configuration_templates and template_combinations

2013-01-14	Amos Benari <abenari@redhat.com>
	* fix xhr authentication issue.
	* fixes #2041 puppetclass_parameters update method uses PUT incorrectly

2013-01-14	Robert Birnie <rbirnie@gmail.com>
	* Add Additional Error checking for ldap

2013-01-14	Tomas Strachota <tstrachota@redhat.com>
	* fix in compute resources api doc

2013-01-13	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2047 - pagination is not visible on compute resources vms.
	* adds support for JS table sorter / pagination.

2013-01-10	Mikael Fridh <mfridh@marinsoftware.com>
	* fixes #2122 - Cannot search reports on environment name

2013-01-10	Joseph Mitchell Magen <jmagen@redhat.com>
	* added API v2 placeholders.

2013-01-09	Sam Kottler <shk@redhat.com>
	* Upgrade to Rails 3.0.19 to mitigate CVE-2013-0156 and CVE-2013-0155

2013-01-08	Marius Rieder <marius.rieder@durchmesser.ch>
	* round_with_precision is deprecated

2013-01-08	Amos Benari <abenari@redhat.com>
	* Optimize SQL queries for puppetclass edit page
	* added search puppet class parameters.
	* removed the need to add 'btn' class for the action_buttons helper, and changed the action buttons to small.
	* resize puppet calss form, parameter tab, left tabs size.
	* fix popover html content render.
	* add gravatar to users index

2013-01-08	Dominic Cleal <dcleal@redhat.com>
	* fixes #2109 - improve session token security

2013-01-08	Nicolas Dandrimont <nicolas.dandrimont@ensta-paristech.fr>
	* Fixes #1884 - hardcode a version number for Debian's testing/unstable suites

2013-01-08	Tomas Strachota <tstrachota@redhat.com>
	* Extended information for each type of compute resources

2013-01-08	Sam Kottler <shk@redhat.com>
	* Added additional counter-tests to config templates

2013-01-06	Ohad Levy <ohadlevy@gmail.com>
	* refs #1947 - fixes typo

2013-01-03	Ohad Levy <ohadlevy@gmail.com>
	* bumped rails to 3.0.18 to avoid latest CVE
	* fixes #2098 - ldap auth when using a different account for authentication was broken
	* 1.1RC4 released

2013-01-03	Amos Benari <abenari@redhat.com>
	* fixes #2096 New location/Org button in user-menu doesn't work on ff.
	* fixes #2091 Menu items disappeard

2013-01-03	Dominic Cleal <dcleal@redhat.com>
	* Revert bundler changes in 73f23bf4c643637c805e4911648aea16f8a73c55
	* refs #2097 - update test to include stderr redirect
	* fixes #2097 - improve debug when `puppet master --configprint` fails

2013-01-03	Sam Kottler <shk@redhat.com>
	* Fixes #2095 - Only show console button if VM is running

2013-01-03	Mikael Fridh <mfridh@marinsoftware.com>
	* fixes #2092 - allow parens in Subnet description

2013-01-02	Amos Benari <abenari@redhat.com>
	* fixed an error in the ptable wellcome text.
	* fixed missing condition in taxonomix.
	* remove the link from hosts list in users filter page when not needed.
	* added multi-select ui component instead of multi check-boxes for long lists.
	* reorg in the user and settings top menus.
	* ui phase2
	* bootstrap2.2.2

2013-01-02	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2084 - All Facts and Reports are visible regardless of selected Org/Location for admin users
	* fixes #2076 Windows provisioning template generation fails
	* fixes #2083 - DB migration fails with Postgres with bmc nics
	* updated readme for new year
	* updated gitignore

2013-01-02	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2025 - show user login if name is blank

2012-12-31	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2078 - Classes parameters value leak fix

2012-12-30	Jasper Poppe <jgpoppe@gmail.com>
	* added puppet location and organization parameters

2012-12-27	Ohad Levy <ohadlevy@gmail.com>
	* 1.1RC3 released
	* fixes #2073 - undefined method `update!'
	* refs #1944 - minor leftover to avoid Object.id warning
	* fixes #1949 - VMware creation: vm's always get 768MB memory
	* fixes #1947 - wrong notice pressing the power on/off button for vmware hosts

2012-12-27	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixed postgres migrations

2012-12-26	Ohad Levy <ohadlevy@gmail.com>
	* 1.1RC2 Released
	* fixes #1944 - Listing VMWare virtual machines under Computer resources is slow.
	* fixes #1814 - converts sp_* attributes into a BMC interface class
	* fixes #2072 Foreman complains about medium etc when deploying to Image based providers(EC2/OpenStack/RackSpace..)

2012-12-26	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2017 added patch from ticket

2012-12-26	Hannes Schaller <admin@cyberkov.at>
	* fixes #2504 trends model for postgresql added group() back and added select()

2012-12-24	Ohad Levy <ohadlevy@gmail.com>
	* refs #1890, typo
	* refs #1991 - Cache not cleared prevent location / org feature to show up
	* fixed broken test on ruby 1.9
	* Do not use :class_name in has_many :through, missed on for class_params

2012-12-24	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #1890 api host status
	* fixes #1992 sort does not fail if vlanid is null
	* DEPRECATION WARNING: Giving a hash to body is deprecated, please use instance variables instead.
	* fixes #1991 expire topbar cache on user when restart server
	* renamed to thread_session.rb
	* removed has_many_polymorphs and used has_many :source and :source_type

2012-12-24	Dominic Cleal <dcleal@redhat.com>
	* fixes #2063 - pin minitest to 3.5+ and mocha 0.12.x
	* fixes #2061 - test if oVirt API has HTTPS redirect

2012-12-24	rbirnie <rbirnie@gmail.com>
	* fixes #2062 - Add max_trends setting

2012-12-24	Amos Benari <abenari@redhat.com>
	* removed puppet class include in index because it creates too many joins in a single query for sql-light to function properly.
	* commented rack-mini-profiler as it slows some development machines too much. When needed it can be uncommented.

2012-12-20	Sam Kottler <shk@redhat.com>
	* Fixes #2058: prevents the spinner from going forever if listing fails

2012-12-20	Ohad Levy <ohadlevy@gmail.com>
	* removed class_name from all relationships that has_many :through as its invalid.

2012-12-20	Amos Benari <abenari@redhat.com>
	* puppet class form ui fixes.

2012-12-20	Dmitri Dolguikh <dmitri@appliedlogic.ca>
	* fixes #1834 to get foreman running under ruby 1.9.3

2012-12-19	Joseph Mitchell Magen <jmagen@redhat.com>
	* added slash /unattended to other url_for calls
	* fixes #2018 add forward slash to controller name of url_for() helper

2012-12-19	Trey Dockendorf <treydock@tamu.edu>
	* - Allows mysql2 usage with Puppet < 2.7.10 - Fixes #1350

2012-12-19	Sam Kottler <shk@redhat.com>
	* Fixes #2059: Completely remove email_replay_address from settings

2012-12-19	Dominic Cleal <dcleal@redhat.com>
	* refs #2023 - always write using_storeconfigs default as a boolean

2012-12-19	Ohad Levy <ohadlevy@gmail.com>
	* fixes #2023 - Don't try to save os=nil in the fact importer

2012-12-19	Amos Benari <abenari@redhat.com>
	* Fix Foreman SQL injection through search mechanism CVE-2012-5648

2012-12-18	Greg Sutcliffe <gsutclif@redhat.com>
	* Fixes #2050 - Don't display revoked certs by default

2012-12-18	Ohad Levy <ohadlevy@gmail.com>
	* minor cleanups to the proxy resource class refs #2056

2012-12-18	Corey Osman <corey@logicminds.biz>
	* fixes # 2056 - add bmc support to the api-proxy class

2012-12-18	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #1964 lookup_keys.default_value can hold > 255 characters
	* fixes #1965 override value to textarea

2012-12-17	Oved Ourfali <oourfali@redhat.com>
	* fixes #1978 - changing login maximum size to 100

2012-12-17	Sam Kottler <shk@redhat.com>
	* Fixes #2046: Only show the inverse taxonomy tab if enabled

2012-12-17	Dominic Cleal <dcleal@redhat.com>
	* fixes #2042 - fix CSS classes added to filter levels

2012-12-17	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2045 changed condition so there is no error in Postgresql
	* fixes #1353 added custom hook when host build mode changes
	* fixes #2051 good host percentange was wrong

2012-12-12	Joseph Mitchell Magen <jmagen@redhat.com>
	* fixes #2037 remove catchall routes
	* added compute resource actions and tests

2012-12-12	Ivan Necas <inecas@redhat.com>
	* refs #1937 - fix graphs hrefs when running from subpath

2012-12-12	Dominic Cleal <dcleal@redhat.com>
	* fixes #2030 - define instance variables during ERB evaluation when not using safemode

2012-12-12	Amos Benari <abenari@redhat.com>
	* scope templates by taxonomy.

2012-12-12	Sam Kottler <shk@redhat.com>
	* Fixes #2000 - display the alternate taxonomy when editing a location or org

2012-12-11	Joseph Mitchell Magen <jmagen@redhat.com>
	* host routes api changes squashed

2012-12-11	Abby Edwards <aedwards@solutionary.com>
	* fixed bug preventing LDAP authentication in auth_source_ldap model

2012-12-09	Daniel Lobato <elobatocs@gmail.com>
	* fixes #1979 Updating puppet:import:puppet_classes for parameterized classes

2012-12-09	Dominic Cleal <dcleal@redhat.com>
	* fixes #2021 - run test:lib from test rake task
	* fixes #2020 - PuppetSetting is an instance, not class
